#
# spec file for package openstack-cinder-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component cinder

%define version_unconverted 11.0.0.0rc2.dev57

Name:           openstack-%{component}-doc
Version:        11.0.0.0~rc2~dev57
Release:        3.138
Summary:        OpenStack Block Storage (Cinder) - Documentation
License:        Apache-2.0
Group:          Documentation/HTML
Url:            https://launchpad.net/cinder
Source:         http://tarballs.openstack.org/cinder/cinder-master.tar.gz
BuildRequires:  graphviz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Babel
BuildRequires:  python-Paste
BuildRequires:  python-PasteDeploy
BuildRequires:  python-Routes
BuildRequires:  python-SQLAlchemy
BuildRequires:  python-Sphinx
BuildRequires:  python-WebOb
BuildRequires:  python-base
BuildRequires:  python-cinder = %{version}
BuildRequires:  python-cinderclient
BuildRequires:  python-eventlet
BuildRequires:  python-glanceclient
BuildRequires:  python-google-api-python-client
BuildRequires:  python-iso8601
BuildRequires:  python-lxml
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-oslo.config
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslosphinx
BuildRequires:  python-paramiko
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-sqlalchemy-migrate
BuildRequires:  python-suds-jurko
BuildRequires:  python-swiftclient
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cinder is the OpenStack Block storage service. This is a spin out of
cinder-volumes.

This package contains documentation files for %{name}.

%prep
%setup -q -n cinder-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build_sphinx
rm doc/build/html/.buildinfo # Remove unneeded files

%install

%files
%defattr(-,root,root,-)
%doc LICENSE doc/build/html

%changelog
* Thu Aug 24 2017 tbechtold@suse.com
- Drop python-mox
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev57:
  * [DOC BLD FIX] Fix duplicate content warnings
  * Fix grammatical mistake, Changed character from "a" to "an"
* Wed Aug 23 2017 tbechtold@suse.com
- Fix doc build
* Wed Aug 23 2017 tbechtold@suse.com
- Update to version cinder-11.0.0.0rc2.dev54:
  * Allow v3.0 volume metadata API calls
  * Add input format check for qos\_spec update
  * [Api-ref] Add worker cleanup for service docs api
* Tue Aug 22 2017 tbechtold@suse.com
- Update to version cinder-11.0.0.0rc2.dev48:
  * [Doc Bld Fix] Add links to man page contents
  * Replace dict.iteritems/iterkeys with dict.items/keys
  * vstorage: added vz:volume\_format vendor property
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev44:
  * Revert "Mark Virtuozzo driver as unsupported"
  * Updated from global requirements
  * IBM Storage: add QoS documentation
  * Ibm\_storage - fix failover\_replication
  * SMBFS: enable thin provisioning support flag
  * Clean up repl v1 volume creation from replication
  * Update and replace http with https for doc links in Cinder
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev32:
  * 3PAR driver-requirements name
  * Add releasenotes to check\_exec list
  * Ibm\_storage - fix delete group with replication
  * IBM storage: check pyxcli version on initialize
  * 3PAR: Fixed image cache enabled capability
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev22:
  * [Docs] Storwize:Update document for Pike release
  * [Docs] Add documentation contribution docs
  * Add driver interface documentation for list manageable
  * [api-ref]Fix the incorrect description in volume API
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev17:
  * Write maximum version of Pike
  * Do not fail if RBD image is broken
  * Save object after updating for attachment\_complete
  * Change pure drivers default replication interval
  * Get correct hypermetro remote lun ID while mapping
  * [Docs] Pull over Cinder service overview for install
  * Fix missing print format error
  * Make VolumeTypeExtraSpecsController policy more granular
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev4:
  * Make attachment\_update set status to attaching
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev3:
  * Fix wrong links
  * Update reno for stable/pike
  11.0.0.0rc1
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev141:
  * [DOC FIX] Create missing index pages
  * Revert "Mark ETERNUS drivers as unsupported"
  * Fix bug of detaching failed while concurrently attach/detach
  * NetApp: block drivers fail when volume missing
  * Eliminate randomness in encode\_name&encode\_host\_name methods
  * NetApp: Fix override of scheduler decision
  * NetApp: Fix SVM scoped user startup exception
  * Update URL home-page in documents according to document migration
  * Kamiario: Fix over subscription reporting
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev125:
  * [api-ref] Add api-ref for os-quota-class-sets APIs
  * VMAX driver - Error attaching failed over volumes
  * Fujitsu Driver: Fix exception in terminate\_connection with no connector
  * cinder backup sets incorrect parent\_id
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev118:
  * INFINIDAT: add documentation for volume compression
  * INFINIDAT: add driver changelog
  * Pike release note cleanup
  * Load resource filter config file in testcase
  * VMAX driver - None connector object in a terminate\_connection in Pike
  * VMAX driver - performance improvements in retype
  * VMAX driver - volume delete can fail
  * Infortrend mask password logging
  * Fix layout of api-ref for group type specs
  * Add a check warning for quota update
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev99:
  * [DOC BLD FIX] Fix user messages documentation
  * [DOC BLD FIX] Fix missing references in documentation
  * Make Cinder's Landing Page look like Keystone's
  * Fix message format for VolumeAttachmentNotFound exception
  * [Api-ref] Add force parameter to volume delete
  * Updated from global requirements
  * vzstorage: use remotefs.VZStorageRemoteFSClient
* Mon Aug  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev86:
  * Sort cinder-manage commands
* Sun Aug  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev84:
  * VMAX driver - seamless upgrade from SMI-S to REST
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev82:
  * [DOC BLD FIX] Name files for inclusion properly
  * Revert "NetApp: Deprecate E-Series drivers"
  * Remove duplicate variables
  * VMAX driver - performance improvements
  * Refresh az cache if target az is not found in cache
  * Add the backup metadata support releasenote
  * Mark Falconstor drivers as unsupported
  * Mark Coho driver as unsupported
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev70:
  * Fix host and cluster\_name filter for snapshot list
  * Remove redundant mock rpc statement
  * VMware: Bump driver version
  * Update resource\_filter to keep backward compatibility
  * VMAX driver - Pike documentation
  * Catch Castellan errors in create volume
  * Missing snapshot statuses
  * VMAX driver - align VMAX QOS settings with front end
  * Replace six.itervalues with dict.values() in cinder
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev53:
  * Updated from global requirements
  * [DOC] VMware: Add doc for vmware:adapter\_type
  * [DOC] VMware: Update config table
  * Switch to using bool for filtering non-deleted volume attributes
  * Correct 'os-show\_image\_metadata' API document
  * Add API document for quota usage
  * Cloning a volume from a snapshot in thin lv
  * ibm\_storage - fix disable/delete replication
  * HPE Lefthand: Fixed cloning operation
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev37:
  * Removed unnecessary setUp() call in unit test
  * [DOC BLD FIX] Fix the numerous docstring probs in coprhd
  * Fix typo in message for volume creation failure
  * VMware: Add volume adapter type extra-spec option
  * Volume type with encryption comparison
  * [api-ref] Update volume metadata for a specific key (v2)
  * Add group to cluster when init host
  * VMware: Config option for default adapter type
  * Avoid register extensions on the versions router
  * Add v2 v3 response example in API doc
  * Move vol\_db\_empty to NFS driver
  * [api-ref]Fix the wrong description in volume API
  * Mapping parallel and ploop
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev22:
  * [DOC BLD FIX] Correct docstring errors in dell\_emc VMAX
  * Fix image download to volume for iso images
  * Fix failure for failing back the primary
  * SMBFS: deprecate provisioning ratio config options
  * Fix some doc issue
* Sun Jul 30 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev14:
  * Add choices to backup\_swift\_auth
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev13:
  * [DOC BLD FIX] Add missing files under configuration
  * Revert "Handle concurrent volume creation request"
  * [DOC BLD FIX] Correct docstring issues in Soldfire driver
  * [DOC BLD FIX] Fix docstring issues in Lenovo driver
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev7:
  * Updated from global requirements
  * NetApp cDOT: Support generic groups for block
  11.0.0.0b3
  * Update backend state when extending volume
  * Handle concurrent volume creation request
  * [DOC BLD FIX] Correct json code block in attachments
  * [DOC BLD FIX] Fix docstring error in fakes.rst
  * Mock execute in unit test
  * Revert MySQL Cluster Support until an approach is worked out
  * [DOC BLD FIX] Add code:: blocks to manager.py
  * Mark Tegile driver as unsupported
  * Support metadata for backup resource
  * NetApp cDOT: Support generic groups for file
  * VMware: Use temporary image
  * DS8K: add replication consistency group support
  * VMware: Remove redundant sanity check
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev464:
  * [DOC BLD FIX] Fix docstring problems in vzstorage driver
  * [DOC BLD FIX] Fix dosctring errors in veritas driver
  * Fix no feature to enable 'exclusive-lock' of image in ceph
  * [DOC BLD FIX] Fix docstring issues in hpmsa driver
  * [DOC BLD FIX] Fix docstring errors in reduxio
  * Updated from global requirements
  * Use OVO for test\_backup
  * Fix release notes link
  * Remove references to dothill driver options
  * [DOC BLD FIX] Fix netapp docstring issues
  * [DOC BLD FIX] Fix docstring errors in VNX driver
  * Add support for OS-Brick force disconnect
  * ScaleIO Driver: Updating config reference
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev438:
  * [DOC BLD FIX] Fix docstring errors in nexenta driver
  * Add cinder backup service initialize check
  * [DOC BLD FIX] Fix docstring issues in ibm\_storage
  * LVM: Activate LV before creating exports
  * [DOC BLD FIX] Fix docstring errors in Dell/EMC Unity
  * Don't verify format with autodetect after image conversion
  * [Api-ref] Update quota-set APIs ref
  * Api-ref: add documentation for v2/v3 backup 'os-reset\_status' action
  * Mark ZTE driver as unsupported
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev420:
  * [DOC BLD FIX] Fix docstring issues for Hitachi HNAS driver
  * Updated from global requirements
  * [DOC BLD FIX] Correct docstring errors in falconstor driver
  * [DOC BLD FIX] Fix docstring issues in dothill driver
  * [DOC BLD FIX] Correct dosctring errors in disco driver
  * Fix test\_scheduler\_stats error module calls
  * Add VNX replication group support
  * [DOC BLD FIX] Fix docstring errors for VMAX driver
  * [DOC BLD FIX] Fix formatting error in driver.py
  * Disable merge snapshot to volume for thin LVM
  * [DOC BLD FIX] Fix formatting errors in Dell/EMC PS
  * [DOC BLD FIX] correct formatting errors in datera driver
  * 3PAR: Get host from os-brick
  * Remove key\_manager.api\_class hack
  * [api-ref] Backups: change parameter 'backup\_id' to be mandatory
  * Fix 'connector' parameter in update attachments API
  * [DOC BLD FIX] Add missing glossaries
  * [DOC BLD FIX] Fix docstring formatting in message\_field
  * [DOC BLD FIX] Fix formatting in cinder.compute.nova
  * enabling nimble driver again
* Sun Jul 23 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev380:
  * Updated from global requirements
  * Update group status
  * [DOC BLD FIX] Fix code block issues
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev375:
  * Do not delete group if group snapshot exists
  * VMAX driver - bootable volume errors
  * VMAX driver - Implement Generic Volume Group feature
  * Make doc/source directory compliant with design in spec
  * Remove dothill driver options
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev365:
  * ProphetStor: Support generic group
  * Updated from global requirements
  * Change Huawei driver's private data storing place
  * 3PAR: Modify update\_migrated\_volume code to driver
  * ZFSSA iSCSI delete volume with non-existent LUN
  * Enables MySQL Cluster Support for Cinder
  * Added CG capability to volume group in CoprHD
  * XIV\A9000: Added replication group support
  * DS8K driver: specify pool and lss in extra-specs
  * Fix exception in dothill iSCSI driver's terminate\_connection
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev346:
  * coordination: use tooz builtin heartbeat feature
  * Updated from global requirements
  * ZFSSA iSCSI volume driver multi-connect
  * Move config-reference to configuration
  * VNX: ignore cg creation if group is not cg enabled
  * Add insufficient space async error in create vol
  * IBM Storage - Fix vol create from snapshot in CG
  * IBM-Storage: group-create-from-src fail with error
  * Mark Virtuozzo driver as unsupported
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev329:
  * Updated from global requirements
  * Add missing api-ref documents for group type specs
  * [DOC BLD FIX] Remove todo:: directive from volume\_driver
  * ZFSSA: apply LUN specs when cloning snapshots
  * [api-ref]Fix API Doc error in creating backup
  * [DOC BLD FIX] Fix indentation in attachments.py
  * 3PAR: Add volume to consistency/generic group
  * Update contents of attach\_detach\_conventions\_v2.rst
  * Globalize regex objects
  * Fix some reST field lists in docstrings
  * Api-ref: Update doc for show backups
  * api-ref: Add parameter "offset" to list apis
  * Unify host naming in readme file
  * VMware: Fix volume cascade delete
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev301:
  * Migrate configuration-reference to Cinder repo
  * coordination: remove custom Lock object
  * ScaleIO Driver: Fix transposing of PD and SP in list of pools
  * VMAX - Live Migration, replacing SMI-S with REST
  * VMAX driver - Replication, replacing SMI-S with REST
  * Fix python 3.6 escape char warnings in strings
  * VNX: wrong size of volume from image cache
  * VNX: Add QoS support
* Mon Jul 17 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev285:
  * Fix volume migration error with NEC driver
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev283:
  * Make VolumeTypeExtraSpecsController policy more granular
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev281:
  * Updated from global requirements
  * [DOC BLD FIX] Correct :returns: in db/api.py
  * Pop "consistencygroup" from volume object
  * NEC driver: Optimal path for non-disruptive backup
  * INFINIDAT: support for volume compression
  * Dell EMC SC: Terminate\_connection chokes on None
  * ScaleIo Driver: refactor config options
  * Restore ability to disable API versions
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev266:
  * Ignore all .egg-info directories in doc8 check
  * Update Documentation link
  * Revert "Correct RBD Provision stats&fix a perf problem"
  * zfssaiscsi driver initiator group option processing
  * Add ability to extend 'in-use' volume
  * Migrate Cinder Scheduling CLI documentation
  * Migrate Cinder CLI Quota docs
  * Migrate volume management CLI documentation
* Thu Jul 13 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev250:
  * Add support for shared "backend\_defaults" config
  * Tintri: Fix config option access
  * INFINIDAT: Add QoS support
  * Fix SSHPool current\_size not work correctly
  * Tiramisu: Add groups param to failover\_host
  * Keep consistent of naming convention
  * Clean up index links to removed content
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev237:
  * XtremIO: fix fetching FC targets from X2 array
  * Allow extension of volumes with snapshots for SMBfs driver
  * Windows iSCSI: use configured iSCSI portals
* Tue Jul 11 2017 tbechtold@suse.com
- Update to version cinder-11.0.0.0b3.dev231:
  * Migrate the blockstorage admin-guide to Cinder
  * Fix errors preventing doc builds
  * VMAX driver - Compression, replacing SMI-S with REST
  * VMAX driver - QoS, replacing SMI-S with REST
  * Update attachment\_delete for multiple attachments
  * Fix Log parameter
  * Add snapshot clean worker decorator
  * Remove periodic\_tasks method from base manager
  * Add params for API v3 snapshot-create
  * Switch to openstackdocstheme
  * Enable H904 check
  * IBM Storage: Fix for misidentification of QoS type
  * Introduce managing existing snapshot to rbd driver
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev206:
  * Fix v1 API api-ref link
  * Modify the length of project\_id for Messages
  * Fix the inappropriate parameter name
  * LVM: Don't initialize VG with lvm\_type='auto'
  * Fix wrong usage of rbd.list\_snaps return value
  * Use GroupSnapshotStatus enum field
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev195:
  * Fix attachment\_delete for reserved case
  * Revert "Don't use ignoreskipactivation for thin LVM"
  * Add 'reserved' status to api-ref
  * Optimize: Replace 'fields.Enum' with 'object'
  * Unity: temp snapshot for backup deleted twice
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev185:
  * Rename method 'delete' to 'delete\_backup' in backup drivers
  * Move driver options to "backend\_defaults" section
  * IBM Storage: fix create volume with --group-id
  * Fix migration completion for New Attach API's
* Tue Jul  4 2017 tbechtold@suse.com
- Update to version cinder-11.0.0.0b3.dev177:
  * Use SnapshotStatus enum field
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev175:
  * Improve Capacity filter logging
  * Add 'LUNType' configuration verification for Dorado array
  * Use GroupStatus enum field
  * Remove dothill driver
  * Add gmcv support in SVC driver
  * Fix rally "volume\_type" parameter
  * Update log translation hacking rule
  * Unity: Use thin clone when cloning volume
  * Tempest for revert-to-snapshot
  * Fix bugs while integrated with Huawei Dorado array
* Mon Jul  3 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev155:
  * XtremIO: Detach all IGs for null connector
  * Datera 2.4.0 driver update
  * Fix image cache db query when limits are enabled
  * Don't use ignoreskipactivation for thin LVM
  * Updated from global requirements
  * Fix wording in warning message
  * Remove extra space in release note
* Sun Jul  2 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev142:
  * Add custom keyring when initializing RBD connection
* Sat Jul  1 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev140:
  * import installation guide pages from openstack-manuals
  * Mock time.sleep for VMAXRestTest.test\_remove\_vol\_from\_sg\_failed
* Fri Jun 30 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev136:
  * Use 'min\_version' to mark newly added parameters in DOC
  * remove extra characters "/"
  * Fix driver exception when cascade deleting volume after transferring
  * Rename DB Driver param for backup drivers to 'db'
  * Show user\_id when cinder snapshot-show
  * SMBFS: enhance volume cloning
  * VNX: failed to create from image cache
  * Allow extension of volumes with snapshots for Quobyte driver
  * SMBFS: Use share mountpoint when fetching capacity info
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev119:
  * Api-ref: Add upload-to-image api-ref
  * ScaleIO Driver: Fix for using scheduler specified pool
  * Add params for v3 API volume-type-create
  * Add IBM-Storage replication group support
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev112:
  * Replace OS\_AUTH\_TYPE with OS\_AUTH\_SYSTEM in rc
  * Fix connection\_info field in VolumeAttachment object
  * [api-ref] Add snapshot metadata key api
  * Enable mutable config in Cinder
  * Storwize: correct unreplicated vol status
  * Remove deprecated 'host' option for cinder-volume
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev103:
  * Windows: case insensitive path comparisons
  * Add note about stop supporting of log translation
  * Add policy granularity to the qos-specs API
  * Fix i18n issues
  * Performance: Remove useless snapshot object get
  * Remove redundant notification
  * ScaleIO: Logging cleanup
  * Add Metadata format check
  * Functional tests for group replication
* Sun Jun 25 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev86:
  * [api-ref] Add backing-up to snapshot statuses
* Sat Jun 24 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev85:
  * Use exception.CinderException instead of Exception
  * [XIV] Fix exception message format issue
  * Explicit user messages
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev79:
  * Provide user friendly messages for db sync
  * Enable some off-by-default checks
  * VNX: cg and generic group cleanup
* Thu Jun 22 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev74:
  * Fix assertTrue in functional tests
  * Cinder volume revert to snapshot
  * Remove the redundant volume/snapshot check
  * VMAX driver - Retype, replacing SMI-S with REST
  * Fix NoneType has no attribute get error
  * Replace deprecated BaseException.message with six.text\_type
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev64:
  * Updated from global requirements
  * Storwize Support iSCSI host when FC volume is there
  * Add thin-provisioning-tools to bindep
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev59:
  * Add enable\_lazy in api/openstack/wsgi.py
  * [api-ref] Update volume metadata key api
  * Add project\_id admin filter to limits API
  * ScaleIO - Make compatible with next SIO version
  * Api-ref: fix parameter 'volume\_id' info
  * INFINIDAT: add metadata to InfiniBox objects
* Mon Jun 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev50:
  * Tests: Disallow use of assertTrue(str)
* Sun Jun 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev48:
  * Set default lvm\_type to auto
  * Remove deprecated oslo\_messaging.get\_transport
  * Fix api-ref for v3 volume and snapshot manage
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev43:
  * api-ref: clarify retype docs around default policy permissions
  * Ibm storage: added new option for qos type
  * Revert "Use HostAddressOpt for opts that accept IP and hostnames"
  * VMware: Stop setting dynamicType
  * VMware: Apply policy at vmdk level during retype
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev37:
  * Updated from global requirements
  * Add the missing brace in api/v3/attachment
  * Remove duplicated line from \_do\_attachment\_delete
  * Add backup to cinder architecture page
  * Add CG capability to generic groups in GPFS driver
  * Fix boolean opts defined as strings
  * Use requests lib for Huawei array connection
  * Tiramisu: replication group support
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev24:
  * ignore error when remove non-exist vol from cg
  * FusionStorage: use versioned objects
  * RemoteFS: enable image volume cache
  * Api-ref: Add doc for update backup
  * Clarify create\_volume size debug message
  * recover image-volume size if extend volume failed
  * Switch NFS driver to use DLM locks
* Wed Jun 14 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev15:
  * Fix response code for update and delete API in volume attachments
  * Add rel note for create volume from enc. image
  * ScaleIO Driver: get manageable volumes
  * Clarify some details related blockbox deployment
  * IBM Storage- revert vol size capacity optimization
  * Remove usage of CONF from DISCO driver
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev4:
  * Allow Pure drivers to handle detach with no host
  * Storwize:  add mirrored volume support
* Mon Jun 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev2:
  * Refactor update attachment's testcases
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev1:
  * Send global\_request\_id to nova/glance when calls are made
  11.0.0.0b2
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev494:
  * Revert "Using assertFalse(A) instead of assertEqual(False, A)"
  * VMAX driver - Base functionality, replacing SMI-S with REST
  * Add Generic Volume Group Into Quota Management
  * NetApp DOT: Fix hash randomization test failures
  * Use the deprecated os\_privileged\_xxx settings
  * Mark X-IO driver as unsupported
  * Mark Synology driver as unsupported
  * Mark Nimble driver as unsupported
  * Mark Infortrend drivers as unsupported
  * Create volumes from encrypted images
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev474:
  * Add libssl to bindep
  * Using assertFalse(A) instead of assertEqual(False, A)
  * Correct cinder dev doc typo
  * Add warning header to opts.py file
  * Ceph: Fix delete backup with non-existent pool
  * Extracted HTTP response codes to constants
  * Mark Reduxio driver as unsupported
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev461:
  * Dell EMC SC: Updated Created by Message
  * API/DB: Fix hash randomization test issues
  * cleanup: remove DEVSTACK\_CINDER\_SECURE\_DELETE
  * Replace assertTrue(isinstance()) with assertIsInstance()
  * Using wrong connector parameter in V3 attach
  * Support sort backup with name
  * [api-ref]Adds API documentation for 'os-set\_bootable' action
  * Remove service filter for service list
  * Add description about tox in dev\_env.rst
  * Refactor NEC volume driver
* Mon Jun  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev442:
  * Updated from global requirements
* Sun Jun  4 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev441:
  * Return metadata in volume summary
  * Removed unused constant in v3/views/clusters.py
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev438:
  * Updated from global requirements
  * Fix support for AMI image conversion
  * Remove some unnecessary spaces
  * Minor fixes to microversion devref
  * VNX: fix issue when backing-up in-use volume
  * Fix example code about api\_version in api\_m\_dev.rst
  * Update SolidFire CI Wiki
  * ZFSSA can avoid fetching img when creating vol from cache
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev424:
  * Allow logging in tempest tests
  * Trivial fix typos
  * Add is\_replicated() to Volume and VolumeType OVOs
  * Make failover DB changes consistent
  * Add volume type filter to API Get-Pools
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev414:
  * Remove unused \_detach\_snapshot method
  * Do proper cleanup if connect volume fails
  * Add an instance-uuid check on attachment\_reserve
  * GPFS: Fix forceful delete for consistency group
  * Fix api-ref for POST backup for optional name
  * ZFSSA: Allow clones to differ in size from parent
* Wed May 31 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev402:
  * Periodic task to clean expired reservation
  * Update OVO devref
  * Fix typos in README.md
  * change consistencygroup\_id to group\_id
  * Add the missing "vol\_type\_id" param for qos association api-ref
  * Add a local bindep.txt override
* Mon May 29 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev391:
  * Make "connector" param to be optional in force-detach api
  * api-ref: add list manageable resource API
* Sun May 28 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev387:
  * Fix typo
  * Fix like filter related issues
  * Updated from global requirements
  * LVM: update max\_over\_subscription\_ratio help message
  * SolidFire Generic Groups Support
  * Check groups before deleting group type
* Sat May 27 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev377:
  * INFINIDAT: add support for generic volume groups
* Fri May 26 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev375:
  * SMBFS: remove redundant check
  * SMBFS: switch to distributed locks
  * SMBFS: drop JSON file storing allocation data
  * Implementation of Cinder driver for Veritas Access
* Fri May 26 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev367:
  * Update replication v2.1 devref
  * INFINIDAT: add support for iSCSI
  * Rolling Upgrades: Fix Volume OVO
  * Rolling Upgrades: Fix Group OVO
  * OVO: Remove child\_versions from list classes
  * SMBFS: report each share as a pool
  * Add RemoteFSPoolMixin
  * RemoteFS: pass volume object to '\_find\_share'
  * Updated from global requirements
  * OVO: Fix VolumeType create not bound to a Session
  * VMAX driver - Detaching volumes if part of two or more MVs
  * XtremIO: reduce number of backend calls
  * Extend Falconstor driver to utilize multiple FSS storage pools
  * Remove empty line in api\_version\_request
  * Updated from global requirements
  * Add blockbox to Cinder project
  * Create volume from VHD format image always failed
  * GPFS: Handle unsupported operations with an exception
  * Check the volume metadata value is a string or not
  * Mark ETERNUS drivers as unsupported
  * Remove BRCD primary\_switch\_wwn config option
  * Fix backup temp snapshot path on remote node
  * attach\_volume first check for existing attachment
  * Coho: resize volume if cloned image is larger
* Wed May 24 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev322:
  * Updated from global requirements
  * api-ref cleanup: required flag for tenants
  * Updated from global requirements
  * Python3: Don't use Exception.message
  * Mock qemu calls in sheepdog tests
  * Support 'LIKE' operator to filter resource
  * Tests: Fix Blockbridge hash randomization failure
  * Tests: Fix VMAX hash randomization failure
  * [Trivial] SMBFS: fix passing image format using volume types
  * Fix typo in docstring
  * SMBFS: avoid unnecessary conversion when uploading volumes
  * VMAX driver - Close ecom connections
  * VMAX driver - Manage/Unmanage performance fix
  * Use the list iterator instead of six iterator
  * rbd: resize volume not cloned but full copy
* Tue May 23 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev294:
  * Add time.sleep mock for test\_lv\_deactivate\_timeout
  * Fix typo errors
  * Convert marker format for listing manageable resources
  * Fix bugs of GPFSNFS & GPFSRemote Driver initialization failure
  * Add the missing parameters in the api-ref of ext-backups.inc
  * Deprecate osapi\_volume\_base\_url duplicate option
  * Remove unused volume\_types field when creating group
  * NFS Backup: Fix overwritting backups
  * Fix incorrect volume\_id request description in api-ref
  * 3PAR: Added volume to vvset in online copy
  * Fix swift auth\_url/url check
  * Remove backup-restore methods in driver code
  * Fix quota reserve for manage snapshot
  * Fix the filter when list volume with group
  * Don't check thin provisioning when manage volumes
  * Glance: attach volume encryption key id to image
  * qemu\_img\_info: Don't autodetect source format
  * api-ref cleanup: remove quotas user related calls
* Mon May 22 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev259:
  * OVO: Add reminder to add backporting code
  * Updated from global requirements
  * INFINIDAT: add locking around initialize/terminate connection
  * Add 'resource\_filters' API to support generalized filtering
  * backup: handle device path represented by dir
  * Rolling Upgrades: Fix VolumeAttachment
  * ibm-storage: update version number and history
  * Fix async mirroring on XIV limited range backends
* Sun May 21 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev243:
  * Fix permission error in VNX driver
* Sat May 20 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev241:
  * Updated from global requirements
  * Tests: Fix Datera hash randomization failure
  * Tests: Fix XIV unit hash randomization failure
  * Add API documentation for force-delete volume in v2 and v3
  * INFINIDAT: delete host objects when detaching the last LUN
  * Fix all\_tenants doesn't work for volume summary
  * Add service dynamic log change/query
  * Remove non-scheduler volume extend support
* Fri May 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev227:
  * coordination: remove un-used method is\_active()
  * Add information in notification of type's extra\_spec
  * Correct sphinx source code syntax
* Fri May 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev221:
  * Add missing retype API documentation
  * Clean codes around backup APIs
  * Trivial fix typos
* Thu May 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev215:
  * Fix py27 gate - Remove Tooz usage for tests
  * INFINIDAT: Use infinisdk for communication with storage array
  * Rollback snapshot's status when backup failed
  * Fix forceful deletion of Consistency Group for GPFS Driver
  * Don't return empty volume\_image\_metadata when list volume
  * Remove obsolete Liberty code
  * Sheepdog: fix conflict of temporary snapshot name
  * RemoteFS: prevent creation of encrypted volumes
* Wed May 17 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev202:
  * Add documentation for invalid filter keys
  * Remove unused fallocate method/filter
* Tue May 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev198:
  * Dell EMC: Moved SC driver under dell\_emc
  * Fix backup\_api\_class doesn't work
  * VMAX driver - Rollback error on Live Migration
  * ZFSSA cache luns are too small when images are precisely X Gi
* Mon May 15 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev191:
  * Fix typo
  * Correct typo of cinder doc
  * Refactor internal context testcases with ddt
  * Read XtremIO options from self.configuration
  * Read rbd options from self.configuration, not CONF
  * Add support for generalized filtering on list APIs
  * RBD:Move RBDVolume calls to a separate threads
* Fri May 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev178:
  * ScaleIO 1.32 deprecation notice
  * Fix change API volume create message
  * LIO: Fix terminate\_connection AttributeError
  * [api-ref] Add cascade to volume delete
* Thu May 11 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev171:
  * Fix a typo
  * Add ability for ceph driver to report discard
* Tue May  9 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev169:
  * 3PAR: Added Replication Feature In Retype Flow
* Mon May  8 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev167:
  * Modernize the nova client in cinder
* Sun May  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev166:
  * Remove snapshot['size'] references
  * Re-arrange v3 API reference
  * Re-order api-ref home page index
  * ds8k: should verify REST version separately
* Sat May  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev158:
  * genopts: Fix python 3 compat, sort options
  * Eternus driver: Move soft dependency check out of \_\_init\_\_
  * Fix NoneType has no attribute get
* Fri May  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev152:
  * Updated from global requirements
  * Remove usage of parameter enforce\_type
  * ProphetStor failed to create volume size larger than the snapshot
* Fri May  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev146:
  * Trivial fix typos while reading code
  * Trivial fix PEP 8 coding style violation and typo
  * Add missing testcases for migration scripts
  * Update attachment's status when attaching a readonly volume
  * Remove dependecy testrepository
  * Move the releasenote to the right folder
  * Use cryptography instead of pycrypto
  * xiv: enable get fc targets by host
  * NFS: run qemu-img info as root
  * Fix host check in is\_backend\_frozen
  * Synology: fix snapshot metadata loss
* Wed May  3 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev125:
  * Move the releasenote to the right folder
  * validate\_integer doesn't check non int properly
  * Refactor 'update\_group' method
  * Create indexes for foreign keys
  * HPE 3PAR: Adds CG capability in generic volume groups(GVG)
  * Add attachment API doc
  * fix typo
  * qemu\_img\_info: report 'luks' images as 'raw'
  * Support sort snapshots with name
  * Make divisible py3 compatible in vmware driver
* Tue May  2 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev108:
  * Give more time for LVM deactivation
* Mon May  1 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev106:
  * VMAX driver - Pre-zoned port group fix
* Sun Apr 30 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev104:
  * Updated from global requirements
  * Spelling error "paramenter"
  * Use cg object when invoking update cg method
  * Volume Type Encryption added to v2 api-ref
  * Validate uuid parameters strictly for create volume API
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev96:
  * Fix accessing uninitialized variable bug
  * GPFS: Enhance GPFS driver to work in container
  * Add a release note for groups
  * VNX: add missing group snapshot pool stats
* Wed Apr 26 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev88:
  * NetApp: Refresh directory before waiting
  * Remove sha256file value from logs for incremental backups
* Tue Apr 25 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev85:
  * Updated from global requirements
  * Fix typo in comments
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev83:
  * Changing releasenotes file present in review change 409128
  * Improve help for periodic message\_reap\_interval
  * Add 'connection\_info' to attachment object
  * Filtering attachment doesn't support 'instance\_id'
  * Fix for Group API update to include check policy
  * Dell EMC SC: Raise on \_init\_volume create\_snapshot failure
  * Check "kernel\_id", "ramdisk\_id" for Glance v2 only
  * Reverts quobyte\_volume\_url option back to type StrOpt
  * Fix config option volume\_backend\_name's invalid overridden value
  * Separate out routine for getting qemu\_img\_info
  * Add an optional db session argument to cinder.db.sqlalchemy.api. quota\_allocated\_get\_all\_by\_project(). Then in quota\_reserve() pass the session that is fetched for that method so that a new session does not have to be made. This can avoid DB timeouts and retries when a lot of concurrent operations are hitting quota\_reserve()
  * [BugFix]Cinder forgets to update 'deleted\_at' when deleting
  * Add unit test for brick/local\_dev/lvm.py: create\_volume
  * [BugFix] Add 'all\_tenants', 'project\_id' in attachment-list
  * Don't use tempest special\_fields
  * Add \_\_init\_\_ for cinder.config module
  * api-ref: Fix volume\_id parameter for the path
  * Fix status\_code of "list versions" API
  * Consistency groups API is not returning project\_id filter groups
  * Adding tests for api/v3/group\_specs.py
  * Adds missing return value to create\_cloned\_volume of Quobyte driver
  * Fix more invalid UUID warnings in test\_vmax file
  * Set access\_policy for messaging's dispatcher
  * Dell EMC SC: Return dict from delete\_consisgroup
  * Fix create\_consistencygroup when using CG objects
  * Replace yaml.load() with yaml.safe\_load()
  * Dell EMC SC: Added retry to \_init\_volume
  * Remove "list\_volume" from filter
  * Fix 500 error if boolean is\_public is passed as string
  * Switch to use stable data\_utils
  * VMAX driver - Change vendor\_name from EMC to Dell EMC
  * Switch to decorators.idempotent\_id
  * Remove domains \*-log-\* from compile\_catalog
  * Validate display\_name/description attributes in API layer
  * Fix ATTACH\_READONLY\_VOLUME message generation
  * Enforce \_usage\_from\_snapshot to fetch info from deleted volume
  * Add the backup variable structure in backup\_driver interface
  * Dell EMC SC: Return dict in delete\_cgsnapshot
  * ceph backup support for EXCLUSIVE\_LOCK and JOURNALING features
  * SolidFire: Handle connect\_volume() failure when create vol from image
  * Change nova\_catalog\_admin\_info to default to publicURL
  * Adds db\_online\_data\_migrations to cinder-manage manpage
  * fix create\_consistencygroup in xiv
  * Add filters support to get\_pools
  * [11/11] Refactor test\_volume file
  * [10/11] Refactor test\_volume file
  * [9/11] Refactor test\_volume file
  * [8/11] Refactor test\_volume file
  * [7/11] Refactor test\_volume file
  * [6/11] Refactor test\_volume file
  * [5/11] Refactor test\_volume file
  * [4/11] Refactor test\_volume file
  * [3/11] Refactor test\_volume file
  * [2/11] Refactor test\_volume file
  * [1/11] Refactor test\_volume file
  * VMAX driver - Convert eval to ast.literal\_eval
  * Fix max\_age calculation for quota usage refresh
  * Make get\_capabilities look for clusters
  * ZTE: Added CI\_WIKI\_NAME
  * Add cluster\_name to temporary volumes
  * Stop get\_notifier mock in tests cleanup
  * VMAX driver - removed incorrect six.text\_type
  * Rebrand and move EQLX driver to dell\_emc folder
  * VMAX driver - remove global mock of volume\_types
  * Switch to decorators.idempotent\_id
  * Set image\_owner before adding location to glance
  * IBM driver update CI\_WIKI\_NAME
  * Open the source code of ibm\_storage driver
  * Add assert\_min\_rpc\_version decorator
  * Break migrate\_add\_message\_prefix into two queries
  * Test: Fix assert\_has\_calls dict order bug (QoS)
  * FalconStor: Drop the copy\_image\_to\_volume feature
  * FalconStor: Restore option "san\_secondary\_ip"
  * Make notify\_service\_capabilities cluster aware
  * Sync \`\`services\`\` SQLA model with what's in the DB
  * Nosec Paramiko exec\_command() warning from Bandit
  * Save model\_update as admin in create\_volume
  * FusionStorage: rename the CI\_WIKI\_NAME
  * RBD: Remove volume\_tmp\_dir option
  * Fix devref create\_volume doc formatting
  * Fix a few typos in storwize\_svc\_common.py
  * Add orm type check for paginate\_query
  * Deprecate the block\_device driver
  * Set replication\_status automatically on retype
  * Set replication\_status on volume creation
  * Move VNX driver to dell\_emc folder
  * Remove "service" from required\_import\_options
  * Adds release note for 'Route extend\_volume' bugfix
  * Fix service\_get mock method
  * Add get\_all capability to volume\_attachments
  * Use method is\_valid\_boolstr from oslo\_utils
  * Simplify calls to mock\_object
  * Fix warning when running \`tox -e docs\`
  * ibm\_storage driver: Added fczm decorators
  * Dell SC: Added Logging to \_swap\_credentials
  * Remove run\_tests.sh wrapper
  * Route extend\_volume calls to scheduler
  * Remove deprecated volume\_clear shred option
  * EMC VMAX: Remove unused is\_in\_range() method
  * Support A/A in delete actions and get\_capabilities
  * Change volume\_type dict to ovo
  * Fix replication\_status on InvalidReplicationTarget
  * Refactor api test\_common to use ddt library
  * Remove cgsnapshot\_id before snapshot.save
  * Add missing consistencygroup\_id in volume
  * Update detach\_volume() with versionedobjects
  * Update attach\_volume() with versionedobjects
  * Admin API policy enforcement contingent on is\_admin\_project
  * test: fix wrong usage of config option in test\_window
  * Fix wrong usage of config option gpfs\_images\_share\_mode
  * Refactor test\_volume\_actions to use ddt library
  * Remove empty debug\_opts
  * Add is\_up property to service and cluster objects
  * HNAS: Rename hnas\_svcX\_volume\_type
  * Fix UnBoundLocalError in update\_consistencygroup
  * Remove unused constant in hbsd\_horcm.py
  * Fix create\_group with group type name
  * Show provider\_id for admin
  * Create a dell\_emc folder for Dell EMC drivers
  * Update is\_up from Service OVO class to match ORM
  * Move XtremIO driver to dell\_emc folder
  * Move ScaleIO driver to dell\_emc folder
  * Fix typo in test\_quotas.py
  * Skip test\_storwize\_get\_host\_from\_connector\_with\_lshost\_failure
  * Log traceback for validate\_connector exception
  * Delete the redundant expression expected\_attrs
  * Remove use of timeutils.set\_time\_override
  * Pass OVO instance to copy\_volume\_to\_image
  * Set EVENTLET\_NO\_GREENDNS for IPv6 and dnspython compat
  * Convert backup\_device to OVO
  * Clean \_get\_cctxt method signatures
  * DB: Optimize volume\_update method
  * Dell SC: Add init\_volume check and logging
  * VNX:Add more check on replication\_device keys
  * storwize: get\_host\_from\_connector optimization
  * Add current status to error msg in reserve\_volume
  * Mark backup\_swift\_key option as secret
  * Remove volid from attachments\_get\_by\_host|instance
  * Add 'cinder' to the 'allowed\_direct\_url\_schemes'
  * Add version to ibm\_storage driver
  * Nexenta: Use base VolumeDriver migrate\_volume
  * Fix typo in emc\_vmax\_fast.py
  * Add interface decorator to ibm\_storage driver
  * Fix typo in devref/api\_conditional\_updates.rst
  * Fix a typo in manager.py,test\_common.py and emc\_vmax\_utils.py
  * extract\_host: Handle empty host string input
  * Add 'replication\_targets' and 'display\_name' in API docs
  * OVO: OPTIONAL\_FIELDS should be moved inside the OVO
  * OPTIONAL\_FIELDS should be inside OVO object group\_snapshot
  * Moving the OPTIONAL\_FIELDS inside the OVO object group
  * Fix a typo in scheduler manager "filter\_propterties"
  * Fix formatting in generate\_config\_opts
  * Allow getting qos\_specs in db.volume\_type\_get
  * Add test\_get\_all\_by\_volume in objects/test\_backup
  * Remove extra param in list\_manageable\_snapshots
  * Modifies override logic for key\_manager
  * Fix request\_spec conversion from o.vo to dict
  * Stop using mox in unit/\*.py (2/2)
  * Dell SC: ISCSI initialize\_connection fixes
  * Add combined function get\_vol\_type\_by\_name\_or\_id
  * Fix coerce good values in test\_fields.py
  * Use to\_policy\_values for enforcing policy
  * Added default for ScaleIO driver max\_over\_subscription
  * Save volume\_type/group\_type uuid into db when creating group
  * Have a default OPTIONAL\_FIELDS for persistent OVOs
  * Include OPTIONAL\_FIELDS in VolumeType OVO class
  * Make sure get\_backup\_device result is an o.vo
  * Clean create\_snapshots\_in\_db method
  * Register state\_path opts and add it to sample conf
  * add more credentials information to check\_is\_admin
  * check quota per\_volume\_gigabytes for transfer-accept
  * Dell SC: Add dell\_server\_os configuration option
  * Stop using mox in unit/volume/drivers/\*.py
  * Remove cinder/tests/unit/test\_misc.py
  * Stop using mox in test\_wsgi, test\_nexenta, test\_netapp
  * Fix an invalid function call in test\_consistencygroups.py
  * Fix typo in enable\_unsupported\_driver description
  * Add CI\_WIKI\_NAME to ZTE Driver
  * Add CI\_WIKI\_NAME to X-IO Driver
  * Add CI\_WIKI\_NAME to Synology iSCSI Driver
  * Stop using mox in unit/\*.py tests (1/2)
  * Remove unused function from unit/fake\_utils.py
  * Reduce the runtime of drivers/ibm/test\_storwize\_svc
  * Improve TestCase.mock\_object method
  * Remove self.\_\_dict\_\_ for formatting strings
  * Use utils.validate\_dictionary\_string\_length
  * Stop using mox from unit/image/\*.py
  * TrivialFix: remove unnecessary VERSION\_COMPATIBILITY
  * Recover volume status after remove\_export
  * Let setup.py compile\_catalog process all language files
  * Dell SC: Add exclude\_domain\_ip option
  * Stop using mox in unit/volume/drivers/emc/\*.py tests
  * Stop using mox in unit/consistencygroup/\*.py tests
  * Stop using mox in unit/scheduler/\*.py tests
  * Stop using mox in unit/zonemanager/\*.py tests
  * Stop using mox in unit/backup/drivers/\*.py
  * Fix incorrect parameter in create\_key
  * Using oslo\_config's min attribute
  * Fix typo in the huawei\_driver.py
  * Fix invalid services caused by enabled\_backends
* Fri Apr 21 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev77:
  * Add IOPS limits that scale per-GB
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev76:
  * Updated from global requirements
  * Improve help for periodic message_reap_interval
  * Filtering attachment doesn't support 'instance_id'
  * XIV: switch to generic volume group
  * RemoteFS: fix volume cascade delete
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev66:
  * Clean up expired user messages
  * Check "kernel_id", "ramdisk_id" for Glance v2 only
  * 3PAR: Enable HPE-3PAR Compression Feature
  * Remove deprecated cinder.middleware.sizelimit
* Tue Apr 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev59:
  * Dell EMC SC: Support generic groups
  * NetApp: Deprecate E-Series drivers
  * ScaleIO: Adding CG support to groups
* Sun Apr 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev53:
  * Eliminate deprecation warning in db
* Fri Apr 14 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev52:
  * Revert "Huawei: disable certificate verification"
  * Reverts quobyte_volume_url option back to type StrOpt
  * Disables xattrs on Quobyte driver mounts
  * [BugFix] Add method policy in attachment APIs
  * Adds a bugfix release note regarding backing up with the Quobytedriver
  * Fix encryption key deletion error handling on volume delete
  * Fix rally job gate-rally-dsvm-cinder-ubuntu-xenial-nv
  * ProphstStor driver 'SSL' communication fails to check certificates
  * Optimize the link address
  * Tests: mock psutil usage in quobyte tests
  * api-ref: fix rest method error in reset group and group-snapshot status
  * Add __init__ for cinder.config module
  * Fix some reST field lists in docstrings
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev30:
  * Dell EMC SC: Raise on _init_volume create_snapshot failure
  * Updated from global requirements
  * HPE Lefthand: add CG capability to generic groups
  11.0.0.0b1
  * Separate out routine for getting qemu_img_info
  * Fix metadata api's raises TypeError
  * Add unit test for brick/local_dev/lvm.py: create_volume
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev474:
  * Remove unused references from config-generator
  * Missing volume status on block storage v2 API
  * ds8k: check lun exist or not when clone volume
  * DS8K driver should use DLM
  * DS8K driver: remove code for fake connector
  * Fix migrate api giving incorrect exception message
  * NEC driver doesn't provide link down portal info
  * HPE 3PAR: Handle manage and unmanage hosts present
  * VNX: allow specify pool name for replication
  * Fix the missing args bug while lvm creates volume failed
  * Delete the duplicate interface about the api version
  * Extracted HTTP response codes to constants
  * [doc] Update doc index
  * Adds missing return value to create_cloned_volume of Quobyte driver
  * Add missing and incorrect response and error codes in cinder api-ref
  * Adds API documentation for list and show hosts
  * Remove "list_volume" from filter
  * VMware: Refactor vmdk unit tests
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev438:
  * Tests: Remove the redundant methods
  * Fix config option volume_backend_name's invalid overridden value
  * SMBFS: enable Nova assisted volume snapshots
* Sun Apr  9 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev432:
  * Updated from global requirements
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev431:
  * Fixed wrongly catched multiple exception types
  * Storwize: add CG capability to generic groups
  * Mark QNAP volume driver as unsupported
* Fri Apr  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev425:
  * Use HostAddressOpt for opts that accept IP and hostnames
  * Remove mirror policy parameter from Huawei driver
* Thu Apr  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev421:
  * DS8K driver: change the design of CG
  * Add sem-ver flag so pbr generates correct version
  * Fix attach issue for failed-over volume
  * Add CG capability to generic groups in Huawei driver
* Wed Apr  5 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev413:
  * Reduce code duplication
  * Huawei: disable certificate verification
  * [Trivial]Fix some incorrect annotations
  * Add more specific error message
* Mon Apr  3 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev405:
  * Remove 'verbose' config option initialization
  * Hitachi: Mark HBSD and VSP as unsupported
  * HNAS: Mark NFS driver as unsupported
  * Support for HostAddress opt
  * Add an optional db session argument to cinder.db.sqlalchemy.api. quota_allocated_get_all_by_project(). Then in quota_reserve() pass the session that is fetched for that method so that a new session does not have to be made. This can avoid DB timeouts and retries when a lot of concurrent operations are hitting quota_reserve()
  * VMAX driver - Live Migration is dropping connection
  * Fix some format error in docstrings
  * Add bandit-baseline to tox.ini
  * Backup: Add choices to compression algorithm option
  * ScaleIO: Fixing support for SIO 1.3x
  * Fix error status check when create backup
  * Updated from global requirements
  * Implementation of cinder driver for Veritas HyperScale
  * [BugFix][Devref] Refactor attach/detach v2 devref
  * [BugFix] Add 'all_tenants', 'project_id' in attachment-list
  * Add two response parameters in the api-ref of getting capabilities
  * Remove XML description from media-types
  * Remove unused CG code
  * Delete consistency group fails on xtremio driver
  * VMAX driver - superfluous debug messages causing error
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev367:
  * Updated from global requirements
  * Tolerate new SQLAlchemy==1.1.7
  * [BugFix]Cinder forgets to update 'deleted_at' when deleting
  * Don't change volume's status when create backups from snapshots
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev360:
  * New test case for InfroTrend driver
  * [api-ref] Update snapshot/volume's metadata api-ref
  * Huawei driver supports front-end qos
  * NetApp E-Series CI name update
  * Don't use tempest special_fields
  * Make cinder-manage online migrations more verbose
  * Extracted HTTP response codes to constants
  * Adding tests for api/v3/group_specs.py
  * VMware: Enforce min vCenter server version 5.5
  * Remove old oslo.messaging transport aliases
  * Correct Extend lvm Volume
  * VMware: Set vSphere opID prefix
  * Add driver supported status to dict output format
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev336:
  * api-ref: Fix volume_id parameter for the path
  * Fix 500 error when 'mountpoint' is not provided to os-attach
  * HPE LeftHand: extend volume if larger than snapshot
  * Mark the Violin volume drivers as unsupported
  * Mark Blockbridge volume driver as unsupported
  * Fix version numbers on media-types
  * Adding new test case for InforTrend driver
  * Fixed inconsistent naming conventions
  * Extracted HTTP response codes to constants
  * Extracted HTTP response codes to constants
  * Extracted HTTP response codes to constants
  * Update db from drivers in default groups methods
  * Fix: SnapshotStatus missing in Cinder
  * Replace yaml.load() with yaml.safe_load()
  * Refactor volumes summary
* Fri Mar 24 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev307:
  * [Doc] Add documentation for messages API
  * Make QnapISCSIDriver unit tests faster
  * Fix devref create_volume doc formatting
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev302:
  * Fix status_code of "list versions" API
  * replace references to cinder.openstack.org
  * Fix cinder functional tests job
  * [Doc] Add missing parameter in v3 resource documentation
  * Added gigabyte unit to values in exception message
  * Set access_policy for messaging's dispatcher
  * Fix ut error of volume deletion
  * vzstorage: use resize instead of grow for ploop images
* Wed Mar 22 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev288:
  * Consistency groups API is not returning project_id filter groups
  * Fix docs failures caused by latest eventlet
  * Prevent duplicate entries in the image cache
  * IBM storage: switch to generic volume group
* Tue Mar 21 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev281:
  * Fix more invalid UUID warnings in test_vmax file
  * Remove log translations
  * Fix lock contention in SolidFire driver
  * Fix create_consistencygroup when using CG objects
  * Add quota limit check and enhance roll back for cg create
* Sun Mar 19 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev272:
  * Remove hacking check for log translation
* Sat Mar 18 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev270:
  * ScaleIO: Fixing warnings spotted by PyCharm and tox
  * Dell EMC SC: Return dict from delete_consisgroup
  * VMAX driver - volumes part of CG not managed correctly
  * VMAX driver - consistency group remove empty values
  * Tests: Fix InvalidUUID warning for 'qosId'
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev260:
  * Updated from global requirements
  * Revert "Remove v1 API reference"
  * Datera: extend volume if larger than snapshot
  * Add filter, sorter and pagination for group snapshot
  * Update devref for OVO version bumping
  * Improve devref for API errors
  * VMAX driver - replace pickle with jsonutils
* Thu Mar 16 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev246:
  * [Optimise] Refactor group snapshot testcases
  * Add API documentation for volume detach in v3
  * Dell EMC SC: Added retry to _init_volume
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev240:
  * [Optimise] Refactor ExtraSpecsOpsTestCase with ddt
  * ProphetStor driver create vol from snap with wrong size
  * Hash password displays in debug log
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev234:
  * Updated from global requirements
  * Fix 500 HTTP API error caused by rpcapi RemoteError exception
  * Add a README in tests dir linked to devref html
  * Bump prlimit cpu time for qemu-img from 2 to 8
  * Fix 500 error if boolean is_public is passed as string
  * XtremIO: allow a cloned volume with larger size
* Sun Mar 12 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev222:
  * Add driver-requirements.txt
  * Remove Linux SMBFS driver
  * Modify the spelling mistakes
* Sat Mar 11 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev217:
  * Remove HNAS iSCSI driver
  * Remove unreachable code
  * Remove duplicate key from dictionary
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev211:
  * api-ref: v2 API does not mention GET volume metadata by key
  * Update guru doc to support file modification events
  * Replace obsolete vanity openstack.org URLs
  * Fix column types in models.py
  * cors: update default configuration
  * Tests: Use six.moves.urllib urlencode
  * Switch to use stable data_utils
  * VMAX driver - Change vendor_name from EMC to Dell EMC
  * Fix generic group's unit testcase
  * Switch to decorators.idempotent_id
  * Change the default value of used Glance API
  * Disallow modification of in use Volume Types
  * Add debug log of retryable response on SolidFire
  * Filter on Active status in SolidFire List
  * Remove TODO related to Nova API version
  * Add per-backend availability zones
  * cinder-backup - coordination not initialized
  * Reuse API v2 for v1 calls
  * api-ref: v2 update volume metadata description is wrong
  * Fix action on services raises TypeError
  * api-ref: v2 API does not mention DELETE for volume metadata
  * Set backup available after verify
  * Updated from global requirements
  * Remove domains *-log-* from compile_catalog
  * Deprecate API v2
  * Remove v1 API reference
  * Zadara driver - move from httplib to requests
  * NetApp: Track SVM and Cluster scoped credentials
  * NetApp cDOT: Add check if copyoffload tool is available
  * Extracted HTTP response codes to constants
  * LVM: collect more debug data when VG creation fails
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev158:
  * Fix size update error for snapshot-manage operation
  * Fix typo error
  * Updated from global requirements
  * Validate display_name/description attributes in API layer
  * Purge immediately on Delete in SolidFire Driver
  * Huawei driver supports specifying copy speed
  * NEC: Fix format string in debug message
  * Fix ATTACH_READONLY_VOLUME message generation
  * Enforce _usage_from_snapshot to fetch info from deleted volume
  * Unity driver: fail to disconnect volume
  * Tests: Remove mocks of nonexistent methods (NetApp)
  * Unity driver: check array OE version
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev135:
  * Reuse identical API v2 code for v1
  * Disable multiattach for all drivers
  * Change volume_type dict to ovo
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev130:
  * Fix internal tempest tests
* Sun Feb 26 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev128:
  * Huawei: Check before add initiator
* Sat Feb 25 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev127:
  * Remove an outdated comment
* Wed Feb 22 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev126:
  * create snapshot with generic group fail with XtremIO Driver
  * VMware: Use full clone if extend needed
  * VMware: Use storage profile name in extra-spec
  * Infortrend: Stable generation of strings from dicts
* Sat Feb 18 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev121:
  * Remove unused logging import
  * Compact Mitaka database migrations
  * Remove support for py34
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev115:
  * Fix attachments after attached migration
  * Fix volume retype with migration as non-admin
  * Fix multibackend-matrix confs
  * Adds attached migration to multibackend-matrix
  * Fix Pep8 Failures for Python3
  * Removes getfattr from Quobyte Cinder driver
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev103:
  * Fix SolidFire cgsnap clone bug
  * Remove Ocata's data migrations
  * Add the backup variable structure in backup_driver interface
  * Dell EMC SC: Return dict in delete_cgsnapshot
  * ceph backup support for EXCLUSIVE_LOCK and JOURNALING features
  * SolidFire: Handle connect_volume() failure when create vol from image
  * Change nova_catalog_admin_info to default to publicURL
  * doc: verify all rst files
  * VMAX Driver - disable initiator check by default
  * Use ovo instead of dict
  * Add filters support to get_pools
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev81:
  * Adds db_online_data_migrations to cinder-manage manpage
  * VMware: Delete temporary snapshot after clone
  * Updated from global requirements
  * 3PAR: rally test create-volume-from-snapshot fails
  * Cinder tox updates for Python3
  * [4/4]Reset generic volume group and group snapshot statuses
  * Switch and/or to ternary operator
  * 3PAR: Remove un-necessary snapshot in online copy operation
  * DB: Optimize update methods
  * Refactor of getting qemu-img version
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev65:
  * Fix duplicate lvs2 entry in rootwrap volume filter
  * VNX: Handle error during volume deletion
  * VMAX driver - snapshot creation and immediate deletion fix
* Mon Feb 13 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev59:
  * Dell EMC Ps: Report discard support
  * netapp image cache cleaning start thresholds does not work
* Sun Feb 12 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev56:
  * Updated from global requirements
  * fix create_consistencygroup in xiv
  * Storwize: correct the product key for replication
  * Nosec audit url open issue from Bandit
  * Switch to decorators.idempotent_id
* Sat Feb 11 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev48:
  * Output the driver info as json
  * Add maximum microversion for Ocata
  * Fix "No documentation found in" errors in docs
  * Dell EMC: Create independent volume on clone
  * Fix Block Storage API reference nesting
* Fri Feb 10 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev38:
  * Drop version validation
  * [11/11] Refactor test_volume file
  * [10/11] Refactor test_volume file
  * [9/11] Refactor test_volume file
  * [8/11] Refactor test_volume file
  * [7/11] Refactor test_volume file
  * [6/11] Refactor test_volume file
  * [5/11] Refactor test_volume file
  * [4/11] Refactor test_volume file
  * [3/11] Refactor test_volume file
  * [2/11] Refactor test_volume file
  * Remove unsupported NexentaEdge driver
  * Remove unsupported HPE XP driver
  * Remove unsupported CloudByte driver
  * VMAX driver - allow for multi volume types in Consistency Group
  * Use https instead of http for git.openstack.org
  * Move windows drivers to versioned objects
  * Refactor test_volume_actions to use ddt library
  * Fix some typos in comments
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev13:
  * [1/11] Refactor test_volume file
  * Autoselection of IBM SVC/Storwize IO group
  * VMAX driver - widen locking around storage groups
  * Remove cgsnapshot_id before snapshot.save
* Wed Feb  8 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev7:
  * Minor cleanup on tools/test-setup.sh
  * Add Ocata sanity check migration
  * Update reno for stable/ocata
  * VMAX driver - copy state fix
* Tue Feb  7 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev1:
  10.0.0.0rc1
  * Reserve 5 migrations for DB backports
  * Tests: Fix NetApp unit test failure w/ hash randomization
  * xiv create vol from replicated source fails
  * Don't use None value for sql query
  * Remove promote and reenable from policy
  * VMAX driver - ignore service level and workload in xml
  * Prepare for using standard python tests
  * Resolve Brocade HTTPS connection error
  * [api-ref]Fix the volume metadata description error
  * [api-ref]Add volumes/summary API doc
* Mon Feb  6 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev111:
  * HNAS: Cloned volume with different volume type
  * [api-ref]Change tenant to project
* Sun Feb  5 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev108:
  * VMAX driver - Convert eval to ast.literal_eval
  * VMAX driver - failover error fix
  * Add missing consistencygroup_id in volume
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev103:
  * Add SUPPORTED flag to Lenovo FC driver
  * Image utils: fix fetching available space on Windows
  * Fix max_age calculation for quota usage refresh
  * Fix 500 error while listing manageable volumes and snapshots
  * Add usage and limit info on quota limit errors
  * xiv delete cg fails if removed on backend
  * Hitachi VSP: Specify compute nodes and copy ports
  * VMAX driver - sync sv issue
  * Stop get_notifier mock in tests cleanup
  * Deprecate the Linux SMBFS driver
  * Add back policy check for CG
  * Remove emc folder
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev82:
  * Convert ignoreskippedcluster check to be static
  * Clean up release notes for Ocata
  * Make get_capabilities look for clusters
  * Add SUPPORTED flag to Lenovo iSCSI driver
  * Add SUPPORTED flag to HP MSA driver
  * Fix notification short-circuit
  * Fix host assignment when clustered
  * Remove redundant log during initialize connection
  * Add lock acquire/release debug messages
  * Add command information to cinder-manage.rst
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev64:
  * ZTE: Added CI_WIKI_NAME
  * Fix CopyVolumeToImageTestCase max recursion depth
  * Move release notes to correct location
  * Add cluster_name to temporary volumes
  * 3PAR: Inconsistency in copied and source CG
  * Reduced the complexity of the main() method
  * clean up replication volume on an xiv backend
  * Add create volume from image policy
  * Revert "Mark the sheepdog driver as unsupported"
  * Cluster volume group fix in lvm
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev46:
  * Add descriptions to Pure drivers
  * Adds API documentation for update snapshot status
  * Short-circuit notifications when not enabled
  * create consistency group mishandles types
  * Dell EMC SC: Delete doesn't account for migration
  * Prohibit creating volume from source with dif encryptions
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev35:
  * VMAX driver - removed incorrect six.text_type
  * Rebrand and move EQLX driver to dell_emc folder
  * VMAX driver - QoS key fix
  * Fix double call to "qemu-img create"
* Sun Jan 29 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev28:
  * Updated from global requirements
  * Fix Live Migration for Nimble Storage Driver
  * Set image_owner before adding location to glance
  * Add driver interface for groups
* Sat Jan 28 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev22:
  * VMAX driver - remove global mock of volume_types
  * Zero out SolidFire capacity when unreachable
  * IBM driver update CI_WIKI_NAME
  10.0.0.0b3
  * Fix Qos for clone for Nimble Storage Driver
  * Fix api-ref status parameter
  * Small change to microversion header on devref
  * Check if volume node has enough space for image operations
  * backup of active 3par ISCSI bootable volume fails
  * Tests: Fix hash unstable dict comparison
  * VMAX driver - rename and restructure driver
  * VMAX driver - storage group cleanup on error
  * NetApp cDOT: Add NetApp Volume Encryption support
  * Remove useless FIXME
  * Switch to using generic groups with Pure driver
  * Adds getfattr and mount to Cinder rootwrap volume.filters
  * Modify the spelling mistakes
  * Correct RBD Provision stats&fix a perf problem
  * Huawei: Mask unnecessary log print
  * Windows SMB: use os-brick remotefs client
  * Added unit test coverage to test_limits.py for api v2
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev358:
  * Open the source code of ibm_storage driver
  * NFS snapshots
  * Tests: Fix mock for vzstorage remotefs
  * Eager load projects when getting types by group
  * Add assert_min_rpc_version decorator
  * Make CappedVersionUnknown exception more useful
  * Don't drop the volume type's extra spec at DB layer
  * Brcd zonemanager: Fix unstable command generation
  * Dell SC: Logging asyncTask if XML returned
  * Test: Fix assert_has_calls dict order bug (QoS)
  * Remove race conditions from transfer API
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev337:
  * Fix the api-ref CI failure
  * Updated from global requirements
  * Switch ManageableSnaphots & ManageableVolumes list to OVO
  * Add volume backup tempest tests
  * Break migrate_add_message_prefix into two queries
  * Fix some problem for attachment list
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev325:
  * VMAX driver - Implement volume replication for VMAX
  * FalconStor: Drop the copy_image_to_volume feature
  * Refactor backup RPC API test cases
  * Refactor scheduler RPC API test cases
  * Update the parameter check when create attachment
  * FalconStor: Restore option "san_secondary_ip"
  * Extracted HTTP response codes to constants
  * XtremIO: Add CG capability to generic groups
  * VMAX driver - Consistency Group automerge fix
  * VMAX driver - Support for compression on All Flash
  * Add new attachment APIS
  * Add lock around SolidFire clone-image
  * VMAX driver - Storage assisted volume migration
  * Dell SC: Retype fixes
  * Revert "Mark Huawei volume driver as unsupported"
  * Fix typos
  * Refactor volume RPC API test cases
  * Make notify_service_capabilities cluster aware
  * VNX: Add async migration support
  * VNX: Update sg cache if it already existed
  * Allow snapshots and volumes to have Null group values
  * Fix for FC Initiator API in Nimble Storage Driver
  * VMware: Allow deletion of snapshot in error state
  * NexentaStor5: Added extend method to NFS driver
  * Sync ``services`` SQLA model with what's in the DB
  * Fix volume manage
  * Storwize: do the correct update after failover
  * Dell SC: Change DRP search to reference type
  * vzstorage: fixed snapshot deletion in error state
  * Unity: Add support to set IO ports in option
  * Add volume type access operations notification
  * FusionStorage: rename the CI_WIKI_NAME
  * VMware: Use versionutils in oslo.utils
  * Datera 2.3 driver update
  * Only log insecure key manager warning once
  * Attach/Delete volume for tgt driver race condition fix
  * Storwize: create vol fails near licensed limit
  * Reuse already existing groups in tempest plugin
  * Remove temporary directory creation for BaseBackupTest
  * Gate migration tests: Add Cinder tempest hook
  * Missing parameter for storage pools in Pure Storage driver
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev247:
  * Revert "Mark Quobyte volume driver as unsupported"
  * Fix retype with migrate
  * Move driver tests to tests/unit/volume/drivers
  * Prevent claiming and updating races on worker
  * Fix replication freeze mechanism
  * Move service and cluster creation in test to utils
  * Make Image Volume Cache cluster aware
  * Make Replication support Active-Active
  * Fix for live migration for Nimble Storage
  * Nosec Paramiko exec_command() warning from Bandit
  * Improvement to get group detail(Part 2)
  * Unity Driver: Backup volume via snapshot
  * Add psycopg2 and PyMySQL to test-requirements
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev219:
  * Make BackupManager not a SchedulerDependentManager
  * Optimise: Use sqlalchemy to build table sequence
  * Nosec subprocess with shell equal True from Bandit
  * Add volume to fake snapshot object
  * Clean up image tmp file if c-vol gets restarted
  * Prevent driver load failures from objects
  * Replace deprecated pylint disable-msg with disable
  * Updated from global requirements
  * Save model_update as admin in create_volume
  * Add api version history for 3.23
  * RBD: Fix RBD replication on volumes from image source
  * Dell SC: Missing version history
  * Remove deprecated RequestBodySizeLimiter class
  * Allow triggering cleanup from API
  * [py35] image file should be open in binary mode
  * HNAS: Change snapshot names
  * Add prefix to user message event ids
  * Improve compatibility with novaclient 7.0.0
  * Updated from global requirements
  * Fixes hpelefthandclient AttributeError
  * Mark the sheepdog driver as unsupported
  * Remove inheritance from deprecated classes
  * Dell SC: Failback timeout extended
  * Tests: Remove more InvalidUUID warnings
  * Don't translate exceptions w/ no message
  * Add CG capability to generic groups in VNX driver
  * RBD: Remove volume_tmp_dir option
  * Delete volume when rescheduling
  * VMware: Set backend UUID to volume UUID
  * Rename AddFCZone and RemoveFCZone according to PEP 8
  * Cleanup limit view name processing
  * Skip CI link in list for infra supported drivers
  * Doc: Fix build warnings for missing code-block lang
  * CoprHD: Handle ScaleIO CI failing with version-3.5
  * Python3 common patterns
  * Fix sphinx errors related to missing paths/modules
  * Cascade + force volume delete parameters
  * Remove unused PasteAppNotFound exception
  * tgt: Remove existence check before delete
  * Convert 'parallels' format name to 'ploop'
  * Report multiattach capability for Hitachi VSP drivers
  * Tests: Split up NFS backup notification test
  * Set replication_status automatically on retype
  * Support new osprofiler API
  * Improve DB method naming consistency
  * Simplify calls to mock_object
  * Make APIVersionRequest's null check more pythonic
  * Unreserve volume: fix log message for completion
  * Revert "Swap volume type for migration started by retype"
  * Fix response bootable parameter type in api document
  * Add dev doc for generic volume groups
  * Fix create_group with group type name
* Sun Jan  8 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev126:
  * Fix a few typos in storwize_svc_common.py
  * Enable DeprecationWarning in test environments
  * Add orm type check for paginate_query
  * NexentaStor5: sessions and HTTPS support
* Sat Jan  7 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev118:
  * Add manage/unmanage to DISCO driver
  * Updated from global requirements
  * [api-ref]Add api ref for "volume type encryption"
  * Mark Nexenta Edge volume drivers as unsupported
  * Mark Tintri volume driver as unsupported
  * Mark Quobyte volume driver as unsupported
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev107:
  * Adds metadata in search option for snapshot
  * Fix python integer interpretation in Py2 and Py3
  * Fix Cisco Initiator zoning updates
  * Add QoS and Dedupe Support for Nimble Storage
  * Refactoring ITRI DISCO cinder volume driver
  * Set replication_status on volume creation
  * VMware: Fix inventory folder after volume transfer
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev93:
  * Show provider_id for admin
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev92:
  * Avoid Forcing the Translation of Translatable Variables
  * HNAS: Deprecate HNAS iSCSI driver
* Wed Dec 28 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev88:
  * [1/4]Reset generic volume group status
  * Fix online data migrations cmd in release notes
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev85:
  * Update replication property in capabilities
* Mon Dec 26 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev83:
  * Deprecate the block_device driver
* Sun Dec 25 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev81:
  * Updated from global requirements
  * VMAX driver - PortGroup rollback error path scenario
  * Cisco: can't add new zone when no zone is created before
  * Backup project attribute support
  * Cinder consistency group returning generic error message
  * Move VNX driver to dell_emc folder
  * Delete space to pass the check of pep8
  * Log detailed attach/detach volumes info
* Sat Dec 24 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev65:
  * Use oslo.messaging topics for multibackend
  * CG API changes for migrating CGs
  * [2/4]Reset group snapshot status
  * Update is_up from Service OVO class to match ORM
  * Replace assertDictMatch with assertDictEqual method in tests
  * Cisco: can't add new zone when no zone is created before
  * Backup project attribute support
  * Cinder consistency group returning generic error message
  * Move VNX driver to dell_emc folder
  * Delete space to pass the check of pep8
  * Log detailed attach/detach volumes info
  * Move XtremIO driver to dell_emc folder
* Fri Dec 23 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev81:
  * [2/4]Reset group snapshot status
  * Update is_up from Service OVO class to match ORM
  * Replace assertDictMatch with assertDictEqual method in tests
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev75:
  * Cisco: can't add new zone when no zone is created before
  * Backup project attribute support
  * Cinder consistency group returning generic error message
  * Move VNX driver to dell_emc folder
  * VMAX driver - MVs and SGs not reflecting correct protocol
  * Delete space to pass the check of pep8
  * Log detailed attach/detach volumes info
  * Fix VMAX unit test timeout issue
  * Migrate consistency groups to groups
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev60:
  * Add more operations to cluster
  * Make workers ORM compatible with SQLAlchemy 1.1.4
  * Fix logging traceback in service logs
  * Remove "service" from required_import_options
  * Add Rest API Support for Nimble Storage
  * Adds release note for 'Route extend_volume' bugfix
  * Add 'unmanaging' state to volumes and snapshots
  * Fix service_get mock method
  * Mark DotHill volume drivers as unsupported
  * leave the unreleased branch unspecified for release notes
  * Mark Huawei volume driver as unsupported
  * Mark CloudByte volume driver as unsupported
  * Mark HPE XP volume driver as unsupported
  * RBD: Implement v2.1 replication
  * Remove Scality backend driver
  * Add Apache 2.0 license to source file
  * ibm_storage driver: Added fczm decorators
  * EMC VMAX: Remove unused is_in_range() method
  * Remove unused constant in hbsd_horcm.py
  * Move ScaleIO driver to dell_emc folder
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev25:
  * Fix VMAX clone CG release note
  * Updated from global requirements
  * Drop the judgement condition for FakeConnector
  * VMAX driver - Attach and detach snapshot
  * Fix status after a VolumeDriverException
* Mon Dec 19 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev17:
  * Add get_all capability to volume_attachments
  * [api-ref] Show more specific parameter of capabilities
  * Remove authorisation checks at the DB level for quota operations
* Sun Dec 18 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev13:
  * Rolling upgrade procedure documentation
  * Cosmetic changes to scheduler
  * Fix secondary lvm cmds rootwrap filters
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev9:
  * Support A/A on Scheduler operations
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version cinder-10.0.0.0b3.dev8:
  * Use method is_valid_boolstr from oslo_utils
  10.0.0.0b2
  * Updated from global requirements
  * Fix detach twice of snapshot
  * Add cinder volume drivers for NEC Storage M series
  * Fix condition parameter bug in routes
  * Fix warning when running `tox -e docs`
  * Dell SC: Added Logging to _swap_credentials
  * Dell SC: Missing volume creation options
  * Dell SC: Incorrect exceptions being returned
  * Dell SC: Unable to locate LV primary after LV-AFO
  * Handle NotImplementedError for image cache cloning
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev165:
  * Nexenta: Added ZFS cleanup in NexentaStor4 iSCSI driver
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev163:
  * Correct reraising of exception
  * Added initial backend ISCSI driver for Reduxio
  * Do not manage VG with > 1 volume in Kaminario driver
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev157:
  * Hacking: Remove N333 oslo namespace import check
  * Adds Unity Cinder Driver
  * Switch default py3x to py35
  * HNAS: Add list manageable volume/snapshots
  * Route extend_volume calls to scheduler
  * test: fix wrong usage of config option in test_window
  * Fix wrong usage of config option gpfs_images_share_mode
* Mon Dec 12 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev143:
  * Fix replication_status on InvalidReplicationTarget
  * Refactor api test_common to use ddt library
  * Admin API policy enforcement contingent on is_admin_project
  * VMAX driver - Create a CG from a source CG
* Sun Dec 11 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev135:
  * Remove run_tests.sh wrapper
* Sat Dec 10 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev133:
  * Move to hacking 0.12
  * Modify variable's usage in Log Messages
* Fri Dec  9 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev130:
  * Remove deprecated volume_clear shred option
  * Fix dos-style endlines
  * Add QNAP ES Storage Driver
  * Fix TypeError when execute cinder-volume-usage-audit
  * Remove anyjson test dependency
  * Non-WAN port filter issue in Kaminario iSCSI driver
  * Introduce Hitachi VSP iSCSI driver
  * Remove Kaminario deprecated option
  * Introduce Hitachi VSP driver
  * Tests: Fix invalid UUID warnings
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev110:
  * Updated from global requirements
  * Support A/A in delete actions and get_capabilities
  * SolidFire QoS scaled by volume size
  * Huawei: Mark password option as secret
  * HNAS: Rename hnas_svcX_volume_type
* Wed Dec  7 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev100:
  * Block 3.1 message with c-sch RPCAPI pinned to 3.0
  * VMware: VMDK driver performance improvements
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev97:
  * Add host check on replication actions
  * Updated from global requirements
  * New cinder driver to support INFINIDAT InfiniBox
  * NetApp cDOT driver fails to clone from NFS cache
  * Replace functions 'Dict.get' and 'del' with 'Dict.pop'
  * VMAX driver - Ensure VMAX volume matches cinder db volume
* Sat Dec  3 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev86:
  * Remove support for single backend config
  * Update detach_volume() with versionedobjects
  * Update attach_volume() with versionedobjects
  * Calculate virtual free capacity and notify
  * Correct the attributes of volume which created by clone a CG
  * Always allow to create snapshot db record with snapshot-manage
  * Add unsupported status to driver listing
* Fri Dec  2 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev72:
  * Swap volume type for migration started by retype
  * Remove Unicode byte order mark
  * Support A/A in attach/detach operations
  * NetApp Data ONTAP driver enhanced support logging
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev65:
  * [api-ref] Correct status code of backup delete
  * Add cg constraint when deleting a volume type
  * Skip more parameters when import backup record
  * Dell SC: Reject thaw call when backend is failed over
  * Remove nosetests i18n fix
  * Remove 2 unnecessary assignments
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev53:
  * Add logging to FakeLoggingVolumeDriver
  * Remove empty debug_opts
  * Add is_up property to service and cluster objects
  * Fix UnBoundLocalError in update_consistencygroup
  * Deprecate Hitachi Block Storage Driver
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev43:
  * HPE3PAR: handle conflict in iscsi host create
* Mon Nov 28 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev41:
  * Create a dell_emc folder for Dell EMC drivers
  * Modify the position of try-except
  * Update v2 and v3 Volume actions documentation
  * Update replication doc
  * Fix glance v2 image update
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev33:
  * Show team and repo badges on README
  * Fix names in online-data-migrations release note
* Fri Nov 25 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev29:
  * Fix UnableToFailOver exception message
  * Replace six.iteritems with dict.items()
  * Log traceback for validate_connector exception
  * Delete the redundant expression expected_attrs
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev21:
  * Updated from global requirements
  * Huawei: Fix the rest query timeout problem
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev18:
  * Add host check while create snapshot
  * Remove use of timeutils.set_time_override
* Tue Nov 22 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev15:
  * Fix typo in test_quotas.py
  * Fix v2 volume create api-reference request parameters
  * Fix "wrap functions with 2 blank lines" pep8 check
* Mon Nov 21 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev10:
  * Add VERSION to ZTE driver class
* Sun Nov 20 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev9:
  * Skip test_storwize_get_host_from_connector_with_lshost_failure
  * Prevent Active-Active on drivers by default
* Sat Nov 19 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev6:
  * Convert backup_device to OVO
* Fri Nov 18 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev5:
  * RBD: improve readability in over provisioning tests
  * Fix typo error
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev2:
  10.0.0.0b1
  * Add generic code for online data migrations
  * Add VolumeAttachStatus Enum
* Wed Nov 16 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev381:
  * Drop unused parameter in class EntryCreateTask
  * Remove unnecessary setUp and tearDown
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev377:
  * Updated from global requirements
  * Pass OVO instance to copy_volume_to_image
  * Add multipath enhancement to Storwize iSCSI driver
  * VMAX driver - Useful name convention for CG names
* Sun Oct  2 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev132:
  * Imported Translations from Zanata
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev131:
  * Add the note of maximum microversion
  * VNX: raise exception if no storops
  * Imported Translations from Zanata
  * Fix typo in emc_vmax_fast.py
  * Drop unused parameter in class ExtractSchedulerSpecTask
  * Add test_get_all_by_volume in objects/test_backup
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev120:
  * Imported Translations from Zanata
  * VMware: Remove FakeObject
  * Updated from global requirements
  * Fix typo in devref/api_conditional_updates.rst
  * Fix IndexError in volume manager
  * Updated from global requirements
  * Hacking checks for H105
  * Speed up ibm storwize svc driver's tests
  * Modifies override logic for key_manager
  * Compact Liberty database migrations
  * Storwize: remove SCSI LUN ID for volume attaching
  * Huawei: Backend capabilies report optimization
  * Unexpected function is called in _migrate_volume_generic
* Thu Sep 29 2016 tbechtold@suse.com
- Add missing BuildRequires
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev95:
  * Remove ovo[fixtures] dependency from tox.ini
  * extract_host: Handle empty host string input
  * Remove dead code - replication RPC APIs
  * Add 'replication_targets' and 'display_name' in API docs
  * Imported Translations from Zanata
  * OVO: OPTIONAL_FIELDS should be moved inside the OVO
  * OPTIONAL_FIELDS should be inside OVO object group_snapshot
  * Moving the OPTIONAL_FIELDS inside the OVO object group
  * Cleanup lintstack exceptions related to objects
  * Allow attribute lazy loading in VolumeType OVO
  * Switch StrOpt to URIOpt for URL config options
  * Ceph doesn't save a container name for volume backup
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev74:
  * Updated from global requirements
  * Imported Translations from Zanata
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev72:
  * Remove placeholder tempest test
  * Provide cfg to ignore lvm descriptor leak warnings
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev68:
  * Imported Translations from Zanata
  * Fix project assignment in VolumeType OVO
  * Reduce redundant call of image show
  * Mark v1 as DEPRECATED in devref
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev61:
  * Allow getting qos_specs in db.volume_type_get
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev59:
  * Imported Translations from Zanata
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev58:
  * Imported Translations from Zanata
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev57:
  * Volume get: Check policy before fetching metadata
  * Fix a typo in scheduler manager "filter_propterties"
  * Imported Translations from Zanata
  * Using assertIsNone() instead of assertIs(None)
  * Limit memory & CPU when running qemu-img info
  * Fix missing string format specifiers
  * Deprecate LocalVD, SnapshotVD, CGVD, ExtendVD, TransferVD
  * XtremIO: fix migration bug
  * Create v3 API Reference
  * Fix request_spec conversion from o.vo to dict
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev37:
  * Updated from global requirements
  * Add snapshot id validation during volume creation
  * Imported Translations from Zanata
  * Remove extra param in list_manageable_snapshots
  * Dell SC: Error attaching after LV-AFO
  * Remove duplicate code in functional tests
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev29:
  * Imported Translations from Zanata
  * Add combined function get_vol_type_by_name_or_id
  * Have a default OPTIONAL_FIELDS for persistent OVOs
  * Include OPTIONAL_FIELDS in VolumeType OVO class
  * Add functional tests for groups
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev23:
  * Imported Translations from Zanata
  * Remove duplicate keys from dictionary
  * Remove unnecessary setUp and tearDown
  * Add missing %%s in print message
  * Reserve 5 migrations for Newton backports
  * Add os-detach to api-ref
  * Stop using mox in unit/*.py (2/2)
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update reno for stable/newton
  9.0.0.0rc1
  * Dell SC: ISCSI initialize_connection fixes
  * Fix release notes formatting
  * DRBD: Don't put clients everywhere
  * Fix creating typeless volumes with Mitaka's c-sch
  * Refactor volume status in managing vol
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev169:
  * Fixed request/response parameters in doc
  * Add volume RPC API v3.0
  * Add scheduler RPC API v3.0
  * XtremIO: bump driver version to 1.0.8
  * Imported Translations from Zanata
  * Fix missing JSON response in API reference
  * Add xUnknownSliceID to retry list
  * Use IP in Kaminario locks and add/delete loggers
  * Dell SC: Disable connectivity failures for new servers
  * VMAX driver - Does not honor clone volume size
  * NetApp: Fix issue with busy snapshot deletion
  * Added config option to enable SSL
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev147:
  * Imported Translations from Zanata
  * Remove unreachable return statement
  * Fix coerce good values in test_fields.py
  * Unit test to use vol obj instead of dictionary
  * Use to_policy_values for enforcing policy
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev137:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove few Kaminario release notes
  * Newton release notes cleanup
  * Fix logic in retype check for encryption changes
  * Added default for ScaleIO driver max_over_subscription
  * VMAX driver - Cleanup of Initiator group fails
  * Fixed illegal syntax error code in ScaleIO rename volume
  * Remove sleep mocks in RBD unit tests
  * Fix RBD timeout
  * VMAX driver - failed rollback on VMAX3 when MV issue
  * Nexenta: Added use of sessions for NexentaEdge drivers
  * Remove host assignment in Snapshot OVO
  * Fix lazy loading cluster field from Service OVO
  * Fix exceed of dd action when copying with path
  * Add strict Boolean checking for storage pools
  * Make divisible py3 compatible in nfs driver
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev108:
  * Save volume_type/group_type uuid into db when creating group
  * Imported Translations from Zanata
  * fix the %%{} when string formating
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev103:
  * VMware: Send additional connection info
  * Imported Translations from Zanata
  * VMAX driver - Removal of iscsiadm from vmax cinder
* Sun Sep 11 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev98:
  * Imported Translations from Zanata
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev97:
  * Add missing release notes
  * Make sure get_backup_device result is an o.vo
  * Remove driver interface changes from reno devref
  * Imported Translations from Zanata
  * VMAX Plugin - Target WWN change for redundancy
  * NetApp cDOT: Fix reporting of replication capabilities
  * Fixes ZFSSANFS driver
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev85:
  * Cleanup Newton release notes
  * standardize release note page ordering
  * Orphan view and multipath issue in Kaminario driver
  * Eqlx: Ignore missing snapshot on delete
  * VMAX driver - Retrieve volume from snapshot
  * Stop using mox in unit/api/contrib/ tests (1/2)
  * Stop using mox in unit/volume/drivers/*.py
  * Remove unused source file tests/unit/db/fakes.py
  * Fix invalid services caused by enabled_backends
* Thu Sep  8 2016 tbechtold@suse.com
- Update to version cinder-9.0.0.0b4.dev71:
  * Imported Translations from Zanata
  * Trivial: Fix a trivial flake8 error
  * Register state_path opts and add it to sample conf
  * VMAX driver - Won't delete pre-existing initiator groups
  * Let setup.py compile_catalog process all language files
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev63:
  * Mark Scality volume driver as unsupported
  * Imported Translations from Zanata
  * Updated from global requirements
  * Support create group with group type name
  * Stop using mox in unit/api/v3/ tests
  * Fix quota rollback on retype failure
* Wed Sep  7 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev54:
  * Provide volume size for tempest volume creation
  * Imported Translations from Zanata
  * RBD: Error when managing a nonexistent volume
  * Fixed indentation
  * XtremIO: fix bug deleting cgsnapshot
  * Remove doc for promote/reenable replica
  * EMC VMAX - multi-attach failure to VMAX3 when SLO is omitted
  * zfssaiscsi driver log messges need cleaned up
  * VMAX Driver - Live Migration for VMAX3
  * Huawei: Modify array LUNs naming rules
* Tue Sep  6 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev38:
  * Raise NotImplementedError instead of NotImplemented
  * Rename specific driver option with synology prefix
  * Imported Translations from Zanata
  * LeftHand add entry point tracing
  * add more credentials information to check_is_admin
  * check quota per_volume_gigabytes for transfer-accept
  * Performance issue for VNX attache LUN
  * Config logABug feature for Cinder api-ref
  * Fix DellStorageCenter docstrings
  * Fix driver interface checks for ZTE driver
  * Add CI_WIKI_NAME to ZTE Driver
  * Add CI_WIKI_NAME to X-IO Driver
  * Add CI_WIKI_NAME to Synology iSCSI Driver
  * Fix the password print in cinder-volume.log issue
  * When only .pyc left, the extended API can not be used
  * Recover volume status after remove_export
  * VMware: Allow images in ova container
* Mon Sep  5 2016 tbechtold@suse.com
- Update to version cinder-9.0.0.0b4.dev15:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Fix manage existing MissingDependencies error
  * Do not pass unicode to str.isspace()  when disabling a service
  * Correction in log massage format syntax
  * Fix CapacityWeiger to accept None volume type
  * Imported Translations from Zanata
  9.0.0.0b3
  * Dell SC: Add dell_server_os configuration option
  * Add supported driver checks to Zone Manager
  * Fix backup unit tests imports for os-brick
  * Fix backup unit test with new os-brick
  * ScaleIO over subscription support
  * Fix CapacityFilter to accept None volume type
  * Fix HNAS stats reporting
  * Imported Translations from Zanata
  * Deleting volume metadata keys with a single request
  * Add Castellan release note
  * Changes stats report for ScaleIO driver
  * Remove cinder/tests/unit/test_misc.py
  * Imported Translations from Zanata
  * CoprHD: Handle create volume from CG snapshot error
  * Stop using mox in test_wsgi, test_nexenta, test_netapp
  * Fix an invalid function call in test_consistencygroups.py
  * Fix typo in enable_unsupported_driver description
  * Mark GlusterFS driver as deprecated
  * Retype encrypted volumes
  * Create encrypted volumes from images
  * Add encryptor attach/detach in utils
  * XtremIO: fix the returned value of CG actions
  * Stop using mox in unit/api/contrib/ tests (2/2)
  * Change assertTrue(isinstance()) with optimal assert
  * Stop using mox in unit/*.py tests (1/2)
  * Use assertIn instead of assertTrue(A in B)
  * Remove unused function from unit/fake_utils.py
  * Imported Translations from Zanata
  * Clean import in code
  * Remove unused config.CONF
  * Add tempest tests for Consistency Groups
  * HNAS: Add support for manage/unmanage snapshots in NFS driver
  * Reduce the runtime of drivers/ibm/test_storwize_svc
  * Improve TestCase.mock_object method
  * Remove self.__dict__ for formatting strings
  * Imported Translations from Zanata
  * CoprHD: Add missing key in ScaleIO driver
  * Avoid patch loopingcall in VNX
  * Add validation for the metadata properties
  * Removed RPC topic config options
  * Clean imports in code
  * Replace key manager with Castellan
  * Cleanup api-ref
  * Update api-ref path
  * Nexenta: NexentaStor4 NFS driver cache capacity and use sessions
  * Stop using /etc/cinder/cinder.conf for cmd tests
  * Use utils.validate_dictionary_string_length
  * Stop using mox from unit/image/*.py
  * Separate create and update rules for volume metadata
  * Updated from global requirements
  * TrivialFix: remove unnecessary VERSION_COMPATIBILITY
  * Pure - warn when deleting destroyed snapshot
  * Pin RPC server's serializer to min obj version
  * Driver documentation cleanup
  * Host selection when creating backup
  * TrivialFix: Remove cfg import unused
  * Fix password masking result
  * Dell SC: Add exclude_domain_ip option
  * Add support for force backup for Nimble Storage
  * Retype issue in Kaminario Cinder drivers
  * TrivialFix: Remove logging import unused
  * Stop using mox in unit/volume/drivers/emc/*.py tests
  * Stop using mox in unit/consistencygroup/*.py tests
  * Stop using mox in unit/scheduler/*.py tests
  * Stop using mox in unit/zonemanager/*.py tests
  * Stop using mox in unit/backup/drivers/*.py
  * Fix incorrect parameter in create_key
  * Use constraints for api-ref environment
  * Dell SC: Live Volume Autofailover
  * Add new supported driver checks
  * Tests: Fix racy volume unit test
  * vzstorage: fix create/delete snapshots
  * Sending ScaleIO volume id in attach and detach volume
  * Cleanup upgrade-related FIXME's
  * Using oslo_config's min attribute
  * Add replication failback in Kaminario K2 drivers
  * Group specs: Fix exception name
  * Dell SC: Failback replications limited to 5 at a time
  * VMware: Add volume name in vCenter to conn info
  * NetApp: Report multiattach as enabled
  * Attachment lost after migrating in-use volume
  * Fix typo in the huawei_driver.py
  * Updated from global requirements
  * Change NFS driver to not throw exception without nfs shares file
  * Datera driver 2.2 update
  * Reduce the runtime of drivers/dell/test_dellsc
  * Add release note to warn about os-brick lock dir
  * Updated from global requirements
  * Use min attribute from oslo_config
  * Imported Translations from Zanata
  * Fix the interface to call update_server_volume
  * Dell SC: Break_replication unhandled NoneType error
  * Volume Manage/Unmanage Support for IBM FlashSystem
  * Imported Translations from Zanata
  * Change a typo error in the releasenote
  * Fix reported driver's versions
  * Use OVOs to set errors in manage volume/snapshot
  * Use original volume OVO instance in create flow
  * Fix mysql binary comparison
  * Add CI_WIKI_NAME to driver's devref
  * Improve Hitachi HNAS volume drivers log messages
  * Updated from global requirements
  * EMC VMAX - iSCSI Multipath support
  * Fix typo in cinder/tests/unit/image/test_glance.py
  * Clean imports in code
  * Imported Translations from Zanata
  * Enhance api_microversion doc
  * Add CI_WIKI_NAME to Tegile volume driver
  * Add get_manageable_* methods to Pure drivers
  * Use constraints for all tox environments
  * Imported Translations from Zanata
  * Remove the using of dict.get() in assertIsNone
  * Revise Synology DSM storage driver
  * Add volumes/summary API support
  * Imported Translations from Zanata
  * Ignore case when comparing wwns in Pure FC driver
  * NetApp: Add Consistency Group Support for NFS
  * Replication, hard-coding and dict.name issues in K2
  * Update homepage with developer document page
  * Add CI wiki page to driver listing
  * Imported Translations from Zanata
  * Refactor cinder.utils._copy_volume_with_path
  * HNAS: Deprecating XML config file
  * Add functional-py35 to tox
  * Remove code duplication in enums
  * Concurrency issue in K2 iSCSI and FC Cinder drivers
  * VMAX Driver - QoS support for the VMAX3
  * Mask out passwords when tracing
  * Remove debug logger translations
  * Imported Translations from Zanata
  * Fix volume creation with no volume type
  * Dell SC: delete_live_volume payload incorrect
  * Dell SC: Requests async header is invalid
  * Imported Translations from Zanata
  * Use object instead of string when reset backup
  * Prevent doc generation failure on OVO decorators
  * CI: Add CI_WIKI_NAME to all drivers
  * Imported Translations from Zanata
  * Make the volume-manage doc be more general
  * Add missing dependency on keystoneauth1
  * Fix tox pip-missing-reqs
  * Revert "Remove Tegile volume driver"
  * HPE XP add entry point debug tracing
  * Remove resource_common_manage load warning
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove unused context parameter
  * Imported Translations from Zanata
  * QoS support for the Coho Data Cinder driver
  * Add tracing to remotefs entry points
  * NetApp cDOT: Add cheesecake replication support
  * Don't use config option sqlite_db
  * Improve snapshot handling in K2
  * Fix volume retype from SolidFire
  * EMC VMAX - Oversubscription support
  * Updated from global requirements
  * Fix volume upload-to-image for vhd disk-format
  * Imported Translations from Zanata
  * Remove context object in oslo.log method
  * 3PAR add entry point debug tracing
  * Fail manage operations if service is down
  * Support retype in K2 cinder driver
  * Remove comma from end of policy.json
  * Prevent adding same OVO version twice to history
  * Removed a dead db function register_models()
  * Handle snapshot delete conflict in 3par driver
  * Imported Translations from Zanata
  * Specify key algorithm and size for create_key
  * Add functional-py34 to tox
  * Fix size exceed of dd action when clearing a volume
  * HNAS drivers refactoring
  * Use volume o.vo in get_backup_volume_temp_snapshot
  * Imported Translations from Zanata
  * Fix ImportError of fake_driver
  * Add proxy config option to google backup driver
  * Add stochastic weight handler to scheduler
  * Fix Scheduler manager masking retype fail details
  * fixed misspelling in synology_common.py
  * Updated from global requirements
  * Don't puke when exiting driver list
  * corrected the help string in coho.driver
  * Fix ImportError of fake_driver
  * Storwize:create_volume_from_snapshot with different size
  * Imported Translations from Zanata
  * Fixing pending comments for CoprHD Drivers
  * Huawei: Fixed problems caused by password expiration
  * Add metadata length check to volume-manage
  * Dell SC: Use Live Volume for replication
  * Remove race condition from lvextend
* Fri Jul 29 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev110:
  * Sheepdog:fix the bug of failed to clone image
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev108:
  * NetApp: Refactor unit tests
  * Move fake_driver to tests root dir
  * Map volume/snapshot manage extensions to v3
  * Docs: remove todo list generation
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev100:
  * LVM driver: list manageable volumes and snapshots
  * Move drivers unit tests to unit.volume.drivers directory
  * Fix log message when service is disabled
  * Add interface documentation to driver devref
  * Docs: cleanup doc8 errors
  * Update doc README and remove old Makefile
  * Add worker's DB operations
  * Add workers table
  * Modify API to include cluster related operations
  * Update manage with cluster related commands
  * Improve cinder-manage arg parsing
  * Add cluster job distribution
  * Fix wrong declaration in Scheduler's base driver
  * Improve api_version decorator to avoid noqa
  * Add lock decorator to SolidFire clone_image method
  * Dell: Fix docstring cut/paste error
  * Replace locks in remotefs and glusterfs backend drivers
  * Add check to limit maximum value of age_in_days
* Mon Jul 25 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev65:
  * XtremIO: support of snapshot manage commands
* Sun Jul 24 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev63:
  * Imported Translations from Zanata
  * Update Versioned Objects with Cluster object
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev61:
  * Add cluster table and related methods
  * Update OVO instance on destroy method call
  * Refactor sqlalchemy service methods
  * Imported Translations from Zanata
  * Tests: mock notifier in CG tests
  * Block Device Driver: report pools in volume stats
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev52:
  * Remove duplicated code in manage_existing_snapshot
  * Imported Translations from Zanata
  * NetApp: Support new parameter to cDOT clone API
  * Auto sync manager's RPC_API_VERSION
  * Fix CinderPersistentObject.refresh
  * Add missing test case
  * Updated from global requirements
  * Invalid volume state when manage operation fails
  * Dell SC: Add secondary DSM support
  * Fix some typos
  * Remove generate_driver_list dependency on cur dir
  * Huawei: Support reporting disk type of pool
  * Fix 500 for 'qos-create' key or value > 255 characters
  * Remove force option from create_snapshots_in_db()
  * Huawei: Support backup snapshot
  * 3par driver handles concurrent host create conflict
  * Storwize: Fix exception ProcessExecutionError
  * Allow admin project to operate on all quotas
  * VMware: Refactor vmdk unit tests
  * Update initialize_connection to use versionedobjects
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev17:
  * Fix assertEqual usage in test_volume_manage
  * Fix chunked backup driver interface name
  * Removed unused code from cinder.utils
  * Switch _create_temp_cloned_volume in driver to VO
* Fri Jul 15 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev10:
  * Fix typo in delete snapshot in Synology driver
  * Removed unused code from cinder.utils
  9.0.0.0b2
  * Fixes consistency snapshot creation
  * NetApp: Add aggregate capacity info to scheduler
  * FalconStor: New Cinder driver in Newton
  * Move QualityOfServiceSpecs to use VersionedObject
  * Remove unused __init__
  * Replace int with float to bring math.ceil into effect
  * VMware: Honor vmware_cluster_name during retype
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev401:
  * Trivial: Use fake.VOLUME_ID instead of id
  * Violin Memory iSCSI storage for 7000 series AFA
  * update min tox version to 2.0
  * Use default provisioning type from config
  * Catch GlanceMetadataNotFound in creating cgsnp
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev392:
  * Updated from global requirements
  * Add Synology DSM storage driver
  * Add ZTE Block Storage Driver
  * iSCSI Target: remove confusing comment/log
  * Changing method _from_db_object to classmethod
  * Implementation for CoprHD Cinder Drivers
  * Image virtual size doesn't fit to volume size
  * Check flashcopy mapping before deleting volume
  * Send scaleio id to os-brick
  * Nexenta: Added HA support and enhance get_volume_stats()
  * Reduce logging level of API validation messages
  * Fix consisgroup V3 interfaces
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev369:
  * Delete *.pyc files before running tox tests
  * Don't apply config fixture to auth_token.CONF
  * Fix failure with "None" volume type in Pure drivers
  * Add backend driver for Zadara Storage VPSA
  * Add cinder backend driver for Huawei FusionStorage
  * Support microversions on inherited Controllers
  * Add strict Boolean checking for volume manage
  * Adds unit test coverage for consistencygroups.py
  * Log traceback for initialize connection failure
* Sat Jul  9 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev352:
  * Do not conjecture volume-id from iscsi_name
  * VNX: New Cinder driver in Newton
  * Moving the OPTIONAL_FIELDS inside the OVO  object
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev347:
  * Replace use of mox with mock in test_base_filter
  * Fix manage existing volume fails after object merged
  * Huawei: Use versionedObject
  * check the validity of metadata when update volume
  * EMC ScaleIO should return ceiling of volume size
  * RBD: uppercase rbd_opts for consistency
  * Implemented unit test cases for HPE LeftHand driver
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev333:
  * Snapshot object has no attribute about size
  * Add return parameter info for manage_existing_get_size
  * cinder-manage db purge has issues with foreign keys
  * Validate extra_specs type
  * Remove white space between print and ()
  * Remove unused LOG
  * EQLX: Extend of snapshot or clone failure
  * Log terminate_connection exception with traceback
  * Add README in release notes directory
  * Remove translation from config options
  * EMC VMAX - locking SG for concurrent threads
  * Add unit tests in cinder component for 3PAR driver
  * 'display-name' is not used in snapshot_manage
  * Storwize: fix unmapped multi-attached volume failure
* Wed Jul  6 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev307:
  * Fix some typos
  * Add logging when filtering returns nothing
  * Just a few spelling modification. "occurred"
  * Updated from global requirements
  * Add __ne__ built-in function
  * Add proper scheduler_hint key to dev-ref
* Tue Jul  5 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev295:
  * Use assertEqual/Less/Greater/In/IsNone
  * Replace use of mox with mock in test_api_urlmap
  * Fix broken link in HACKING.rst
  * Deprecate defining c-vol backends in DEFAULT
  * Correct reraising of exception
  * Use elevated context to query DB in VolumeNumberWeigher
  * Updated unit tests to use official unittest methods
  * Implement match-set type 3PAR FC VLUN creation
* Sat Jul  2 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev280:
  * Violin: resize volume if cloned lun is larger
* Fri Jul  1 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev278:
  * Dell SC: Do not set High Availability in async mode
  * Replace use of mox with mock in test_ibm_xiv_ds8k
  * Huawei: Support huawei consistency group
  * Replace use of mox with mock in test_brick_lvm
  * Use True instead of 1 in while loop
  * XtremIO: fix test suite
  * Add strict Boolean checking for quota show
* Thu Jun 30 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev264:
  * Fix raise UnableToFailover call in SolidFire
  * Provide Kaminario K2 all-flash array FC driver
  * Replace use of mox with mock in test_lvm_driver
  * Huawei: Support iSCSI configuration in replication feature
* Wed Jun 29 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev256:
  * Remove six.iter*
  * Updated from global requirements
  * Add validation for container name
  * VMware: Fix create vol from streamOptimized image
  * Remove mock.patch.stopall call in test_smbfs
  * Correct unavailabe to unavailable
  * Dell SC: Specify High Availability for create replication
  * Refactoring Kaminario iSCSI driver
  * Implement unit test for HPE Lefthand driver
  * Add validation for type extra_specs
  * Adding Scaling QoS for ScaleIO driver
  * huawei-iscsi-multipath-support
* Mon Jun 27 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev232:
  * Increment Pure Storage Driver Versions
  * Don't reuse pep8 env in compliance tox runs
  * Trivial Fix
  * Added coverage report to tox.ini
  * Add strict Boolean checking for qos delete
  * Nexenta: Add NBD driver for NexentaEdge
  * Fix wrong usage of exception's attribute message
  * volume upload-to-image fails for iso disk-format
* Mon Jun 27 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev217:
  * NetApp: Finish SSC refactor by removing dead code
  * fix cinder ceph backup driver padding error
  * Replace 1024*1024*1024 with units.Gi to express more accurately
  * Nimble: Don't query all vols from DB in do_setup()
  * Huawei driver should return ceiling of volume size
* Fri Jun 24 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev207:
  * Replace mock with self.override_config
  * Make dict.keys() PY3 compatible
  * Move _validate_extra_specs to cinder/utils
  * Move _check_metadata_properties to cinder/utils
  * NetApp: Replace SSC for cDOT block & file drivers
  * Call _init_volume_driver in backup manager
* Fri Jun 24 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev196:
  * Capability lists in Cinder scheduler
  * Updated from global requirements
  * Add missing coordination=True on service start
  * Improve DB volume check in LVM manage volume
  * Fix permissions error when configuring nfs backend
  * Volume manage/unmanage support for Eqlx driver
* Thu Jun 23 2016 gosipyan@suse.com 
- Update to version cinder-9.0.0.0b2.dev184:
  * Updated from global requirements
  * tempest: Add Unicode volume name test
  * Updated from global requirements
  * Fix pylint error in K2 iSCSI driver
  * Fix lock files littering working dir during tests
  * Fix TSM backup driver test mocks
  * Revert "Revert "use utf8 as default charset for all tables in mysql db""
  * Fix snapshot stuck in 'deleting' after reboot c-v
  * Updated from global requirements
  * Revert "use utf8 as default charset for all tables in mysql db"
  * use utf8 as default charset for all tables in mysql db
  * add FIXME tag for extra argument 'topic' in scheduler rpc api
  * update coordination.Lock.release's docstring
  * Use cinders test class in cloudbyte unit tests
  * Correct DB modifications from compaction
  * Add unit tests in cinder for HPE Lefthand driver
  * Provide Kaminario K2 all-flash array iSCSI driver
  * VMware:Persist storage policy ID in vmdk meta-data
  * Allow setting CG name or description to empty value
  * Support None value of extra_specs in cinder-scheduler filter
  * Fix db purge for volume_types FK constraint
  * ABC Metaclass for IBM FlashSystem
  * IBM FlashSystem: Add host check for iSCSI driver
  * vzstorage: add ploop volume format support
  * Use versionedobjects in remotefs.py
  * Move test from test_glusterfs and test_quobyte to test_remotefs
  * Netmask needs corersion to string
  * image_size_m should get ceiling of image
  * Handle quota exceed exception
  * Replace locks in volume manager
  * Updated from global requirements
  * Start/Stop coordinator with Volume service
  * Tests: Remove notification_driver config
  * Tests: Use mock for notifier tests
  * 3PAR: Fix delete volume when online clone
  * Add driver interface checks
  * Add test type clarification to devref
  * Backup and restore broken in zfssaiscsi driver
  * Windows SMBFS: fix VHD/x resize
  * Remove duplicated fake drivers
  * Cleanup volume_type_projects
  * Implement OVO class init mechanism
  * Add debug level logs on OVO backports
  * Stop assuming persistent OVOs are also DictCompat
  * Move OVO methods from CinderObject to Persistent
  * Remove remotable from OVOs
  * Use manifest to backport OVOs during upgrades
  * Add parameter info for manageable snapshots
  * Adds ACL, IP Pool, Multipath to Datera Driver
  * Dell SC: Retry unhandled exception REST Gets
  * Fixed _create_3par_iscsi_host(), added unit test for 3PAR
  * Set QoS on cloned volumes
  * VMware: Deprecate vCenter version 5.1
  * Update manage_existing to use volume object
  * VMware: Fix constants in unit tests
  * Updated from global requirements
  * EMC driver should return ceiling of volume size
  * Use oslo_middleware sizelimit
  * migrate to os-api-ref
  * NetApp: Log unexpected errors from backend
  * Add Auth Version 3 support in Swift Backup Driver
  * Add error messages to conditional updates devref
  * Add docstrings to CG and CG Snapshot filters
  * Virtual size should get ceiling of image
  * DRBD: Allow to set options for new resources
  * SolidFire driver should return ceiling of volume size
  * Clean up man page and remove version/date
  * 3PAR: Fix terminate_connection when failed over
  * VMware: Remove unused methods
  * Fix MySQL DB error in Delete CG
  * Nimble driver should return ceiling of volume size
  * Updated from global requirements
  * Remove locks from Pure volume drivers
  * Give more fine grained access to DriverInitiatorData
  * Remove IN_USE from ConsistencyGroupStatus enum
  * Compact Kilo database migrations
  * Bump to Nova v2.1
  * Switch to using correct TaskFlow Failure class
  * NetApp NFS Cmode: Fix NotFound exception
  * GPFS: Fix consistency group ERROR_CREATE status
  * Coho data sanity fix in the driver unittest
  * Dell SC: Added support for failover_host failback
  * Minimize cost of DB exists decorator checks
  * Pass volume_type_id in when deleting snapshot
  * List manageable volumes and snapshots
  * Return BadRequest for invalid 4byte unicode character
  * Remove mox usage from test_nexenta
  * Manage/unmanage snapshot in ScaleIO driver
  * LeftHand Fix terminate_connection when failed over
  * Storwize: terminate_connetion NPIV perf improvement
  * DRBD: ensure_export() might not have 'provider_location'
  * Remove test_conf.py
  * model_update for temp volume or snapshot in backup
  * Fix Brcd zone driver initiator zone update
  * Fix backup using temp snapshot code path
  * Add sample config file to cinder docs
  * Add unit tests in cinder component for HPE drivers
  * Provide consistency to "Openstack-Api-Version" header
  * Enable str2size() to handle long int for i386
  * Define context.roles with base class
  * Clarify glance_api_insecure help text
  * Support IP lookup of target portal DNS name
* Sat Jun  4 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev7:
  * Optimize service find in migration
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev5:
  * Remove the duplicated definition of _add_to_threadpool
  * Imported Translations from Zanata
  9.0.0.0b1
  * Remove API races from consistency groups
  * Add unit test case in Nimble Driver
  * Fix attachment_get_by_* to return entire list
  * Remove API races from migrate and retype
  * Huawei replication should use auto recovery policy
  * Coho Data: Reconnect to cluster on broken pipe
  * Fix 3PAR cg display name issues
  * Huawei: Raise if no FC port found
  * Fix an error in CG object
* Wed Jun  1 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev422:
  * Updated from global requirements
  * Dell SC: Switched REST calls to async where available
  * Make IBM drivers return snapshot object for cg ops
  * Add test for checking object compatibilities
  * Fix typos in Cinder files
* Tue May 31 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev414:
  * Updated from global requirements
  * Fix retype from non-repl to repl type in Pure drivers
  * Mark deprecated options correctly
  * VMware: Refactor unit tests
  * Lazy load a project quotas's default values
  * Removed unreachable code
* Sun May 29 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev406:
  * Updated from global requirements
  * gpfs: Add changed options for 'find' command in rootwrap filters
  * Move all backups related unit tests to backup directory
  * Move consistency groups tests to consistencygroup directory
  * Volume manage should parse volume size as float
  * VMware: Use _in_use() to check for in-use volumes
* Sat May 28 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev394:
  * Add pagination support to messages
  * NetApp: E-Series driver using invalid host-types
* Fri May 27 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev390:
  * NetApp: Add iterator handling to client library
* Fri May 27 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev388:
  * Fix image-volume cache to use volume object when evicting
  * Dell SC: Changed rename volume REST API call
  * Specify a user-agent in Pure volume drivers
  * Assisted snapshot:  use Keystone Session with Nova Client
* Thu May 26 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev380:
  * Revert "Add hacking check to prevent assert_called_once"
  * Add hacking check to prevent assert_called_once
  * Handle SSL termination proxies for version list
  * NetApp: Remove type checks from manage workflow
  * Fix up RPC cleanup process
  * Mark the v1 API as deprecated
* Wed May 25 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev368:
  * Fix AttributeError when obtaining 'name' attribute from 'snap'
  * gpfs: remove a race in deleting volumes
  * Sheepdog:make full use of all sheepdog nodes
* Tue May 24 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev362:
  * Updated from global requirements
  * VMware: Increase default task poll interval
  * VMware: Update volume config during unmanage
  * Drop use of invalid assert_called_once call
  * Updated from global requirements
  * Add debug messages and comments for ceph backup
  * Fail on disabled_reasons with more than 255 chars
  * Windows iSCSI: properly handle config option
  * ScaleIO actual volume size model update
  * Refactored the update method in api.py for vol obj
  * IBM FlashSystem: Cleanup host resource leaking
  * Add unmanage volume for RBD driver
  * Fix misspelled word in help text
* Sat May 21 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev338:
  * Avoid ascii code error for request body strings
* Sat May 21 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev336:
  * Remove unused logging import and LOG global var
  * Add SnapshotStatus enum field
  * Tests: Fix mock imports
  * Capacity weigher: Pass correct arg to super()
  * Tests: Don't attempt connection for Coho driver init
* Fri May 20 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev326:
  * Prevent Multitable conditional updates
  * Remove support for 1.x volume RPC API
  * Remove inappropriate Copyright
  * RBD: include cluster name in connection info
  * 3PAR Clean up VLUN deletion on detach
  * Remove object to dictionary translation logic
  * Use check_string_length from oslo_utils
  * Implement CHAP Authentication for E-Series Driver
  * Remove unnecessary v3 VolumeController.__init__
  * Remove unnecessary created_at from ORM Message
* Wed May 18 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev306:
  * Tests: Use unique volume IDs in backup tests
  * Move LVM tests to test_lvm_driver.py
  * Move CG unit tests to test_cg.py
  * Updated from global requirements
  * Make api_microversion_dev more explicit
  * Whitelist 'rm' in api-ref tox environment
  * Dell Eqlx: Volume from snapshot now honors resize
  * Use example.com in unit tests
  * NetApp: Rewrite user API discovery logic
  * DB: Optimize volume existence check
  * Reorder DB API require_context decorators
  * Manage existing volume with invalid host
  * Remove support for 1.x Backup RPC API
  * remove extra quota commit of manage snapshot
  * Add replication v2.1 test cases
  * Add upload_image API role-based access policy
* Tue May 17 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev275:
  * Failback will enable the host that has been frozen
  * VMware: Reduce volume creation time
* Mon May 16 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev271:
  * Remove API races on extend and volume_upload_image
* Sun May 15 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev269:
  * Fix taskflow parameters for manage_existing
* Sat May 14 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev267:
  * Correct misspelt words in msg in cinder
  * WADL to RST migration in cinder tree
  * Extend remove_version_from_href support
  * Fix return value of _clone_image_volume
  * Cleanup orphaned code from image and manager
* Fri May 13 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev258:
  * Properly mock out image_utils operations for tests
  * image: don't use is_public with glance V2 API
  * Change provider_id to StringField
  * Add missing SnapshotUnavailable to cinder/exception.py
  * Fix uncaught NotFound exceptions
* Wed May 11 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev249:
  * Fix v3/volumes.py VolumeController super(...) parameters
  * Remove CG db access in Storwize driver
  * Dell SC: find_volume failure in manage and retype
  * 3PAR driver failure SR License missing in array
  * Change OVOs project_id and user_id to StringField
  * Replace manually changing CONF options
  * Added 'volume:get_transfer' to policy.json file
  * NetApp: Decouple capacity volume stats collection
  * Fix py34 error of indexing 'dict_keys' object
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev232:
  * Use to_utf8() instead of safe_encode() in convert_str()
  * Move initiator_data access to helper methods
  * Add ability to filter by volume_glance_metadata
  * Add Cheesecake APIs to policy.json file
  * Add snapshot_metadata operations to policy.json
  * Fix Lun ID 0 in HPE 3PAR driver
  * NetApp: Managing cDOT LUN by UUID fails
  * Add devref for conditional updates
  * Fix gate-cinder-tox-db-functional job
  * Add ordering possibilities to conditional update
  * Updated from global requirements
  * VMware: Support for paraVirtual image adapter type
  * Pass default executor to os-brick
  * NetApp: Use Local Cache to Copy an Available Image
  * Add provider_location to cloned volume
  * Move and rename tempest_tests to cinder/tests/tempest
  * Tests: lower case all fake uuid constants
  * Tests: Fail if oslo.versionedobjects issues Invalid UUID warnings
  * Removed extra line of code
  * ibm flashsystem: Fixing hardcoded attribute
  * Use utils.convert_str to convert HTTP header values
  * Huawei: Do not do split if replication pair abnormal
  * DRBD: extend volume if larger than snapshot
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev190:
  * Fix uuid warnings in various api contrib unit tests
  * Fix snapshot test uuid warnings in api.contrib
  * Fix volume test uuid warnings in api.contrib
  * Fix vol type/spec uuid warnings in api.contrib
  * Fix qos_manage uuid warnings in api.contrib tests
  * Fix CG uuid warnings in api.contrib unit tests
  * Fix admin_actions uuid warnings in api.contrib
  * Fix uuid warnings from api.contrib backup tests
  * Fix uuid warnings from test_db_api unit tests
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev181:
  * User messages API for error cases
  * Imported Translations from Zanata
  * fix invalid uuid in emc extremio unit tests
  * fix invalid uuid warnings from test_cmd
  * Fix invalid uuids in tintri unit tests
  * Fix uuid warnings from db unit tests
  * Fix invalid uuids in EMC scaleio unit tests
  * Tests: Fix invalid UUIDs in EMC VNX tests
  * VMware: Remove TODO for port config option
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev165:
  * Imported Translations from Zanata
  * Add in-tree tempest tests
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev162:
  * Imported Translations from Zanata
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev161:
  * Fix 20 typos on devref
  * Remove XML API
  * Microversion of Bootable filter in cinder list
  * 3PAR: Remove metadata that tracks the instance id
  * Use messaging notifications transport instead of default
* Fri Apr 22 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev151:
  * init_host offload to default to true
  * Imported Translations from Zanata
  * Updated from global requirements
  * Storwize: Multiple management IP not raising exceptions
  * VMware: Unit test refactoring
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev143:
  * Updated from global requirements
  * Handle TFlow short comings in SF driver
  * Add failed_over detection to SolidFire driver
  * Implement replicate_volume & failover on SolidFire
  * Deprecate nas_ip and change this to nas_host
  * Imported Translations from Zanata
  * Cleanup volume_attachment in case of reset-state attach_status
  * Coding style issue
  * Fix RPC and Object version pinning on API
  * Fix service version pinning on start
  * Hacking: Ignore tools/ for C303
  * Pylint: refactor ignored message lists
  * Brocade FCZM: Fix LOGOUT_PAGE reference
  * NexentaStor: Remove extra format string specifier
  * SMBFS: Fix initialize connection issues caused by in-use images
  * Changed Nexenta default chunksize from 16k to 32k
* Tue Apr 19 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev115:
  * Implement Cluster Pairing for SolidFire Driver
  * Fix minor typos in the migration devref
  * Fix doc and source documentation errors and warning
  * RBD: delete snapshots if missing in the backend
  * Remove support for 1.x scheduler RPC API
  * Launchpad Answers no longer used
  * Fix doc build if git is absent
  * Updated from global requirements
  * Tests: Define fake_constants as constants
  * Doc: Remove incorrect run_tests.sh documentation
  * Update _usage_from_backup() method with versionedobjects
  * Stop using tpool with oslo_db
  * Conditionally restore display_name
  * Fix Brcd lookup service to use defined southbound protocol
  * Test: use assert_has_calls() instead
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev91:
  * Updated from global requirements
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev90:
  * fix invalid uuid warnings from test_quota
  * Fix fake uuids in NetApp ESeries unit tests
  * Fix invalid uuids in sheepdog unit tests
  * Update SolidFire driver to store cluster info
  * Fix driver.failover_host call in manager.py
  * Dell SC: Updated to utilize provider_id
  * VMware: Support for non-default port
  * Convert  Retry-After header parameter value to string
  * Fix for  inconsistent cinder-services state change
  * GPFS:  Implement volume backup and restore
  * cinder.api: Replace 'locals()' with explicit values
  * cinder.[brick,db,image] Replace 'locals()'
  * Fix syntax error in  cinder-volume-usage-audit
  * Update dev docs   * Quick pass at implementing the basics for cinder dev docs   * Remove the N/A compute related stuff   * Clean up the architecture a bit to only show cinder related   * Remove various modules form TOC's that aren't applicable
  * Pruned Authors file to active contributors (from nova-volumes)
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev77:
  * Remove deprecated ISERTgtAdm
  * Set backup import volume id to real uuid
  * fix ConsistencyGroup volume_type_id field
  * Provide user friendly message for FK failure
  * XIO: refactor _send_cmd to reduce the redundant
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev69:
  * Updated from global requirements
  * Fix ExtraSpecsOpsTestCase sub unit tests
  * check per_volume_gigabytes quota for cinder extend
  * Imported Translations from Zanata
  * Updated from global requirements
  * Make cinder-all binary deprecated
  * Update the Administrator guide links
  * Fix meaningless quota exceeded exception info
  * EMC VMAX - Operations and timeout issues
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev55:
  * Fix typos in Cinder files
  * Cleanup DB schema after Mitaka
  8.0.0
  * Huawei: Fix getting admin_metadata
  * Imported Translations from Zanata
  * NexentaStor4 iSCSI: convert blocksize to str
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * XtremIO handle errors in terminate_connection:
  * Imported Translations from Zanata
  * Check hasattr before calling get in SolidFire
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Report 2.0 as supported version of RPC APIs
  * Fix volume RPC API methods related to backups
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Dell SC: create_cgsnapshot returning wrong structure
  * Imported Translations from Zanata
  * Fix race condition when toggling SP
  * Huawei: Record and check LUN wwn
  * SMBFS: fix parsing volume type extra specs and metadata
  * VMware: Bump driver version
  * Update .gitreview for stable/mitaka
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev109:
  * Remove "patch mock to raise for invalid assert calls"
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev107:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Fix typos in Cinder files
  * Dell Eqlx: Cloning volume does not honor new size
  * Fix for NexentaEdge jsonrpc url formatting
  * NexentaStor drivers: resize volume if cloned image is larger
  * Don't disallow quota deletion if allocated < 0
  * Remove PyMySQL and psycopg2 from test-requirements.txt
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev93:
  * Fix volume retype failure with on-demand policy
  * Fix invalid error message of volume create
  * Added more options while uploading volume as image
  * Alter wrong comment about param filters
  * Run py34 tests with plain 'tox' command
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev86:
  * Dell SC: Checking volume size in create_volume_from_snapshot
  * http header value must be a string
  * python34 tests don't run without python3-dev
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev80:
  * Fix uuid warnings from api.v2 unit tests
  * Fix uuid warnings from api.v1 unit tests
  * Fix api/v1 unit test inconsistencies
  * Add fake_cgsnapshot for unittest use
  * Re-enable image to volume with failure test
  * Storwize: fix deadlock and major lock granularity issue
  * Support oversubscription for IBM Storwize/SVC
  * Sheepdog:optimization of connection error handling
  * Fix invalid uuids in rbd unit tests
  * Don't suppress the path part of glance url
  * VNX: Enhance migration start verification
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev59:
  * rtstool surrounds IPv6 addresses by brackets
  * Huawei: Fix getting admin_metadata
  * Remove unused utils.find_config function
  * Storwize: Set multiattach property per pool
  * Support https keystone CA checking in volume quotas
  * VNX: Add 'None' check in parsing provider location
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev49:
  * Remove entry_points from setup.cfg
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev47:
  * Dont query image metadata for empty volume list
  * Cleanup orphaned code from brick LVM
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev44:
  * XtremIO handle errors in terminate_connection:
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev43:
  * Datera: resize volume if cloned image is larger
  * Updated doc string
  * typo: add a missing '}' in comment
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev38:
  * Docs: Add genconfig to devref toc
  * Report 2.0 as supported version of RPC APIs
  * NexentaStor5 iscsi: resize volume if cloned image is larger
  * Dell SC: Error results moved to json
  * Enable functional test for volume creation
  * Remove extra get_active_zoneset query from Brocade CLI
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev27:
  * Fix the format problem of LOG in failover_host
  * Re-add policy check for get_snapshot
  * Fix volume RPC API methods related to backups
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev22:
  * Remove bandit.yaml in favor of defaults
  * NexentaEdge: resize volume if cloned image is larger
  * Imported Translations from Zanata
  * Dell SC: create_cgsnapshot returning wrong structure
  * Hitachi drivers: resize volume if cloned image is larger
  * Fix error message when running genconfig
  * Add get_volume_stats for LoggingVolumeDriver
  * Use the catalog to retrieve glance_api_servers
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev10:
  * Update reno for stable/mitaka
  * VMware: Bump driver version
  * Imported Translations from Zanata
  * Huawei: Record and check LUN wwn
  8.0.0.0rc1
  * Fix race condition when toggling SP
  * SMBFS: fix parsing volume type extra specs and metadata
* Thu Mar 17 2016 tbechtold@suse.com
- Update to version cinder-8.0.0.0b4.dev274:
  * Reserve 5 migrations for Mitaka backports
  * Add update_host for backup in cinder-manager
  * Fix formatting in vol/snap delete API messages
  * Cleaned duplicate dictionary values
  * Fix compatibility mode of backup jobs scheduling
  * Add devref on rolling upgrades
  * 3PAR fix create_cloned_volume for larger size
  * Check volume_id consistent when creating backup
  * Huawei: Check when attach hypermetro volume
  * Huawei: Check the QoS status before we use
  * LeftHand: Add default SSH timeout and key values
  * Pass correct source_id to _handle_bootable_volume_glance_meta()
  * Revert "VNX: Set timeout for naviseccli"
  * Add backup RPC API v2.0
  * Huawei: Implement v2.1 replication
  * Emit notifications for volume retype
  * EMC VMAX - SSl connection is not picking up values
  * Add volume RPC API v2.0
  * Disallow quota deletes if default under usage
  * Add scheduler RPC API v2.0
  * Rework Storwize/SVC protocol to fix add_vdisk_copy
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b4.dev234:
  * Use get_by_args instead of get_by_host_and_topic
  * Fix format in cinder/volume/drivers/netapp/dataontap/block_base.py
  * NetApp E-Series: Volumes not added to consisgroup
  * Fix volume migration VolumeType exception
  * Fix retype failure when original has no volume type
  * IBM XIV/DS8K: Implement Replication v2.1
  * Remove circular import to fix config generation
  * Wrong comment line in quotas.py
  * Imported Translations from Zanata
  * VNX: Set timeout for naviseccli
  * VNX: Allow set migrate rate when migrating volumes
  * Fix ScaleIO driver does not honor clone size
  * Imported Translations from Zanata
  * Huawei: Creating hypermetro failed in the remote pool
  * Delete deprecated configuration in NFS tests
  * Imported Translations from Zanata
  * Fixup stats key for replication in init_host_with_pc
  * Add the key 'replication' and set the correct 'replication_status'
  * register the config generator default hook with the right name
  * Fix for Pure drivers not checking full client version
  * Fixup for Pure drivers cheesecake replication setup
  * Remove empty directories and unused files from unit tests
  * Cleanup 3PAR/LeftHand failover_host exceptions
  * Use googleapiclient import instead of apiclient
  * Enable api.view.test_versions unit tests
  * Allow clone volume with different size
  * DRBD driver: resize volume if cloned image is larger
  * Fix 500 error if 'offset' is out of range
  * Imported Translations from Zanata
  * RBD: remove duplicate clone test
* Mon Mar 14 2016 tbechtold@suse.com
- Adjust BuildRequires
* Fri Mar 11 2016 tbechtold@suse.com
- Update to version cinder-8.0.0.0b4.dev154:
  * Fix up failover_host exceptions to preserve states
  * Add release note for delete volume with snaps
  * Move replication_status update to init_with_rpc
  * Permit volume type operations for policy authorized users
  * Add volume_type to volume object expected_attrs
  * Storwize: Update replication to v2.1
  * LeftHand: Create cloned volume didn't honor size
  * Switch failover-host from rpc call to cast
  * Dell SC: Active_backend_id wrong type
  * Show qos_specs_id based on policy
  * Cleanup Mitaka release notes
  * Moved CORS middleware configuration into oslo-config-generator
  * Correcting thin provisioning behavior
  * NetApp: volume resize using clone fails with QoS
  * DRBD: Policy-based waiting for completion
* Thu Mar 10 2016 tbechtold@suse.com
- Update to version cinder-8.0.0.0b4.dev124:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Pass RBD order to clone call
  * Remove "sqlite_clean_db" option
  * Exclude test.py from sample conf
  * Fix invalid UUID warnings for test_volume_*
  * Huawei: Check before delete host
  * Fix failure with rbd on slow ceph clusters
  * Remove those unnecessary statements "return True"
  * Imported Translations from Zanata
  * Report versions in cinder-manager service list
  * Dell SC: create_cloned_volume didn't honor size
  * Fixes creating volume issue for multiple management IPs
  * Imported Translations from Zanata
  * Add volumes table definition when migrating to 67
  * Trim 5s+ from storwize unit tests
  * microversion header for legacy endpoints removed
  * Update quotas to handle domain acting as project
  * Fix backup import
  * Unset executable bit in release note
  * Handle exceptions about snapshot in backup create
  * Replace logging with oslo_log
  * Imported Translations from Zanata
  * Fixup release notes for v2 -> v2.1 replication impls
  * support new HTTP microversion header
  * Fix for glance_metadata during volume migration
  * Readd iscsi_target table
  * Imported Translations from Zanata
  * Fix issue with Pure drivers delete_snapshot exception handling
  * Add backend id to Pure Volume Driver trace logs
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev227:
  * Fix delete_snapshot error case in Pure driver
  * Wrong usage of "an" in the mesages: an service
* Thu Jan  7 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev224:
  * Constant defined for sqlAlchemy VARCHAR & INTEGER
  * Change minimum 3PAR API version for replication
  * Optimize 3PAR array ID retrieval
  * Add metadata aliases to Volume object
  * Re-enabled hacking checks for H105
  * Don’t log warnings for image cache when disabled
  * Fix grammatical mistake in defining articles
  * Scality SOFS: don't always read /proc/mounts twice
  * Remove name_id when creating volume with cache enabled
  * Allow replicated volumes to be recoverable
* Wed Jan  6 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev204:
  * Add BackupStatus enum field
  * Updated "deleted" column of volume_type_access
  * Add Fujitsu ETERNUS DX Volume Driver (again)
* Tue Jan  5 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev199:
  * Updated from global requirements
  * Updates consistency group for ibm svc driver
* Sun Jan  3 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev195:
  * Fix issue with flake8 check and full paths
* Fri Jan  1 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev194:
  * Fix race conditions in migration 061
  * Replace use of mox with mock in test_nfs
  * Add backref relationships to ConsistencyGroup obj
  * Fix creating volume by snapshot for GPFS driver
* Thu Dec 31 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev186:
  * Small refactoring in test_admin_actions.py
* Wed Dec 30 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev184:
  * Misspelling in message
  * Fix some warnings about 'unused variable' for XIO
  * Add volume driver for Tegile IntelliFlash array
  * Fix to allow RBD delete an unprotected snapshot
  * Rebrand HP XP driver to now be HPE
  * Replace use of mox with mock in test_rbd
* Tue Dec 29 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev172:
  * Remove the deprecated ibmnas driver
  * Wrong usage of "a"
  * Rename Huawei drivers
  * Quota API is now compatible with keystone API v2
  * Enhance the stats reported from the Pure Volume Drivers
  * Retyping volume got error under max vol limit
  * Add config option to enable reporting discard
  * Making NFS _find_share efficient
  * Modify VO so that obj.get always defaults to None
  * Updated violin driver check for volume objects
  * Do not use api-paste.ini osprofiler options
* Thu Dec 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev152:
  * Remove API races from attach and detach methods
  * Add pagination support to Qos specs
  * Updated from global requirements
  * Imported Translations from Zanata
  * Storwize: Split up __init__ into separate files
  * Replace use of mox with mock in test_quotas
  * Update Pure REST API supported version numbers in Pure driver
  * Backup snapshots
* Wed Dec 23 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev138:
  * Imported Translations from Zanata
  * Fix volume upload failure with glance_api_version=2
  * Fix bugs caused by porting to python3
  * Imported Translations from Zanata
  * Disable capabilities based on 3PAR licenses
  * Add empty initialize_connection method to PureBaseVolumeDriver
  * Fix python 3.x import issues with pure.py
  * Override osapi_volume_listen_port for test_workers
  * Updated from global requirements
  * Remove downgrade migrations
  * 3PAR: Implement un/manage snapshot support
  * Error handling for invalid SLO/Workload combo
  * 3PAR: Implement v2 replication (unmanaged)
  * Add serial number to eseries ASUP payload
  * XtremIO: fix generic glance cache with XtremIO
  * VMware: Add support for VVOL datastores
  * Tooz locks
  * Imported Translations from Zanata
  * Preserve request id in Cinder logs
  * Pass volume_id in request_spec for manage_existing
  * Move retype quota checks to API
  * Recalculate allocated value of parent project
  * VNX: Fix failure in SnapCopy feature
  * NetApp: Refactor E-Series tests
  * Port zonemanager to Python 3
* Fri Dec 18 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev91:
  * Change the format of some inconsistent docstring
  * Add volume_extensions:quotas:delete to policy.json
  * Check backup service before backup delete
* Thu Dec 17 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev85:
  * Imported Translations from Zanata
  * EMC VMAX - get_short_host_name not called in find_device_number
* Wed Dec 16 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev82:
  * Skip check whether volume is local if it's None
  * Imported Translations from Zanata
  * Implement refresh() for cinder objects
  * Implement snapshots-related features for Block Device Driver
  * Refactor cinder.utils.is_valid_boolstr
  * Add synchronization in Block Device driver
  * Updated from global requirements
  * Volume migration: add 'name_id' as valid skippable field
  * Sheepdog: Fix a problem about multi backend
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev65:
  * Fix invalid cache image-volume creation
  * Remove eventlet WSGI functionality
  * Deprecated tox -downloadcache option removed
  * Recognize extra fields in CinderObjectDictCompat
  * Replace use of mox with mock in test_solidfire
  * EMC VMAX - Fix for randomly selecting a portgroup
  * NetApp: E-Series fix JSONDecodeError on first add
* Mon Dec 14 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev52:
  * Imported Translations from Zanata
  * Storwize: add config option to control flash copy rate
* Sat Dec 12 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev48:
  * Fix for showing default quotas to non-admin user
  * Use wild card for passing env variable
  * VNX: Fix issue in deleting cg/cgsnapshot
  * Retype functionality in Tintri driver
* Fri Dec 11 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev41:
  * Imported Translations from Zanata
  * Add validation for volume_type of volume object
  * Updated from global requirements
  * Fix non-migration swap with error
  * Check context before returning cached value
  * Use Cinder API v2 for Rally scenarios
  * XtremIO: fix iscsi chap discovery bug
* Thu Dec 10 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev29:
  * 3PAR: Implement v2 replication (managed)
  * Python 3: fix a lot of tests
  * Volume driver for Coho Data storage solutions
  * XtremIO: fix missing multiattach flag
  * Dynamically Pull Out Option Sections
  * Update migrate_volume API to use versionedobjects
* Wed Dec  9 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev17:
  * Fix StrOpts with integer defaults
* Mon Dec  7 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev15:
  * Address potential races in SolidFire VAG
* Sat Dec  5 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev13:
  * Remove version per M-1 release instructions
  * Use proper config option to connect to keystone
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev9:
  * Robustify writing iscsi target persistence file
  8.0.0.0b1
  * Adding devref about genconfig
  * VMware: Replace mox with mock
  * VMware: Unit test refactoring (image to vol - 2/2)
  * VMware: Unit test refactoring (image to vol - 1/2)
  * Remove deprecated LVM ISCSI and ISER Drivers
  * Add a FakeGateDriver
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev400:
  * LIO: Handle initiator IQNs as case insensitive
  * Fix dictionary key error
  * Imported Translations from Zanata
  * Delete unused codes in rbd.retype
  * Fix the bug of can't get the desired image info
  * Port Windows drivers to Python 3
  * Fix typo in LIO terminate_connection error msg
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev386:
  * Add Mitaka-1 release notes
  * xio: fix regression in authentication
  * Add some missing fields to Volume object
  * Imported Translations from Zanata
  * Add retype in lvm driver
  * Take into consideration races in XtremIOClient3
  * Optimize "open" method with context manager
  * Sheepdog: Optimization of error handling
  * Cleanup orphaned code in sqlalchemy API
  * Cleanup orphaned code from ceph backup driver
  * Remove db access in VNX driver
  * Declare multiattach is True in Dell Eqlx driver
  * EMC VMAX - Change naming convention for MV and SG for FAST
  * Update compression license check
  * Fix ZFSSA drivers' local cache bugs
* Tue Dec  1 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev356:
  * Updated from global requirements
  * Force releasenotes warnings to be treated as errors
  * Improve metadata update operations
  * Add atomic conditional updates to objects
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev348:
  * ScaleIO extend volume round up capacity
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev346:
  * Fix quotas issue during volume transfer
  * Nexenta Edge iSCSI backend driver
  * RBD: Make snapshot_delete more robust
  * Hacking Checks for assertTrue/IsNone()
  * Update list_replication_targets
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev336:
  * Remove netaddr useless requirement
  * Support insecure NAS security options in Quobyte
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev332:
  * Revert "Add Scality SRB driver"
  * VMware: Validate extra spec opt vmware:clone_type
  * Port key manager to Python 3
  * Fix InstanceLocalityFilter scheduler filter
  * Fix ScaleIO driver provisioning key
  * Port xio driver to Python 3
  * Remove kombu as a dependency for Cinder
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev318:
  * Remove stubs and add resource cleanup
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev316:
  * Move oslo-incubator's scheduler module to cinder
  * VMware: Skip unsupported datastore types
  * Port IBM storewize_svc driver to Python 3
  * Declare multiattach is True in RBD driver
  * XtremIO fix attach readonly bug
  * CG API should return volume type IDs
  * Fix the bug of OSError when convert image
  * Don't build two tox envs for pep8(-constraints)
  * Add check_uptodate.sh --checkopts to "pep8"
  * Fix metadata retrieval in GPFS driver
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev296:
  * Retry on database deadlock on service_update method
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev294:
  * Add guidelines for release notes to devref
  * Imported Translations from Zanata
  * Eager load columns in volume_get_active_by_window
  * Port EMC VMAX to Python 3
  * Port EMC VNX CLI to Python 3
  * Add os-win to requirements.txt
* Mon Nov 23 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev282:
  * Updated from global requirements
  * LeftHand: Remove self.db assignment
  * Deprecate *_multipath_enabled flag for IBM drivers
  * Fix debug output for cinder-volume-usage-audit
  * Move get_by_id to CinderObject
  * Imported Translations from Zanata
  * Fix swap_volume for case without migration
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev269:
  * Imported Translations from Zanata
  * fast8: Skip git rm'd files
  * Manage existing: fix volume object saving
  * Remove .mailmap file
  * VNX: Fix metadata get overriden issue
  * Remove db access from XIV/DS8K CG functions
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev258:
  * Remove db access from 3PAR and LH cg functions
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev256:
  * Additional VAG support for SolidFire
  * Imported Translations from Zanata
  * Added VAG support to SolidFire
  * Refactor HP LeftHand driver to now be HPE
  * Bad exception clauses order
  * Update CONTRIBUTING.md to CONTRIBUTING.rst
  * ScaleIO driver: update_migrated_volume
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev243:
  * Imported Translations from Zanata
  * Check specific driver enabled in create_backup
  * get_all_snapshots: Fix log message typo
  * Update extend_volume API to use versionedobjects
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev235:
  * Updated from global requirements
  * Port HP 3PAR driver to Python 3
  * Modify test_hpe3par to support random hash
  * Imported Translations from Zanata
  * Downstream Fix for Genconfig
  * 3PAR Fix find_existing_vluns
  * Support initialization state in Backup Manager
* Sun Nov 15 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev221:
  * Imported Translations from Zanata
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev220:
  * Remove the HP CLIQ proxy driver
  * Correct assertDictMatch argument order
  * Imported Translations from Zanata
  * Refactor HP 3PAR drivers to now be HPE
  * add "unreleased" release notes page
  * Update retype API to use versionedobjects
  * Update get/delete_volume API to use versionedobjects
  * Add test for snapshot filtering by project id
  * Port zfssa driver to Python 3
  * Add LC_ALL=C to lvcreate, lvextend and pvresize
  * NetApp: Fix issue with updating E-Series password
  * NetApp: E-Series fix deletion of missing volume
* Fri Nov 13 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev196:
  * py3: Fix error handling in prophetstor driver
  * Updated from global requirements
  * Update create_volume API to use versionedobjects
  * CG driver function should not access db
  * OpenStack typo
  * Port vzstorage to Python 3
  * NetApp: Fix issue with E-Series volume expand
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev182:
  * Test for object version hash changes
  * Fix cinder objects unit test registration
  * Imported Translations from Zanata
  * Use oslo_config new type PortOpt for port options
  * CG creation should be scheduled on backend level
  * Removal of deprecated NPIV option in Storwize
  * XtremIO fix create CG from src flow
  * Update cinder-manage man to match current options
  * Add retype logic in manage_existing for VNX
  * Adds CORS support to Cinder
* Tue Nov 10 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev163:
  * Change nfs to NFS in the help strings of nfs.py
  * Port cinder.utils.monkey_patch() to Python 3
  * 3PAR drivers volume size conversion is incorrect
  * VMware: Relocate volume only during no disk space
  * Update the devref for volume migration
* Mon Nov  9 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev153:
  * Don't use default=None for config options
  * Use Service object instead of DB API directly
  * Docstring fix in scheduler-stats
  * Port cinder.hacking to Python 3
  * Add reno for release notes management
  * Update register_opts hacking check to allow tuples
  * Fix UsedLimitsController's authorizer to soft
  * Case sensitivity problem in cinder scheduler
* Sun Nov  8 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev137:
  * Imported Translations from Zanata
  * Port vmware datastore to Python 3
  * Add protocol to help of glance_api_servers option
  * Fix delete quota of subprojects
* Sat Nov  7 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev131:
  * Port test_tintri to Python 3
  * Using extra-specs in cloned vols for Nimble driver
  * Brocade driver add_zone optimization
  * SMBFS: Fix retrieving total allocated size
  * NetApp: Cleanup if E-Series volume create fails
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev121:
  * Fix failure of unit test TestCinderAllCmd
  * Execute mount.nfs check with absolute path
  * Imported Translations from Zanata
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev116:
  * Imported Translations from Zanata
  * Update minimum tox version to 1.8
* Wed Nov  4 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev112:
  * Replace warnings.warn in sqlalchemy-api
  * Replace warnings.warn in glusterfs
  * Fix calling delete_zones method with a wrong argument
  * Return volume_type extra specs based on policy
  * lvconvert missing from cinder volume.filters
  * Add qos_specs_id to volume type show
  * Implement update_migrated_volume for NFS driver
  * Move CloneableVD to common functions
* Tue Nov  3 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev96:
  * SheepdogDriver: Improve get_volume_stats operation
  * Add -constraints for CI jobs
  * VMware: Enforce min vCenter version
  * Retype support for CloudByte iSCSI cinder driver
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev89:
  * Revert "Handle correct exception raised by python-novaclient"
  * Eager load snapshot_metadata in *snapshot_get_all
* Thu Oct 29 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev85:
  * Updated from global requirements
  * optimize the copy_image_to_volume method of sheepdogdriver
  * Imported Translations from Zanata
  * Handle correct exception raised by python-novaclient
* Tue Oct 27 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev78:
  * Imported Translations from Zanata
  * Add retries for Cisco FCZM client CLI _cfg_save
* Mon Oct 26 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev74:
  * Add hypermetro support for Huawei driver
* Sun Oct 25 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev72:
  * Add missing cgsnapshot field to Snapshot object
* Sat Oct 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev71:
  * Make relationships in objects consistent
* Fri Oct 23 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev69:
  * Imported Translations from Zanata
  * Remove the jointly loaded model in finish_volume_migration
  * Update docs to generate Guru Meditation Report
  * Dell SC: Disable REST verify warnings
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev63:
  * Fix NoneType Attribute error
  * Imported Translations from Zanata
  * VMware: Unit test refactoring
  * Cleanup for cinder tests with CGSnapshot
  * Updates in consistency_group in xiv/ds8k driver
  * Improve performance listing detail for volumes
* Wed Oct 21 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev51:
  * Fix typos about 'target_discovered'
  * Imported Translations from Zanata
  * Updated from global requirements
  * devref doc: assorted fixes in "Unit Tests"
  * LIO: Let delete_initiator succeed if iqn not found
  * CGSnapshot Object
  * Remove unused gettextutils from oslo-incubator
  * Ensure replication functions check driver status
* Mon Oct 19 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev36:
  * Huawei driver handle volume exists error
* Mon Oct 19 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev35:
  * Port API admin action tests to Python 3
  * Mark XML API as deprecated in Mitaka
* Sun Oct 18 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev31:
  * Updated from global requirements
* Sat Oct 17 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev30:
  * Use project id from volume when retyping volumes
  * Only use LOG.exception in exception handler
  * Fix method VolumeTypeList.get_all
  * Volume extend error does not catch exception
* Fri Oct 16 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev23:
  * Port API types extra specs to Python 3
  * Port API to Python 3
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev19:
  * windows: don't use LOG.exception if not logging an exception
  7.0.0
  * Squashed commit of WebOb 1.5 and oslo.db fixes
  7.0.0.0rc2
  * Fix VMAX live migration problem
  * Imported Translations from Zanata
  * Dell SC: cgsnapshot-delete doesn't actually delete
  * Huawei driver add check before use a QoS
  * Report *real* free capacity in Huawei driver
  * Revert use of netapp_lib from NetApp Drivers
  * Add placholder for migration backports in Liberty
  * Cleanup of Translations
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev199:
  * Fix updating only volume type is_public
  * encryption_api_url requires a version
  * Cleanup/move code in Storwize Driver
  * Port WSGI tests to Python 3
  * Use lvm_conf_file directory for LVM_SYSTEM_DIR value
  * Update config format for replication_devices
  * Remove extra register_opts() calls in netapp eseries
  * Add backup_swift_auth_url to swift backup driver
* Wed Oct 14 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev183:
  * Change default Exception code to 500
  * Fix log formatting for rbd driver
  * Fix Status-Line in HTTP response
  * Updated from global requirements
  * Tox fast8: use pep8 env dir
  * Move ssh_utils tests to test_ssh_utils
  * Provide better debug log when 'cinder manage' fails
  * Improve coverage for snapshot_get_by_host
* Tue Oct 13 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev170:
  * Fix test_misc for WebOb 1.5
* Mon Oct 12 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev169:
  * Convert Retry-After header parameter value to string
* Sun Oct 11 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev167:
  * Port violin driver to Python 3
* Sat Oct 10 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev165:
  * Fix error string format for replication API calls
  * Port IBM flashsystem to Python 3
  * Port ceph driver to Python 3
  * Add fast format option for thick volume creation
  * Retype enhancement for EMC VNX cinder driver
  * Verify volume is replication capable
  * Port EMC scaleio to Python 3
  * Port image cache to Python 3
  * Remove unused 'deprecated' option from auth_strategy opt
  * Add updated_at into response of listing detail
* Fri Oct  9 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev146:
  * Remove references to Swift in chunked driver
  * Add insecure option for swift backup
  * ScaleIO: Fix protection_domain_id log message at init
  * Port test_srb to Python 3
  * Imported Translations from Zanata
  * Updated from global requirements
  * Add device identifier to replication device
  * Add multi-initiator extra-spec for Nimble driver
  * Fix SolidFire target composition
  * Port targets test_iet_driver to Python 3
  * py3: Run unit tests with ostestr on Python 3.4
  * Add testresources and testscenarios used by oslo.db fixture
  * Clone cg support in VNX driver
  * Test_backup_swift: Don't leak notifications
  * test_backup_nfs: Set volume id per test
  * test_backup_swift: Set volume id per test
  * Fix capacity report error in Huawei driver
  * XtremIO fix remapping bug
  * Handle KeyManager exception when deleting a volume
* Thu Oct  8 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev109:
  * Dell Eqlx: Support over subscription in thin provisioning
  * Hacking check for opt name registration
  * Add ability to set prefix in SolidFire Volume name
  * Updated from global requirements
  * Fix broken format string in vol mgr log
  * Detach volume on device validation failure
  * emc vmax driver: use integer division for Python 3
  * VMAX Target iSCSI IP Address
  * Updated from global requirements
  * Delete a temporary volume in DB with admin context
  * Fix update quota of subprojects
  * Port test_quobyte to Python 3
  * Port netapp SSC Cmode to Python 3
  * Port test_netapp to Python 3
  * VMAX Truncate Storage Group Name
  * HNAS iSCSI manage does not work with spaces
  * Port scheduler host manager to Python 3
  * Fix various Python 3 issues
  * Fix volume throttling to Python 3
  * Fix enable/disable_replication raise InvalidVolume
  * Tests: print fake_notifier queue upon mismatch
  * Cleanup orphaned code from cinder root directory
  * Image cache tests: use fake_notifier
  * Implement extend_volume method to Block Device driver
  * Small optimization in Block Device driver
  * DRBD: new option "drbdmanage_devs_on_controller"
  * Obtain target authentication from database same as LIO target
  * LVM: Make sparse_copy_volume private, use for capabilities
  * Dell SC: cgsnapshot-delete doesn't actually delete
  * Port test_volume to Python 3
* Wed Sep 30 2015 aplanas@suse.de
- Update to version cinder-8.0.0.dev48:
  * Fix typo in cinder-config-generator.conf
  * Fix unreachable code pylint issues
  * Fix update Huawei driver issue
  * Fix Python 3 issues in wsgi
  * GlusterFS: extend volume to the right path
  * Use pbr wsgi_scripts to install Cinder WSGI entry point
  * Report *real* free capacity in Huawei driver
  * Add placholder for migration backports in Liberty
  * Fix VMAX live migration problem
* Tue Sep 29 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev30:
  * py3: Port pure driver test to Python 3
  * Imported Translations from Zanata
  * Fix Bad indentation pylint issues
  * Show image metadata
  * Fix volume related operation in CloudByte driver
  * Remove the destination volume check in delete_volume
  * Huawei driver add check before use a QoS
  * Create a page of drivers with stevedore.sphinxext
* Sun Sep 27 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev15:
  * Add placholder for migration backports in Liberty
  * Revert use of netapp_lib from NetApp Drivers
  * Missing configuration opts from cinder.sample.conf
  * Use function capsulation in Huawei driver
  7.0.0.0rc1
  * Create volume in cg enhancement in VNX driver
  * Remove duplicate keys from dictionary
  * Port image_utils to Python 3
  * Port volume transfer to Python 3
  * Python 3 incompatible expression fix
  * Check sio_storage_pools in check_for_setup_error
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev172:
  * Open Mitaka development
  * Fix URL format in Huawei driver
  * Allow c-vol backends to start when some backends fail to load
  * Make rpc_client method private for VolumeCommands
  * Fixing create CG from Cgsnapshot bug in VNX driver
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev162:
  * Fix use of wrong storage pools for NetApp Drivers
  * Ignore Forbidden error on quotas-get for nested projects
  * Replace soft_delete in volume_type_access_remove
* Tue Sep 22 2015 tbechtold@suse.com
- Update to version cinder-7.0.0.0b4.dev156:
  * Change ignore-errors to ignore_errors
  * NetApp volume/snapshot delete performance fix
  * Fix way of getting LUN id in Huawei driver
  * Dynamically create cinder.conf.sample
  * Updated from global requirements
  * Fix MITM vulnerability for Brocade FC SAN lookup
  * Enable certificate verification during image copy
  * Correctly report multiattach in Pure drivers
  * Remove the unnecassary volume_api.get(context, volume_id)
* Sat Sep 19 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev140:
  * Imported Translations from Zanata
  * Fix cinder-all binary
  * NetApp: Fix volume extend with E-Series
  * Fix netapp_enable_multiattach default for E-Series
  * Attaching enhancement for EMC VNX driver
* Fri Sep 18 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev130:
  * Fix issue of volume after host-assisted migration
* Thu Sep 17 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev128:
  * Check for None on service's updated_at
  * Tests: Split VolumeTestCase into separate classes
  * Local img-cache files ignored for image transfers
  * Snapmirror targets should not be reported as pools
  * Change check method for 'all_tenants'
  * Fix QoS keys not being available to scheduler
  * Extra specs may not be in volume types
  * Create CG needs extra specs
* Wed Sep 16 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev114:
  * Fix NetApp clone from glance failure
  * Fix usage of novaclient
  * Fix volume lookups in SolidFire template caching
  * Remove driver.set_execute()
* Tue Sep 15 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev107:
  * Storwize: Fix format string
  * Check for empty attributes on SF volume
  * Huawei: fix multi REST-URLs bug
  * Fix order of arguments in assertEqual
  * Remove empty rules from policies for API access
  * Add consistency group tests to test_volume_rpcapi
* Mon Sep 14 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev96:
  * Don't rely on provider_id for resource deletion
* Sun Sep 13 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev94:
  * Fix Pure get pgroup volume snapshot name
  * Lenovo driver fix access to common opts
  * Retrieve volume in update_migrated_volume
* Sat Sep 12 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev88:
  * Dothill fix options access
  * HPMSA fix access to common options
  * Fixed missing log variable types
  * VMware: Fix invalid product name
  * Swap the decorator order for PureFCDriver methods
  * Add ScaleIO Cinder driver commands
  * SolidFire provider_id for snapshots on init
  * LeftHand Add update_migrated_volume to drivers
  * LVM: add the exception handling to volume copy
  * Hacking log format arg check
  * backup init_host cleanup exception handling
  * Add ConsistencyGroup object entries to linstack.py
  * Fix typos in comments
  * Add migrate_volume to BaseVD
  * ZFSSA driver to return project 'available' space
  * Use version convert methods from oslo.utils
  * Fix block_device driver to behave as documented
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev56:
  * Fix NetApp loop in clone of NFS backed images
  * Pass in snapshot refs for host on provider_update
  * Filter hosts with pool in snapshot_get_by_host
  * Add unmanage default implementation to VolumeDriver
* Thu Sep 10 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev48:
  * Making opt names consistent
  * Filter scheduler: Fix KeyError on invalid create request
  * Updated from global requirements
  * Return a tuple from SolidFire update_provider_info
* Wed Sep  9 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev42:
  * Update update_migrated_volume in VNX driver
  * 3PAR Disable generic image volume cache
  * Fix HDS HNAS driver logging password as plain text
  * Add mechanism to update snapshot provider_id
  * Adds allow_availability_zone_fallback option to Cinder
  * VMware: Fix re-attach volume error for VC 5.1
* Tue Sep  8 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev31:
  * Add os-brick's scsi_id command to Cinder rootwrap
  * Fix description for "Barbarism of editting a file"
  * Handle attachment of second volume
* Mon Sep  7 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev27:
  * VMware: Remove global patching of open
  * Switch SVC driver to use lsportfc to determine FC target WWPNS
  * Fix the virtual port support in VNX driver
  * Correct usage of assertEqual for boolean values
* Sun Sep  6 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev21:
  * Updated from global requirements
  * Error message in update_migrated_volume was incorrect
* Sat Sep  5 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev17:
  * VMware: Skip ESX hosts in maintenance mode
  * 3PAR Add update_migrated_volume to drivers
  * Updated from global requirements
  * Use consolidated update for failover_replication
  * VMware: Fix exception messages
  * NetApp E-Series over-subscription support
  7.0.0.0b3
  * Remove useless response checks in SolidFire driver
  * DotHill driver fix create_cloned_volume parent id
  * 3PAR Fix create_cloned_volume source volume id
  * Remove deprecated options
  * Detect addition of executable files
* Fri Sep  4 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev478:
  * Get full volume model in Replication manager API’s
  * Fix problem of efficient volume copy for migration
  * Generic image-volume cache
  * Implement thin provisioning support for E-Series
  * Cloudbyte fix create_cloned_volume parent id
  * Remove executable bits on files
  * NetApp DOT block driver over-subscription support
  * Cleanup for SnapshotObject
  * Implement manage/unmanage snapshot in Pure drivers
* Thu Sep  3 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev460:
  * Scheduler-based over-subscription for NFS drivers
  * ScaleIO driver should use os-brick connector
  * Check before add lun to QoS in Huawei driver
  * Minor optimization
  * Earlier authority check for create volume API
  * Support efficient non-disruptive volume backup in VNX
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev448:
  * Add instructions on how to deploy API under Apache
  * Sync volume versionedobject to ORM
  * Fix backup metadata import missing fields
  * Add delete_snapshot and update_snapshot rules
  * Fix a merge problem in VMAX driver
  * Add additional SSC extra specs to E-Series driver
  * Implement AutoSupport for NetApp E-Series driver
  * Add support for volume groups and netapp_raid_type
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev432:
  * Service object
  * Allow specified backend capabilities to be retrieved
  * Add cinder.conf.sample to gitignore
  * Don't require OpenSSL for unit tests
  * Add pagination to backups
  * Enhance FC zone support for Huawei driver
  * Add support for file I/O volume migration
  * Add debug logging before attaching volume in driver
  * Adding delete-wait-loop for CloudByte Volumes
  * 3PAR update driver to store stats
  * Reduce runtime of E-Series iSCSI tests
  * force_detach terminate_connection needs connector
  * Remove the method delete_volume_admin_metadata
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev407:
  * Fix url in API response to get original
* Mon Aug 31 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev405:
  * Clean up line continuation in Storwize driver
  * Validate filters in snapshot*, backup* in db.api
  * Add the ability to update type public status
  * Enhance deletion efficiency when backup init host
* Sun Aug 30 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev397:
  * get_replication_updates call to driver is wrong
  * Efficient volume copy for generic volume migration
  * Volume status management during migration
  * Adds framework for get_capabilities() feature
  * Add retries to delete a volume in the RBD driver
  * Dell SC: init_volume stale volume info fix
  * Cinder Nested Quota Driver
  * Local cache feature of Oracle ZFSSA drivers
  * Update volume status AFTER terminate_connection is done
  * Sheepdog: improve create and delete operation
  * Sheepdog: Add class for dog command executor
  * Prevent that all backup objects are deleted
  * Allow CG without snapshot to be deleted
* Sat Aug 29 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev371:
  * LeftHand: Adding Consistency Group Support
  * Skip intermittent VMDK tests
  * Rework Scality SOFS driver to use RemoteFS class
  * Fix volume copy for 'virtual' volumes in DotHill
  * Imported Translations from Transifex
  * Add manage/unmanage volume support for Nimble
  * Add unit test for backup get_all
  * Incremental backup improvements for L
  * Extend unit tests for backup get_all
* Fri Aug 28 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev353:
  * Replace urllib.unquote with urllib.parse.unquote
  * Remove unused dependency discover
  * Implement function to manage/unmanage snapshots
  * Filter out extra-specs from type get for non-admin
  * Parameter osapi_max_limit is always used by default
  * Update NetApp Drivers to use netapp_lib
  * adds user_id to check_is_admin
  * Add Cinder API wsgi application
  * Nested Quota Driver: Get Project Hierarchy
  * Port test_nfs to Python 3
* Thu Aug 27 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev333:
  * Dont eager load volume type specs on volume list
  * Add pagination to snapshots
  * Fix nimble storage volume stats reporting
  * TemporaryImages to inspect image before conversion
  * Efficient image transfer for Glance cinder store
  * Fix backup list all_tenants=0 filtering for admin
  * Assisted volume migration for Oracle ZFSSA drivers
  * Add https options and minor code changes
  * Cleaning up CONF.register_opts() in compute/__init__.py
  * Add more Rally scenarios to run
* Wed Aug 26 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev314:
  * Cinder replication V2
  * Add volume retype support for Huawei driver
  * Port 3PAR drivers to use ABCMeta driver model
  * Move import and export backup metadata to object
* Tue Aug 25 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev306:
  * Fix bad except clauses order
  * Fix URLs to admin-guide-cloud
  * Dell SC: Added logging for the find_wwns functions
  * Add version columns to services table
  * Add backup/restore methods to Sheepdog driver
* Mon Aug 24 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev296:
  * Fix Pure create volume from cgsnapshot
  * Prevent volume already in CG to be added to another
* Sun Aug 23 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev292:
  * Add missing space to logged error in create volume
  * Update provider_id column on SolidFire init
  * Add ability to update provider_id during init
  * Validate value when user update quota
  * Avoid returning volume metadata in DotHill driver
  * EMC VMAX Create CG from CG Snapshot
* Sat Aug 22 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev280:
  * Fix _LI() to _LW() in LOG.warning message
  * Add SolidFire svip to config options
  * Return multiple iSCSI portals in VNX Cinder driver
  * Updated from global requirements
  * Switch to the oslo_utils.fileutils
  * Parse out SolidFire account from api response
  * Dell SC: Better exception handling in init_conn
  * Rename free_virtual in capacity filter
  * Update deprecated version of novaclient
  * RemoteFS: Fix doc for locked_volume_id_operation
* Fri Aug 21 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev263:
  * Updated from global requirements
  * Corrects the order of AssertEquals params in Quobyte tests
  * Adds the random option to cinder retry function
  * Remove duplicate keys from dictionary
  * Update devref unit tests doc
  * Test whether sample config generation works
  * Make migration's volume source deletion async
  * Refactor to remove duplicate code
* Wed Aug 19 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev248:
  * LeftHand driver is ignoring reserved_percentage
  * Tests: Fix zfssa TestRestClientURL.test_request
  * Revert "mark oslo.vmware as optional dependency"
  * Register the volume_opts config options in remotefs.py
  * Configure space reservation on NetApp Data ONTAP
  * Dell SC: Fix error causing missed log message
  * Adds manage/unmanage methods for HNAS drivers
  * 3PAR: Adding Consistency Group Support
  * Remove unused function volume_type_encryption_get
  * Correct comment to be consistent with code
  * Allow 0 length name
  * Add volume migration support for Huawei driver
  * Cleanup for cinder tests with ConsistencyGroups
  * VMware: Change inventory folder hierarchy
  * Adapt SnapshotController to view builder
  * Use min and max on IntOpt option types
  * Over subscription for HP 3PAR drivers
  * Tintri snapshot id
  * Add volume type support to Datera
  * Implement Clone CG in Pure Volume Drivers
  * Dell Eqlx: Use generic option ssh_timeout
  * Make X-IO volume driver wait for delete volume to complete
  * Reduced file size to prevent timeout
  * Update SolidFire driver to pass newer flake8
  * 3PAR: Adding performance metrics to volume status
  * Don't use context.elevated to get volume
  * Enable cinder-manage to remove services
  * VMware: Bump driver version
  * Fix backup init_host volume cleanup
  * VMware: Deprecate vCenter version less than 5.1
* Fri Aug  7 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev60:
  * Sync scheduler module from oslo-incubator
  * Fix PEP476 & format message of Oracle ZFSSA drivers
  * Add multiple pools support to VMAX driver
  * Add bandit for security static analysis testing
  * RemoteFS: Fix the offline snapshot delete operation
* Thu Aug  6 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev52:
  * Refactor api.v2.volumes unit tests
  * Dell SC: Add check of current value on retype
  * Add SmartX support for Huawei driver
  * Fix order of arguments in assertEqual
  * Fix status comparison for attached volume backup
  * Updated from global requirements
  * Over subscription for HP LeftHand iSCSI driver
  * Clone CG
  * Port NetApp NFS drivers to use ABC driver model
  * Set driver version in Sheepdog driver
* Wed Aug  5 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev34:
  * NetApp ESeries: fix delete of non-existent volume
* Tue Aug  4 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev33:
  * Fix get default quota values for subprojects
  * Add mock cases for IBM FlashSystem
* Mon Aug  3 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev30:
  * Updated from global requirements
  * Set VERSION on the Nimble driver
* Sun Aug  2 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev26:
  * VMware: Fix protocol in backend stats
* Sat Aug  1 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev24:
  * Use prefix for SolidFire template account
  * Fix multi-line docstrings to meet hacking rules
  * sqlalchemy exception kills FixedIntervalLoopingCall thread
  * Fix error message in cinder/api/v2/volumes.py
  * Fix concurrent attaches on HNAS iSCSI driver
  * Posix backup driver
  * RBD: use user-configured value for max_clone_depth
  * Remove deprecated SimpleScheduler
  * Add I/T mapping check for IBM FlashSystem
  * Add iSCSI multipath support for Huawei driver
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev9:
  * Fix exception on uploading a volume to image with glance v2 API
  * Move update_migrated_volume() to BaseVD
  * LVM: Support efficient data copy for LVM driver
* Thu Jul 30 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev5:
  * Add deactivate step to extend_lv
  7.0.0.0b2
  * Log which service is down
  * Remove deprecated config options for Liberty
  * Updated from global requirements
  * Adding NFS support to the GPFS Driver
  * Windows iSCSI: Add CHAP authentication support
* Wed Jul 29 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev307:
  * Fix cleanup_temp_volume_snapshots for missing vol
  * Fix doc string definitions
  * Port StorwizeSVCDriver to use ABCMeta driver model
  * Add extra spec capability for Nimble Cinder Driver
  * XtremIO support for iscsi discovery auth
  * Add multiple pools support for Huawei driver
  * Port XIVDS8K Driver to use ABCMeta driver model
  * EMC VMAX Modify CG
  * Remove resource lock operation for HBSD
  * NetApp E-Series: Add debug tracing
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev287:
  * typos(?) in create_snapshots_in_db
  * Add volume_attachment to volume usage notifications
* Mon Jul 27 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev283:
  * Refactoring of manager's create_volume flow
  * Remove unused arguments from c-vol's create_volume
* Sun Jul 26 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev279:
  * XtremIO volume driver consistency group support
  * Dell SC: Fix legacy bug, init_conn bug and REST API bug
  * Don’t log warnings in Pure initialize_connection
  * Remove unused serialize_args method
* Sat Jul 25 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev271:
  * Updated from global requirements
  * Remove simple scheduler which is deprecated since Juno
  * Implement retype for Pure drivers
  * Dell SC: Add support for driver retype
  * Add Cinder internal tenant support
  * VMware:Replace vCenter calls with oslo.vmware calls
  * Rename filename from il8n.rst to i18n.rst
  * Add drivers list generator
  * Move volume.api test to correct location
  * Remove logging statements from migrations
  * Revert "Remove X-IO volume driver"
  * Filter cgsnapshots data on the DB side
  * Graceful shutdown WSGI/RPC server
  * Remove "volume:services" rule from policy.json
  * Raise BadRequest for invalid replication status
  * Removing OpenvStorage for no CI
  * Fix properties extracting from image with glance api v2
  * Fix getting wwpn information in infortrend driver for DS4000
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev236:
  * Non-disruptive backup
  * DRBD: Rename a constant to a better name
  * Dell SC: Fix Consistency Group issues
  * Add CHAP support for Huawei driver
  * DRBD: Define a separate prefix for snapshots
  * Prevent missing Purity hosts from raising errors
  * Backups: allow name to be specified during restore
  * Add unit tests for cinder.api.v2.volumes
  * Remove obsolete API from documentation
  * Tests: test_volume mock conversion
  * Fix restore point if backup base is diff-format in ceph
  * VMware: Create volume backing in specific clusters
* Mon Jul 20 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev212:
  * Refactor Huawei Volume driver
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev210:
  * Add white list support for target ports in VNX driver
  * Remove lio_initiator_iqns config option
* Fri Jul 17 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev206:
  * Fix 3PAR driver handling of existing VLUNs
  * scality: add export and name keys to os-initialize_connection info
  * Report capability of multiattach for FlashSystem
  * Handle volume not found on zfssa volume delete
  * Raise HTTP exception for backup not found
  * Support SMI-S provider v8.0.3 in VMAX driver
  * Fix getting out-of-date volume operation state issue for VNX
* Thu Jul 16 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev192:
  * Preserve mock side_effect’s in test_pure
  * Remove useless logging from unit tests
  * Cleanup unused method fake_get_target
  * Add support for force-delete backups
  * VMEM v6000: Fix export verify routines
  * Dell SC: Add support for ManageableVD
* Tue Jul 14 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev180:
  * StorPool: clean up the last uses of str.format()
  * Removing archaic references
  * cinder list fails with 'name' sort key
  * Storwize_svc_npiv_compatibility_mode default value change
  * Remove unused parameter in PureFCDriver _connect
  * Updated from global requirements
  * Fix saving tz aware datetimes in Versioned Objects
  * set/unset volume image metadata
  * Add ability to override OpenStack privileged user auth url
  * NetApp ONTAP: Add debug tracing
  * Fix HBSD horcm driver with oslo.concurrency 2.1.0
* Mon Jul 13 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev158:
  * Fix not implemented wording in update_migrated_volume
* Sun Jul 12 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev156:
  * Improve 3PAR driver VLUN creation and deletion
  * Remove hacking check N327
* Sat Jul 11 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev152:
  * Fix tests failing in gate
  * Fix NetApp cDOT driver use of Glance locations
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev149:
  * Set encrypted key in connection_info during initialize
  * GlusterFS: support extending a volume that has snapshots
  * Add missing argument to delete_keys method
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev144:
  * Nested Quota: Set default values to subproject
  * Fix missing pool name in consistency group
  * Add tracing facility for drivers
  * Fix error message in Pure driver with correct text
  * Storwize Driver zone removing
  * Dell SC: Add support for consistency groups
  * Port NetApp E-Series iSCSI driver to ABC model
  * Validate maximum limit for quota
  * RemoteFS: Reporting configured reserved_percentage in _update_volume_stats
  * Port huawei driver to Python 3
  * Correct overquota error message
  * Validate outermost request body element name consistently
  * Scality SOFS: enhance how the remoteFS mount is detected
* Tue Jul  7 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev120:
  * Notify the transfer volume action in cinder
  * Avoid race condition at snapshot deletion stage
  * Return 404 if volume type encryption is not found
* Mon Jul  6 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev114:
  * Remove duplicate volume.filters entry
  * Separate FlashSystem FC and iSCSI common code
  * Update expected error message from lvs
  * Remove X-IO volume driver
  * Mock socket.gethostbyaddr in test_v7000_fcp
  * smbfs: fix invalid check for smbfs_used_ratio correctness
  * Port test_db_api to Python 3
  * Port hitachi driver to Python 3
  * Do not allow to modify access for public volume type
  * Use right oslo.service entry points
  * Add unit tests for the capacity filter
  * Validate bool value using strutils.bool_from_string method
  * Fixed misspelling in solidfire.py
* Mon Jul  6 2015 rsalevsky@suse.com
- Update to version cinder-7.0.0.0b2.dev90:
  * Implement the update_migrated_volume for the drivers
  * Fix Python 3 issues in cmd
  * Port image/glance.py to Python 3
  * Switch to oslo.reports
  * Updated from global requirements
  * Fix block eventlet threads on rbd calls
  * Port dothill to Python 3
  * Fix backup.rpcapi to pass object backup
  * Fix typo in solidfire driver option
  * Replace missed basestring by six for python3 compatability
  * Updated from global requirements
  * Move HDS drivers to Hitachi folder
  * Fix Python 3 issues in targets unit tests
  * Port drbdmanagedrv driver to Python 3
  * Add dependency check in RBD delete_snapshot
  * XtremIO driver fix array snapshot problem
  * Fix cinder.conf.sample generation
  * Use versionutils from oslo.log
  * Updated from global requirements
  * Fix timeout issue in EMC VNX driver unit test
  * Remove oslo logging from backup unit tests
  * Add notifications about snapshot.update.*
  * Sync the latest fileutils module from oslo-incubator
  * Fix 'no actual-pathname' NetApp API error
  * Use symbol for error code in VNX cinder driver
  * Storwize driver report capability for multiattach
  * Filter snapshots data on the DB side
  * Change generic NotFound to specific exception
  * Storwize: add the missing stops in the end of the messages
  * Ensure 'WSGIService' derives from oslo_service base class
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev1:
  7.0.0a0
  * ScaleIO: Fix broken format string
  * LVM add multiattach flag capability
  * Add volume drivers for Infortrend Storage
  * Updated from global requirements
  * Adds FC and ISCSI Cinder drivers for Lenovo Storage Arrays
  * Replace basestring with six.string_types
  * Switch to oslo.policy 0.3.0
  * Add config option to set max_volume_size_limit
  * Volume driver for HP XP storage
  * Refactor API create_volume flow
  * Tintri driver to manage existing backend storage objects
  * Port remote_fs driver to use new driver model
  * Fix namespace issue in generate_sample.sh
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev388:
  * Fix broken export commands on block_device driver
  * Move DRBD tests into tests/unit
  * Replace xrange() with six.moves.range()
  * Drop L suffix from long integers
  * Pass proxy environment variables to tox
  * Re-add DRBD driver
  * Introduce Guru Meditation Reports into Cinder
  * Adds FC and ISCSI Cinder drivers for DotHill Storage Arrays
  * Get rid of oslo-incubator copy of middleware
  * SQL scripts should not manage transactions
  * Targets tests: Clean up long lines
  * Remove WritableLogger wrapper
  * Get StringIO from six for Python 3 compatibility
  * Fix Python 3 issues in utils
  * Update SolidFire to use target driver model
  * Replace dit.itervalues() with dict.values()
  * Rewrite code merging two dictionaries
  * Use correct rtslib namespace for newer versions
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev353:
  * Update 3PAR user config help strings
  * Disallow backing files when uploading volumes to image
  * Replace dict(obj.iteritems() with dict(obj)
  * Replace dict.iteritems() with dict.items()
  * Use six.reraise() for Python 3 compatibility
  * Remove pretty_tox and use ostestr
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev342:
  * Wait until service thread is done on service stop
* Sun Jun 14 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev340:
  * 3PAR enable multiattach capability reporting
  * Use six to fix imports on Python 3
* Sat Jun 13 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev336:
  * Add cinder volume driver for Blockbridge EPS
  * san driver: don't use relative Python import
  * Implement Cinder Volume driver for HGST Solutions
  * Volume manager should set filter_function and goodness_function
  * Replace it.next() with next(it) for py3 compat
  * NetApp E-Series: Add Fibre Channel Support
  * NetApp E-Series: Refactor class structure for FC
  * NetApp E-Series driver: Remove caching logic
  * Updated from global requirements
  * Add secondary account capability to SolidFire
  * EMC ScaleIO Cinder Driver
  * Re-integrate Oracle iSCSI Cinder driver
  * Re-add the StorPool distributed storage driver
* Thu Jun 11 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev310:
  * Replace urllib and urllib2 with six.moves.urllib
  * Replace unicode with six.text_type
  * Dispose DB connections between backend proc starts
  * Dell SC: Expanded comments and update var names
  * Add iSCSI protocol support for IBM FlashSystem
  * Fixes 3PAR snapshot failure with optional params
  * ConsistencyGroup: Return 400 instead of 500 for invalid body
  * Add 'source-id' and 'source-name' support in VNX driver
  * Prophetstor driver needs to return snapshot objects
  * Add missing unit test for goodness weigher
  * Switch from MySQL-python to PyMySQL
  2015.1.0
  * Add external genconfig calls
  * Remove unused find_attribute_or_element()
  * service child process normal SIGTERM exit
  * Windows SMBFS: fix volume extend
  * Fix a wrong argument of create method
  * Release Import of Translations from Transifex
  * update .gitreview for stable/kilo
  * Updated from global requirements
  * Verify all quotas before updating the database
  * Add locking to PureISCSIDriver around creating Purity Host objects
  * Include boot properties from glance v2 images
  * remotefs: Fix doc string for _create_snapshot
  2014.2
* Sun Jun  7 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev358:
  * Dell SC: Added support for alternate iscsi portals
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev356:
  * Revert "Adds drivers for DotHill Storage Arrays."
  * Dell: Added verify cert option for REST calls
  * Handle ineffective backup compression
  * Complete switch to snapshot objects
  * DriverFilter: don't check volume_backend_name
  * Add Pure Storage FibreChannel driver
  * Fix exception parameter name
  * Move Dothill tests out of root test directory
  * Fix remaining memory issues with nfs backup unit tests
  * Don't send heartbeats if Manager reports a problem
  * Non-admin user to query volume filter by az
  * Multiple pools support enhancement in VNX cinder driver
  * Windows SMBFS: Fix image resize errors during volume creation
* Fri Jun  5 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev330:
  * Changes in rally-jobs/README.rst
  * Removed explicit return from __init__ method
  * Return provider_id in SolidFire model update
  * Allow provisioning to reach max oversubscription
  * Port ProphetStor driver to use ABCMeta driver model
  * Clean up unused exceptions
  * Refactor scheduler's create_volume flow
  * Adds FC and ISCSI Cinder drivers for DotHill Storage Arrays
  * Tintri Cinder Volume driver
  * Remove un-used import at test_volume_transfer.py
  * Fix issues with extra specs in VMAX driver
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev308:
  * Deprecate the HPLeftHandISCSIDriver CLIQ driver
  * Bump SolidFire version number
* Wed Jun  3 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev305:
  * Dell SC: update_volume_stats could use uninitialized vars
  * Disable backup progress notifications for unit tests
  * Fix assertRaisesRegexp deprecation warnings in UT
  * Refactor PureISCSIDriver into base and iSCSI classes
  * Use SolidFire snapshots for Cinder snapshots
  * Switch get_all_snapshots to use objects
  * EMC VMAX Manage/Unmanage Volume
  * Fix volume creation from image with allowed_direct_url_schemes
* Tue Jun  2 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev289:
  * Fix cinder concurrency issues on rtstool
  * Add chap support to CloudByte cinder driver
  * NetApp FC driver shims missing manage/unmanage
* Mon Jun  1 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev284:
  * Notification with volume and snapshot metadata
  * Add volume ID to fake volumes in Gluster tests
  * VMware: insecure option should be exposed
* Sat May 30 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev278:
  * Fix capacity filter to allow oversubscription
  * Updating cmd/manage.py get_arg_string() argument parser and adding unit test
  * Fix expression-not-assigned pylint issues
  * Add standard QoS spec support to cDOT drivers
  * Create iSCSI lio portals with right IPs and port
  * Create consistgroup from cgsnapshot support in VNX driver
  * Stop using deprecated timeutils.isotime()
  * Fix response when querying host detail by host name
  * Fix wrong response with version details
* Fri May 29 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev260:
  * Display NOTIFICATIONS on assert failure
* Wed May 27 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev258:
  * Avoid LUN ID collisions in NetApp iSCSI drivers
  * Dell SC driver honoring folder name after volume creation
* Tue May 26 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev254:
  * Brocade driver not parsing zone data correctly
  * Don't use dict.iterkeys()
  * Address 0x712d8e0e error in VNX Cinder Driver
  * Leverage dict comprehension in PEP-0274
  * Add missing '-o' CLI option to VNX Cinder Driver
  * Validate name and description for volume type
  * Use nfs_oversub_ratio when reporting pool capacity
  * Targets test refactoring
* Mon May 25 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev238:
  * Add ability for drivers to copy data preserving sparseness
* Wed May 20 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev236:
  * Leave sqlalchemy convert to boolean to the DB SQL type to use
  * Fix a problem with FAST support in VMAX driver
  * Check volume_backend in retype
* Sat May 16 2015 dmueller@suse.com
- Update to version cinder-2015.2.0.dev230:
  * Remove HDS HUS iSCSI driver
  * Updated from global requirements
  * LVM: Pass volume size in MiB to copy_volume() during volume migration
  * LVM: Support efficient data copy using "dd" for create_cloned_volume
  * Remove use of deprecated LOG.warn
  * Fix incorrect reraising of exceptions
  * Switch to oslo_versionedobjects
  * Cinder os-force_detach api returns 500
  * Fix overwrite of params in SF image cache update
  * Check type match on create from source/snap
  * Add patch for consistency group update in ProphetStor driver
  * Logging not using oslo.i18n guidelines (openstack)
  * Remove unused context parameter
  * Replace suds test dependency with suds-jurko
  * Fix missing translations for log messages
  * Remove Brick from cinder codebase
  * LIO: Enable iSER for IPv6
  * LIO: Use rtslib property instead of private method
  * Removing sleep between when a command is sent and 'YES' is sent
  * Port block_device driver to use new driver model
  * Clean up failed clones in VMAX driver
  * VNX Cinder driver Over Subscription Support
  * GlusterFS: Support over subscription in thin provisioning
  * VMware: Handle concurrent inventory folder create
  * Fix tiny typo: compatability => compatibility
* Tue May 12 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev181:
  * Follow i18n guidelines in LIO target
  * NFS Backup: Correcting backup_sha_block_size_bytes help message
  * Fix common misspellings
  * GlusterFS: Renaming test case to test_mount_glusterfs
  * Fix typo in log messages and comments
* Mon May 11 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev172:
  * Add os-brick to cinder requirements.txt
  * Remove unnecessary checks for encrypted types
* Sun May 10 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev168:
  * Add new exception to retryables in SolidFire driver
  * Convert mox to mock: tests/compute/test_service.py
* Sat May  9 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev165:
  * FlashSystem reports error while running tests with multi-thread
  * Dell: Added support for update_migrated_volume
  * Fix FakeISCSIDriver and FakeISERDriver
  * Add volume status to error messages in backup create flow
  * Bad link in API version details response
  * Fix xxx=\n pep8 errors in volume_utils.py
  * Log command failure details before raising ISCSITargetDetachFailed
  * Eqlx: Fixes the retries on Network Connection Error
  * Rename Datera test to test_datera for discovery
  * Allow rexports for targets with Datera
  * Fix missing translations for log messages
  * Cinder os-attach api returns 500
  * cinder os-detach api returns 500
  * Windows iSCSI: remove ensure_export
  * tests: replace mox by mox3, clean out mox usage
  * Correct directories check for N327 hacking check
  * Add Multi-connection support to XIV
  * Create initiator id for VMAX iSCSI driver
  * GlusterFS: Using mount method in RemoteFsClient
  * SMBFS: Add minimum qemu-img version requirement
* Fri May  8 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev125:
  * Fix the KeyError in CloudByte iSCSI cinder driver
  * Logging not using oslo.i18n guidelines (zonemgr)
  * Fix unit tests spam output
  * Preserve usage and reservations on quota deletion
  * Fix 'driver is uninitialize' typo
* Thu May  7 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev115:
  * HDS HNAS Driver fails when FS unhealthy
  * Fix broken add_iscsi_conn log message
* Wed May  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev112:
  * Fix range check for NFS used ratio
  * Logging not using oslo.i18n guidelines (scheduler)
* Wed May  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev108:
  * Catch additional type conversion errors
  * Tests: Remove sleep from NFS tests
* Tue May  5 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev104:
  * VMware: Enable vCenter certificate verification
* Mon May  4 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev103:
  * Fake out sleeps in unit tests
  * Drop use of 'oslo' namespace package
  * Add hacking check for str and unicode in exceptions
* Sat May  2 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev97:
  * Move logging sample to use oslo_log
  * Dell SC driver calls out the wrong REST API version
* Fri May  1 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev105:
  * Revert state if attachment already exists
  * Add retry to lvm delete
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev102:
  * Admin extends tenant's volume but change admin's quota
  * Updated from global requirements
  * Fixed issue with mismatched config in VMAX driver
  * Leverage timeutils, drop strtime() usage
  * Remove redundant code from VNX Cinder Driver
  * Fix fetch_to_volume_format if vhd is requested
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev90:
  * Port rbd driver to use new driver model
  * Enable use of filter_function in PureISCIDriver
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev86:
  * Add test case for volume_encryption_metadata_get
  * Don't truncate osapi_volume_link prefixes
  * Remove deprecated methods in VNX driver
  * 3PAR don't log version numbers every stats update
  * Sync oslo service module
  * Add external genconfig calls
  * NetApp E-Series: Fix instance live-migration with attached volumes
  * Add resource tag to logging in volume.manager.py
  * Remove force check from copy_volume_to_image
  * service child process normal SIGTERM exit
  * Move unit tests into dedicated directory
  * Move RBD calls to a separate threads
  * Windows: Improve vhdutils error messages
  * Use iscsi_helper instead of target_helper on logs
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev61:
  * Reserve 5 migrations for Kilo backports
  * RBD: Add missing Ceph customized cluster name support
  * Standardize logging in volume.api.py
  * Storwize driver should only report active wwpn port
* Mon Apr 20 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev54:
  * VolMgr: reschedule only when filter_properties has retry
  * Complete the doc/README.rst instructions to build docs
  * VMware: Improve invalid container error message
  * Fix QoSSpecManageApiTest to work in parallel
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev46:
  * Fix LUN misalignment issue with NetApp iSCSI drivers
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev44:
  * Mask passwords with iscsiadm commands
  * Add support for customized cluster name
  * SMBFS: Lock on a per-volume basis
  * Windows SMBFS: fix volume extend
  * Add CA cert option to backups swift driver
  * Fix a wrong argument of create method
  * Reworked Dell SC iSCSI target portal return
  * Add volume:update rule to policy.json
  * Fix always false condition in glance wrapper
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev27:
  * Add locking to PureISCSIDriver around creating Purity Host objects
  * Remove the export creation during volume creation for migration
  * Fix assertEqual in test_volume.py in correct order of params
  * Get volume from db again before updating it's status
* Wed Apr 15 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev19:
  * Logging not using oslo.i18n guidelines (brick)
  * Fixes snapshot creation failure in CloudByte driver
  * Verify all quotas before updating the database
* Tue Apr 14 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev13:
  * Removed sleep before 'YES' is sent to confim an operation
  * Update openstack-common reference in openstack/common/README
* Mon Apr 13 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev9:
  * VNX Cinder Driver should report 0 free_capacity_gb in some scenarios
* Sun Apr 12 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev7:
  * set default auth_strategy to keystone
  * VMware: Fix missing target resource pool
* Sat Apr 11 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev3:
  * Include boot properties from glance v2 images
  2015.1.0rc1
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev164:
  * Open Liberty development
  * GlusterFS: Returning provider location of volume from snapshot
  * Create initiator id if not exist in VMAX driver
  * Fix the unicode encode error when create volume
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev156:
  * Delete the temporary volume if migration fails
  * Revert "Removing Windows drivers"
  * Correct cinder hacking check numbering
  * Add hacking check for print() statements
  * Rbd update volume stats in wrong way
  * Partial Revert "Removing ZFSSA driver"
  * Fix multipath device discovery when UFN is enabled
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev142:
  * Add missing copy_volume_to_image method to Sheepdog driver
  * Partial Revert "Removing Huawei drivers"
  * Fixed encrypted property for 3PAR FC and iSCSI drivers
  * More error handling on EMC VNX migration failure
  * Set volume_attachment to [] for the temporary volume creation
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev132:
  * Use six.text_type instead of unicode
  * Revert "Removing Netapp FC drivers for no reported CI"
  * Check volume status in detach db api
  * VMware: Fix instance_uuid access in volume retype
  * Logging not using oslo.i18n guidelines
  * Added provider_id to volume and snapshot object
  * Fix argument order in assertEqual: tests/test_service.py
* Mon Apr  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev118:
  * Dell SC driver has insufficient iscsi logging
  * VMware: Skip vSAN for preallocated image download
  * Fix incorrect invocation of _add_to_threadpool
  * Fixes nits in check_no_contextlib_nested
  * Add project_id to barbican keymgr wrapper
* Sun Apr  5 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev108:
  * Mock wait_for_volume_removal in test_brick_connector
  * Enable H238 hacking rule
  * Fix ISCSIDriver initialized connection volume type
  * Tests: Fix v6000 test failure with random hash seed
  * Storwize: Replication status still active when primary copy is offline
  * Fix: Boot from image with HNAS iSCSI
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev97:
  * Fix missing clone_image API support for sheepdog driver
  * Only use operational LIFs for iscsi target details
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev93:
  * Fix wrong command for _rescan_multipath
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev91:
  * Catch more general exception in manager's create_volume
  * Fix the format of the system name in VMAX driver
  * Be safe with getting attachment
  * Convert all eqlx tests from mox to mock
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev83:
  * Fix broken fetch_to_volume_format log message
  * Remove LP bug ref in remove_iscsi_device
  * Fix potential access to missing key
  * Brick: Fix race in removing iSCSI device
  * Enhance VNX Cinder volume creation logic
  * Change volume and snapshot stuck creating to error
  * Fix logging to catch original exceptions and tracebacks
  * Fix for inconsistent cinder-services state change
  * Fix HNAS iSCSI driver error on LUN creation
  * VMware: Fix exception logging
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev63:
  * Hitachi: Fix access to volume instance_uuid
  * SMBFS: Fix missing volume provider location
* Mon Mar 30 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev59:
  * VMware: Fix ImageNotAuthorized during copy volume
  * Properly remove host object from ISE
  * Use cached values for stats on query failures for vmem drivers
* Fri Mar 27 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev54:
  * Properly use obj_extra_fields in objects
  * Create unit tests for volume objects
  * VMware: Fixed usage of volume instance_uuid
  * Imported Translations from Transifex
  * Fixed access to instance_uuid in retype
  * Eager load volume extra specs
  * Added the missing attachment to detach_volume
  * Make lio iSCSI changes persistent to avoid lost
  * Sort list of cinder_object.changes
  * Move to hacking 0.10
  * Syncing versionutils from oslo-incubator
  * Dell Storage Center API change fails init_conn
  * Windows iSCSI: fix volume clone
  * Enable request-id in cinder API logs
  * The value of netapp_storage_protocol should default to none
  * Updated from global requirements
  * Fix: Synchronise Quobyte Share mounting
  * Fix typo in cinder/cinder/volume/drivers/emc_vmax
  * Windows: Fixes wintypes import issue in vhdutils
  * Simplify cxt test_create_export() unit test
* Tue Mar 24 2015 rsalevsky@suse.com
- Update to version cinder-2015.1.dev15:
  * Change leftover oslo.* to oslo_*
  * Update file doc string for pure.py
  * update oslo policy to remove policy.d log spam 2015.1.0b3
  * Remove chap secret DEBUG logging in PureISCSIDriver
  * Removing Windows drivers for no reported CI
  * Fix logging mistake in swift backup driver
  * Removing Zadara driver for no reported CI
  * Removing Huawei drivers for no reported CI
  * Removing Netapp FC drivers for no reported CI
  * Removing Fujitsu driver for no reported CI
  * Removing DRBD driver for no reported CI
  * Removing FusionIO driver for no reported CI
  * Removing Nexenta driver for no reported CI
  * Removing Symantec NFS driver for no reported CI
  * Removing StorPool driver for no reported CI
  * Removing ZFSSA driver for no reported CI
  * Make the 3PAR drivers honor the pool in create
  * Removing HP MSA driver for no reported CI
  * Removing Coraid driver for no reported CI
  * Add retry to create resource in Datera driver
  * Logging not using oslo.i18n guidelines
  * Tests: Fix az test failure when PYTHONHASHSEED != 0
  * Change datetime.now() to timeutils.utcnow() from oslo_utils
  * Remove error messages from multipath command output before parsing
  * Fix SAN generic driver ssh whitespaced commands
  * Revert "Datera's export to avoid deprecated keys"
* Thu Mar 19 2015 rsalevsky@suse.com
- Adapt Requires/BuildRequires to new version
- Update to version cinder-2015.1.dev388:
  * Return updated volume object to the caller of _attach_volume()
  * EMC: Fix use of "_" as variable name
  * Reduce configured file size for nfs backup unit tests
  * tests: remove useless variable
  * Don't override extra specs with config in VMAX
  * Check license before clone in VMAX driver
  * Fixing mount when state_path is configured with a final '/'
  * Update Violin REST client library name
  * Remove the reference of volume['instance_uuid']in VNX driver
  * Increase LeftHand driver minimum client version
  * Decrement remaining retries after failed REST call
  * VMware: Fail immediately for images in a container
  * Make unused iscsi_num_targets, iser_num_targets configs as deprecated
  * Raise exception for invalid mock assert calls
  * Mocked utils.execute for broken tests
  * Huawei driver check before associating LUN to a LUN group
  * Fix typos in LVMVolumeDriver
  * Add minimum qemu-img version check functions
  * Implement IET target driver
  * Fix unit tests for multiattach patch
  * Fixed a concurrency issue in VMAX driver
  * Fix LVM thin pool creation race
  * Fix ArgsAlreadyParsedError in emc_vnx_cli.py
  * Fix typo in log message
  * Fix a typo in sf_template_account_name help
  * Move to the oslo.middleware library
  * Remove use of contextlib.nested
  * Remove strutils from oslo-incubator
  * Add waiting for the driver to SchedulerManager
  * Fix sqlalchemy reuse in multi-backend children
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev8:
  * Update eqlx driver help text
  2015.1.0b2
  * Support over subscription in thin provisioning
  * Change oslo.* to oslo_*
  * Lefthand driver fails to attach a cloned volume
  * Purge deleted rows
  * EMC VNX Cinder Driver Update
  * Fixes the EQL driver CI tests AttributeError
  * Add manage/unmanage methods for Hitachi Block Storage Driver
  * RemoteFS: Use nas_ip and nas_share_path options
  * Remove the solaris volume driver
  * Add retry for tgtadm update when tgt exists
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev324:
  * Tests: Don't sleep for looping calls (eqlx)
  * Roll back if VMAX masking view not created
  * Tests: Don't sleep for looping calls
  * Use get_my_ipv4 from oslo.utils
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev316:
  * Fix SSHPoolTestCase to work in parallel
  * Fixes attribute content checking
  * Imported Translations from Transifex
  * Support iSER driver within the ISCSITarget flow
  * HP3Par: Set snapCPG when managing existing volumes
  * Adds unit tests for HNAS backend
  * Failed to discovery when iscsi multipath and CHAP both enabled
  * Add completion logging for snapshots and volumes
  * Fix configratuion of rally jobs
  * Updated from global requirements
  * IBM Storwize driver Consistency Group Implementation
  * TgtAdm: Fix _recreate_backing_lun logging
  * HP 3PAR modules have bad log messages
  * Remove useless and unused request_utils
  * Fetch_to_volume_format calls copy_volume using wrong parameter
  * Changed pvs separator from ':' to '|' to support names with ':'
  * Add retry to lvm snapshot create
  * Fix the eqlx driver to retry on ssh timeout
  * Punctuation and Copyright changes
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev279:
  * Revert "Create SolidFire Template account on init"
  * Add provisioned_capacity
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev275:
  * Create SolidFire Template account on init
* Tue Jan 27 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev274:
  * Raise correct exception when validate_connector failed
  * Move 3 Fujitsu ETERNUS DX related file
  * Use uuidutils from oslo.utils
  * Remove unnecessary method: _ensure_iscsi_targets() in tgt.py
  * Update tests for Quobyte Cinder drv from mox->mock
* Mon Jan 26 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev264:
  * Raise correct exception if deleting of LIO iSCSI target is failed
  * Fix _usage_from_snapshot in volume.utils
* Sun Jan 25 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev260:
  * Add a generic retry decorator to cinder/utils
  * Fixes a small issue in find_autodoc_modules.sh
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev256:
  * Cleanup unused DB APIs, part I
  * Remove argparse from requirements
  * Add retrying lib from global requirements
  * Remove usage of taskflow 'utils.misc' module
  * Move oslo.serialization to oslo_serialization namespace
  * HP 3PAR modules do not follow coding guidelines
  * VMware:Fix error creating vCenter inventory folder
  * Fix bug in rbd driver: the cloned volume size is wrong
  * Fix HNAS driver confusing error message (iSCSI driver)
  * Ensure lazy translation is disabled properly
* Fri Jan 23 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev236:
  * Improve debug logging of Dell Storage Center driver
  * Fix cinder-manage shell ipython
  * Shrink down customized logging listener
  * Prevent deleting volumes in a consistency group
  * Updated from global requirements
  * Move oslo.utils to oslo_utils namespace
* Thu Jan 22 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev225:
  * DRBD: remove a wrong comma, it creates a tuple
  * Fix the iSER legacy usage in the new targets flow
* Wed Jan 21 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev221:
  * Add policy_dirs conf fixture
  * DRBD: Log an error if libraries can't be loaded
* Tue Jan 20 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev217:
  * Make test_create_delete_snapshot more robust
  * Move oslo.config to oslo_config namespace
* Mon Jan 19 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev213:
  * Verify the instance's existance in the VMAX driver
* Sun Jan 18 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev211:
  * Add support for manage/unmanage volume commands to PureISCSIDriver
  * TgtAdm: Don't change CHAP username/password on live migration
* Sat Jan 17 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev207:
  * Scality: Lock around SOFS mount to avoid a race
  * Set 'driver_volume_type' to 'gpfs'
  * Switch the PureISCSIDriver over to using the purestorage pypi module
  * Fix zfssa driver volume attach to work with latest zfssa software
  * Updated from global requirements
  * Move oslo.db to oslo_db namespace
  * Fix eqlx endless loop when server closes the connection
  * Increase unit test coverage in hacking test
  * Fixed server name being retained after detach in LeftHand
  * Use is_valid_ipv6 from oslo.utils
  * Fix bug in sheepdog driver: the wrong volume size
  * Implement clone_image caching on SolidFire
  * Add migration tests for PostgreSQL
  * Update README.rst to current state
  * Fix the continuation line indent to pass flake8
  * Capitalize the first letter in log messages
  * Create proxy volume driver
* Fri Jan 16 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev174:
  * Updated from global requirements
  * Fixes misspelled words in Cinder
  * Imported Translations from Transifex
  * Add mock for cinder-rtstool call in tests.targets.test_lio_driver
  * Skip LIO target unit tests until mocked
  * Fix LOG formatting in api initialize_connection
  * Deal with PEP-0476 certificate chaining checking
  * Add hacking check for oslo namespace usage
  * Remove locks from LeftHand driver
  * Fix bug in tgt conf for volume
  * Add loopingcalls for Huawei storage system driver
  * Garbage Remains when Attached Volume is Migrated with NFS Driver
  * Remove unused variables from ensure_export()
  * Use assertRaisesRegexp() in test_srb.py
* Wed Jan 14 2015 tbechtold@suse.com
- Update to version cinder-2015.1.dev147:
  * Use lockutils.set_defaults to set lock_path in test
  * Fix incorrect usage of get_flow in volume.manager
  * Fix iscsi_write_cache setting for iscsi targets
  * Add debug messaging for tgt already exists
  * Clean up QoSSpecManageApiTest setup
  * Add more rally benchmarks related to Cinder
  * Use cinder.utils.execute directly
  * Deal with tgt already exists errors
  * Fix drbd driver to load without 3'rd party libs
  * i18n fixes for PureISCSIDriver
  * cinder-rtstool: should use acl.node_wwn
  * LVM: Add terminate_connection call for Target Objects
  * Add an instance-locality filter
  * Adds cinder iscsi driver for CloudByte storage
  * Add driver filter and evaluator for scheduler
  * Remove import of private _lazy module
  * Fix argument order in assertEqual: tests/test_glusterfs.py
  * The DRBD(manage) Cinder volume driver
  * Make ProphetStor drivers compliant with logging standards
  * Transition LVM Driver to use Target Objects
  * Replace oslo-incubator with oslo_context
  * Fix handling of serialized data in filtering of volumes
  * Convert mox to mock: tests/test_glusterfs.py
  * Remove check on db_exc.DBError
  * Add specific docs build option to tox
  * Imported Translations from Transifex
  * Add a privileged user for OpenStack services
  * Add support to PureISCSIDriver for Consistency Groups
  * Expand the description of extra_capabilities
  * Fix broken StorPool driver
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev363.gce5f8a1:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Workflow documentation is now in infra-manual
  * Remove the check_uptodate conf checks
  * Remove lio_initiator_iqns
  * Add ability to zfssa driver to create multiple initiator groups
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev352.g0b74d6b:
  * Bring cinder up-to-date with new oslo libraries
  * Revert "Fix Brocade FC SAN lookup MITM vulnerability"
  * Add cinder support for IBM FlashSystem
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev346.g837ff0e:
  * Use object.property instead of object.dump()['property']
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev344.g530c178:
  * NetApp 7mode NFS driver doesn't honor netapp_vfiler option
  * Volume type access extension
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev340.g089fb2c:
  * Fix rpc initialization of cinder-manager volume
  * Fix 3PAR drivers attempt to locate existing host
  * Remove driver compatibility in volume manager
  * Don't use _execute directly in brick/iscsi
  * Deal with tgt already exists errors
  * Fix find_autodoc_modules.sh to support OSX
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev329.g68c79f8:
  * Raise exception if invalid IP is specified
  * Fix check_ssh_injection in cinder/utils
  * Implementing the use of _L’x’/i18n markers
  * Scality SOFS: implement volume backup and restore
  * GlusterFS: Lock on a per-volume basis
* Sat Nov 29 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev319.gbcd1dce:
  * CiscoFCSanLookupService passing command as string
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev317.gb07748f:
  * Adding volume driver for X-IO ISE
  * Remove Python 2.6 backwards compatibility code
  * PureISCSIDriver:Handle delete called on already deleted volume
* Thu Nov 27 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev311.ga7664d8:
  * Imported Translations from Transifex
  * Get the 'consumer' in a correct way for retyping with qos-specs
  * Add limited retype support for rbd
  * Add iSCSI Target objects as independent objects
* Wed Nov 26 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev303.g1584fca:
  * Remove Python 2.6 classifier
  * Match mock.patch decorator with appropriate param
  * Correct misspelled words
  * Brick LVM: LV not found logging and error handling
  * etc: replace NullHandler by Python one
  * Don't use module importutils from oslo-incubator
  * Removing locks from 3PAR FC and iSCSI drivers
  * Update rally job files
  * Fix calls to assert_called_once in unit tests
  * Refactoring to allow addition of NetApp FibreChannel drivers
  * Add ability to create volume from image by image name
  * Fix exception message formatting
  * VMware: Set target ESX host for backing VM clone
  * Create "image_conversion_dir" before creating temporary file
  * Imported Translations from Transifex
  * Invalid GlusterFS share format error
  * Remove Mock class monkey patching
* Tue Nov 25 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev269.ge488d78:
  * Convert the DateTime into ISO8601 format for Ceilometer
  * Remove module timeutils
* Mon Nov 24 2014 dmueller@suse.com
- Update to version cinder-2015.1.dev265.g24ce46b:
  * NetApp NFS and iSCSI: move zapi client logic into modules
  * Context cleanup
  * ProphetStor with pool aware cinder scheduler
  * Updated from global requirements
  * Imported Translations from Transifex
  * Fix messages in EMC VMAX driver with no translation
  * Fixup regressions in PureISCSIDriver log statements
  * Implementing the use of _L’x’/i18n markers
  * Remove module jsonutils
  * Sync policy from oslo-incubator
  * Don't use module excutils from oslo-incubator
  * Sync latest versionutils from oslo-incubator
  * Defining the variable "tmp" before try block
  * PureISCSIDriver needs to disconnect hosts before deleting volumes
  * context.elevated() should use copy.deepcopy()
  * Added missing rules in policy.json
  * Fix message translations for MSA common class
  * Switch Cinder to use oslo.concurrency
  * Use oslo.utils
  * Remove code for deprecated extension path
  * Imported Translations from Transifex
  * Update prerequisite packages in development docs
  * Change CHAP secret default length
  * Capture exception when delete a volume detached
  * Use urllib.urlencode instead of dict_to_query_str
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev217.g1d77d79:
  * Implementing the use of _L’x’/i18n markers
  * Switch to oslo.serialization
  * Fix typo in SolidFire xDBVersionMismatch label
  * Fix a problem in creating consistency group in ProphetStor driver
  * Updated from global requirements
  * Disable Cgsnapshot APIs by default
  * allow image_id for imageRef in create volume API v2
  * Changing PureISCSIDriver to use %% string formatting instead of .format
  * Update cinder.conf.sample to fix max db conn retries
  * Documentation Bug fix committed
  * Add i18n _LX tags for relevant log levels in EQLX driver
  * Remove cinder/compute/aggregate_states.py
  * Remove deprecation warnings relating to api-paste
  * Mock isfile in test_ssh_missing_hosts_key_file
  * Mock cinder.wsgi.Server in TestWSGIService
  * Fix wrapper to work with barbicanclient 3.0.1
  * Adding support for 'source-id' in 3PAR manage
  * Amend unused variables to assist pylint testing
  * IBM Storwize: Improve error message
  * Handle DBConnectionError instead of Exception
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev179.g2712b42:
  * Bump Req timeout to 30 seconds in SolidFire Driver
  * Implementing the use of _L’x’/i18n markers
  * Scality driver:use self.configuration instead of CONF
  * Explicitly close requests obj in SolidFire Driver
  * Add volume attribute support to volume created using clone, snapshot
  * Add automatic creation and deletion of Purity hosts for PureISCSIDriver
  * Fix Brocade FC SAN lookup MITM vulnerability
  * Implementing the use of _L’x’/i18n markers
* Fri Nov 14 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev164.gbf0efda:
  * Stop stacktracing on QuotaErrors
  * Stop stacktracing on InvalidInput exceptions
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev162.g3c52d06:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Retry remove iscsi target
  * Activate pep8 check that _ is imported
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev154.gf782b9c:
  * Fix the LV NotFound situation for thin-type LVM
* Thu Nov  6 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev153.g37e4a12:
  * Remove test_barbican from keymgr tests
* Wed Nov  5 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev152.g29cb45d:
  * Implementing the use of _L’x’/i18n markers
  * LIO: Fix UnboundLocalError in ensure_export
  * Small typos
* Tue Nov  4 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev146.g8c477b1:
  * Disable python-barbicanclient 3.0.0 version
* Sat Nov  1 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev145.g0ecf323:
  * Cleanly override config in tests
* Fri Oct 31 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev143.g5997c02:
  * Brick LVM: Rename get_all_volumes, further optimize
  * Fix NetApp AutoSupport Shortcomings
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev139.gb7a463a:
  * Fix wrong arg number for _fix_id_migration issue
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev137.ga7b1648:
  * Add debug output indicating provider_location
  * Use look up service for auto zoning
  * Fix for debugging c-vol in PyCharm
  * Verify the full interface of the context object
  * LioAdm: Delete initiator from targets on terminate_connection
  * Brick LVM: Optimize get_volume
  * TgtAdm: Don't change CHAP username/password on live migration
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev123.g9a13288:
  * CiscoFCSanLookupSerive uses extra argument in init
  * Fix SolidFire inaccurate model on migrated vols
  * Eventlet green threads not released back to pool
  * Add ability to update migration info on backend
  * Reserve 5 migrations for backports
  * Imported Translations from Transifex
  * NFS Security Enhancements: allows secure NFS environment setup
  * Update volume-type's quota when extending volume
  * Cinder api service doesn't handle SIGHUP properly
  * Remove outdated _ as a builting from pylintrc
  * ProphetStor driver consistency group support
  * Turn on Flake-8 Complexity Checking
  * Log a warning when getting lvs and vgs takes longer than 60 seconds
  * Add client_socket_timeout option
  * VMware: Fix initialization of datastore selector
  * Improve Cinder API internal cache interface
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev93.g25c370a:
  * Fix unnecessary snap of glance image, with non-raw images
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev91.g52600c8:
  * IBM Storwize driver: Add local variable assignment to "ctxt"
  * Updated from global requirements
  * Multipath commands with error messages in stdout fail to parse
  * NetApp fix to set non default server port in api
  * Correct the message string
  * Fix display name change during backup restore
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev79.g83d7bd0:
  * Fix LVM iSCSI driver tgtadm CHAP authentication
  * Remove vol_type_id cast to str
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev75.gc5962c9:
  * Export cinder volumes only if the status is 'in-use'
  * Move SolidFire driver from httplib to requests
  * check the configuration item glance_num_retries
  * HP 3PAR: Don't ignore extra-specs snap_cpg when missing cpg
  * 3PAR migrate without losing type settings
  * 3PAR with pool-aware-cinder-scheduler
  * SQL scripts should not manage transactions
* Mon Oct 13 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev61.ge6f7790:
  * Imported Translations from Transifex
  * Fix exception handling on test_delete_nonexistent_volume
  * check the configuration eqlx_cli_max_retries
  * Remove deprecated use of gettextutils import _
  * GlusterFS: Remove unneeded conf import
  * NetApp fix for default host type in eseries
* Sun Oct 12 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev50.gcad2ff3:
  * Revert "Relocate volume to compliant datastore"
  * gitignore /.*
  * Fixes docstring typos (Cinder)
  * VMware: Bump driver version
  * coraid: allow setting default repository
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev41.g8904da0:
  * Remove useless sslutils from openstack.common
  * Eseries warn if multipath is not set for img xfer
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev37.gcbb9337:
  * Truncate fail_reason to column length
  * Fix eqlx CLI output parsing on bad input
  * Eqlx fix NoSuchOptError for volume_name_template on clone
  * Make sure device support Direct before setting
  * Fixed Typo from modfied to modified
* Thu Oct  9 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev27.g7766ff9:
  * Updated from global requirements
* Wed Oct  8 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev26.g971bda0:
  * Imported Translations from Transifex
  * Sync latest processutils from oslo-incubator
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev23.g393c2c5:
  * Windows SMBFS: Handle volume_name in _qemu_img_info
  * NetApp fix eseries unit test mock clean
* Fri Oct  3 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev19.ge978cb0:
  * Refuse invalid qcow2 backing files
  * Clarify InvalidInput exception when the size is missing
  * Handle eqlx SSH connection close on abort
  * Deprecate / obsolete NetApp volume extra specs
  * Fix race condition in ISCSIConnector _disconnect_volume_multipath_iscsi
  * ZFSSA iSCSI driver cannot add multple initiators to a group
  * ZFSSA iSCSI vol create fails with vol type option
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev5.ge1e6364:
  2014.2.rc1
  * Fix parameter miss in test_snapshot_metadata test case
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev167.gb8c8dc8:
  * Open Kilo development
  * Fix race condition in ISCSIConnector disconnect_volume
  * Adds openSUSE support for developer documentation
  * IBM Storwize driver: Retype the volume with correct empty QoS
  * VMware: cinder-volume create_session fail at retry
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev158.g4ff80f4:
  * VMware:Unquote folder name for folder exists check
  * Remove unused py33 tox env
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev155.gbfd861a:
  * Add required spaces in log messages
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev153.g1a300bd:
  * IBM Storwize:Failed to retype from non-type to replication enable
* Sun Sep 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev151.g332ea11:
  * Fixing format for log messages
  * Update /etc/cinder/cinder.conf.sample for memcache
  * VMware: Relocate volume to compliant datastore
  * Failed to re-detach volume when volume detached
  * NetApp fix for controller preferred path
  * VMware: Add storage profile related unit tests
  * VMware: Implement retype for VMDK driver
  * VMware: Improve datastore selection logic
  * Fix running unit tests with coverage
* Fri Sep 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev135.gf33cc02:
  * Fix unnecessary WSGI worker warning at API startup
* Thu Sep 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev133.g3b10c3f:
  * Imported Translations from Transifex
* Wed Sep 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev131.gd8e8de7:
  * Downgrade 'infinite' and 'unknown' capacity in weigher
  * Add unit test to cinder cgsnapshot api
  * DB migration 25->24 failed when dropping column
  * Fix confusing exception message in NetApp iscsi driver
* Tue Sep 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev123.ga194796:
  * Remove XenAPI driver
  * Fix ssh_host_key_file default in help and config.sample.conf
  * Set socket options in correct way
* Mon Sep 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev117.gdb2c817:
  * Typo "asscoiated" should be "associated"
* Sun Sep 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev115.g6643ce0:
  * Allow scheduler pool information to be retrieved
  * Timeout triggers failures running tempest for ZFSSA driver
* Sat Sep 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev111.g6a7277d:
  * Increase the 3PAR hostname length
  * Revert iSCSI Target objects as independent objects
* Sat Sep 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev107.gb35c97c:
  * HP 3PAR drivers should not claim to have 'infinite' space
  * Add tests for consistency groups DB migration
  * Verify requested size in volume.api create
  * HP 3PAR: Allow retype when the old snapshot CPG (3PAR pool) is None
* Fri Sep 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev99.g43d39f0:
  * Updated from global requirements
  * Remove executable bits on various files
  * Fix a problem with 'volume list' when 'all_tenants=0'
  * Updated from global requirements
  * Stop using intersphinx
  * Some tcp configuration paramters are ignored
* Thu Sep 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev88.g1fcf023:
  * Check replication status failed for non-replication
  * Sync latest strutils from oslo-incubator for mask_password fix
  * Getting iscsi_ip_address from cinder.conf
  * Handle config file with newlines and whitespaces
  * Volume types need to be specified when creating CG
  * Use right body for test_create_missing_specs_name
* Wed Sep 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev76.g4b2600f:
  * IBMNAS: Remove call to set r/w permissions to all
  * HP 3PAR configurable ssh-host-key-policy
  * Avoid using the disk cache on volume initialisation
* Tue Sep 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev71.g58eda5d:
  * Add reset-state function for backups
  * Destroy Datera export target after detach
  * Don't clear _mounted_shares list in remoteFS while updating
  * Fix help for running specified unit tests
  * VMware: Remove redundant extend disk API call
* Sun Sep 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev61.g52df682:
  * Netapp drivers support for pool-aware scheduling
  * coraid: fix snapshot deletion
  * Add test case for volume_types.py
  * EMC VNX Direct Driver Consistency Group support
  * Update oslo.config and oslo.messaging requirements
  * Fixes Windows Volume Driver upload volume fails
  * Log an error on nfs mount failure
  * Sync service.py and its dependencies to Cinder
  * Delete consistency group failed
  * Fixing leaking sessions in 3PAR on attach/detach
  * Add filter to volume transfer REST api
  * Unit test for restore with different hosts
  * VMware: Implement backup/restore for VMDK driver
  * Adds CA cert file path option for glance connections
  * fix a small typo in development.environment.rst
* Sat Sep 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev31.geb01ccb:
  * Block sqlalchemy-migrate 0.9.2
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev30.g69b4cfd:
  * Add Windows SMB Volume Driver
  * Set default pool value to system in gpfs driver
  * Fixes Cinder fails to upload volume to vhd image
  * Fixed Typo - from hypens to hyphens
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev22.g5d2cc2f:
  * Netapp: fix multiple copies of cinder-volume
  * Add SMB Volume Driver
  * Fix possible race condition for accept transfer
  * Imported Translations from Transifex
  * Mock glance client object in version unit tests
  * remove object in wsgi LOG.info
  * Deprecate the V1 API
* Fri Sep  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev10.g2664da2:
  2014.2.b3
  * During a restore send the restore request to the right host
  * Add Datera driver for Cinder
  * warn against sorting requirements
  * Update the HP 3PAR default persona
  * Add Fujitsu ETERNUS DX support
  * Make ssh-host-key-policy configurable
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev257.ge412605:
  * Fixed typo from 'the the' to 'the'
  * Support Volume Backup Quota
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev254.gc4bddaa:
  * Volume Replication implementation for IBM Storwize/SVC
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev252.g6b62908:
  * Pool-aware Scheduler Support
  * Add Cisco FC Zoning plugin to the FC ZoneManager
  * Update oslo policy and its dependencies
* Mon Sep  1 2014 tbechtold@suse.com
- Update to version cinder-2014.2.dev246.ge3f0374:
  * Add QoS support to IBM Storwize driver
  * Driver for Fusion-io ioControl Hybrid array
  * Typo
  * Ignore pylint error 'hashlib' has no shaxxx member
  * Introduce Hitachi storage volume driver
  * XtremIO cinder iSCSI & FC volume drivers for Juno
  * Consistency Groups
  * Add retype method to xiv/ds8k driver interface
  * Fixing 3PAR excessive FC port usage
  * Sync latest strutils from oslo-incubator
  * VMware: Disable suds caching
  * Pass an empty context to the notifier
  * VMware: Handle exceptions raised by image update
  * Have task/flow logging go to a separate log file
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev219.g5735557:
  * Fixes terminate_connection live migration issue
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev217.g2bd9a8e:
  * Create RemoteFSSnapDriver class
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev215.g5fb037a:
  * Sync latest processutils from oslo-incubator
  * Add Oracle ZFS Storage Appliance ISCSI Driver
  * GlusterFS: Use image_utils for tempfile creation
* Wed Aug 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev210.g296a32c:
  * Mock processutils.execute properly in test_ibmnas
  * Adds volume replication methods to xiv/ds8k driver interface
* Tue Aug 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev206.g0ad7847:
  * EMC VMAX Driver Juno Update
  * Allow backup-to-swift to take swift URL from service catalogue
* Mon Aug 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev202.g8f28981:
  * Add support in Cinder for volume replication - driver approach
  * Extending IBMNAS driver to support NFS based GPFS storage system
* Sun Aug 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev198.g853c90d:
  * Fix duplicate teardown to allow tox upgrade
  * Integrate OSprofiler and Cinder
* Fri Aug 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev195.g20f5102:
  * Revert test_rootwrap_filter to avoid python2.6 test failure
  * Fix variable name in api/v<n>/snapshot.py
  * Honor volume:get policy
  * Modify error code compatible with Mac OS
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev187.g058fcf6:
  * Cache snapshots in request for extension
  * Remove redundant temporary_chown from IetAdm
  * Ignore No value passed for parameter 'dml' message
* Wed Aug 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev181.gc8941ec:
  * Failed to initialize connection
  * Mock out image source file in image_utils tests
  * Provide a quick way to run flake8
  * Adds barbican keymgr wrapper
  * Imported Translations from Transifex
  * HP 3PAR manage_existing with volume-type support
  * Rewrite ionice command filter using ChainingRegExpFilter
  * Fix exception handling in PureISCSIDriver
  * Prevent tenant viewing volumes owed by another
* Tue Aug 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev163.g308b746:
  * Fix LOG string formatting in image_utils
  * Change the froce delete volume flage to True
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev159.ge1126d4:
  * Catch vol not found in SolidFire transfer
  * Add iSCSI Target objects as independent objects
  * VMware: Update default task_poll_interval value
  * fix atom link in XML Version API
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev151.g1b53a70:
  * Put result in quotes
  * Catch DBDuplicateEntry instead of IntegrityError
* Sun Aug 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev147.g1343775:
  * Update ref used for notifications
  * Use abstract class for the backup driver interface
  * Ignore HTTP_PROXY during test requests
  * Fixes wrong usage of mock.assert_not_called()
  * Implement import/export for SolidFire Driver
* Fri Aug 15 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev137.g4b973e9:
  * Enable import group hacking rule
  * Actually encode the SolidFire json dump result
  * Sync latest oslo-incubator log for debug fixes
  * Enable F402 checks and fix violations
  * VMware: Check snapshot and rename backing
  * Fix unit test test_import_record_with_verify
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev125.gc4b5d13:
  * Fix bad indentation in netapp and san.hp volume drivers
  * Issue one SQL statement per execute() call
  * Add timer info for copy operations
  * Make manage.py usable
* Wed Aug 13 2014 tbechtold@suse.com
- Add python-oslo.i18n to build requirements
* Wed Aug 13 2014 tbechtold@suse.com
- Update to version cinder-2014.2.dev118.g03884b3:
  * Add ProphetStor DPL Storage server volume driver for Cinder
  * Enable H104, F841 hacking rule and fix violations
  * Enable Swift backup driver for auth 2.0
  * Updated HACKING.rst so that it is accurate
  * Update help strings
  * Add hacking check for use of LOG.audit
  * Imported Translations from Transifex
  * Use oslo.i18n
  * Add CHAP support for 3PAR ISCSI
  * EMC: Fix minor issue in VNX driver and unit tests
  * Do not translate debug messages
  * Fixing LeftHand live migration error
  * Improve regex for _ import hacking check
  * General cleanup of unused objects
  * RPC client lazy initialization
  * Fix snapshot id for snapshot_destroy
  * Use auth_token from keystonemiddleware
  * Fix error log level in restore-backup routine
  * Add retry_on_deadlock to db update methods
  * Change the exception type for Storwize/SVC driver
  * VMware: Volume from non-streamOptimized image
  * Enable checks for E711, E712 and E713
  * Add note that some checks are disabled on purpose
  * VMware:Disk type conversion during clone backing
  * VMware:Support for attaching disk to backing
  * Change 3PAR delete message when volume is busy
  * Fixes migrate_volume_completion
  * EMC VNX Direct Driver Update for Juno
  * Storwize/SVC can not get the right host
  * Update ref used for notifications
* Mon Aug  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev55.gb28ee39:
  * Move generate_password into volume utils
  * Move SSHPool into ssh_utils.py
  * Add return of updated object on update from DB
  * Avoid OSError in get_blkdev_major_minor with network filesystems
* Sun Aug  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev47.g7a97f5c:
  * Change logging level AUDIT to INFO
  * Fix solidfire accept_transfer
  * fixing the iSER transport protocol when using LVMISERDriver
* Sat Aug  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev41.gb776fa4:
  * Further cleanup of reservations index
* Thu Jul 31 2014 tbechtold@suse.com
- Update to version cinder-2014.2.dev39.gd189ce4:
  * Change corrupted spelling mistakes
  * Skip incompatible test on OSX
  * Fix glance metadata SQL query performance
  * Remove cinder-rpc-zmq-receiver
* Tue Jul 29 2014 dmueller@suse.com
- Update to version cinder-2014.2.dev31.g51af7e4:
  * Add hacking check for vim headers
  * Get updated model info on volume transfer
  * Sync log from oslo-incubator for isEnabledFor fix
  * Modify the index migration slightly for backport
  * Remove cinder-clear-rabbit-queues
  * Remove reattach function in cinder-manage
  * Set python hash seed to 0 in tox.ini
  * HP 3PAR retype implementation
  * Add index for reservations on (deleted, expire)
  * Remove Hyper-V dependency in the Windows Cinder Volume Driver
  * Fix no handlers could be found issue
  * Add storageHost content to volume messages
  * VMware:Support for create disk and disk descriptor
  * Adds storwize_svc_npiv_compatibility_mode flag to Storwize/SVC driver
* Sat Jul 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev6.g4d56b91:
  * Add index for reservations on (deleted, expire
* Fri Jul 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev5.g2f09c30:
  * Add hacking check for explicit import of _
  * Make manage/unmanage admin only
  2014.2.b2
  * Add hacking test
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev235.g078f3ea:
  * Implements new 'bootable' option for manage existing volume
  * Fixes Cinder volume upload to image on windows
  * Add explicit import of _ to hp_3par_fc and iscsi
  * Add cinder volume driver support for Nimble Storage
* Wed Jul 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev227.g7b657ca:
  * Add additional explicit imports of _ where needed
  * Fix failure of source volume deletion in migrate_volume_completion
  * Use immutable default values for args
  * Configure write cache option of tgtd iscsi driver
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev219.g7975b46:
  * Switch to use oslo.db
* Sun Jul 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev218.g2385220:
  * Remove hard coded reference from gettextutils.py
  * Fix performance issues with brocade zone driver
  * Don't leave snapshots on the floor
  * Add some log info for NoValidHost
  * XIV volume manage/unmanage support
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev209.gce86dba:
  * Enable lazy translation for Cinder
  * Explicitly import _() in Cinder code
* Wed Jul 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev207.g343827a:
  * Update cinder generate_sample script
  * Add affinity/anti-affinity filters
  * Mock out time.sleep in storwize unit tests
  * Fix the section name in CONTRIBUTING.rst
  * Cinder-api service throws error on SIGHUP signal
  * Remove definition of Python Source Code Encodings
  * Sync gettextutils.py from oslo-incubator
  * Ensure FC ZoneManager is called
* Sun Jul 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev192.gc15d264:
  * Clean up base Volume Driver
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev190.g400b203:
  * Correct misspelled word
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev188.g517d80a:
  * Fixes EqualLogic volume live migration
  * Fix begin_detach logic
* Thu Jul 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev184.gf0ba1c6:
  * Fixed some typos in the cinder codebase
  * Use PyCrypto to generate randomness passwords
  * Remove $sqlite_db from default database connection
  * Sync processutils and log from oslo
  * volume_image_metadata missing from volume list
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev174.gc72e867:
  * Updated from global requirements
  * Remove cinder.context warning logging
  * Enable E121,E122,E123,E126,E128 hacking rules
  * Use (# of CPUs) osapi_volume_workers by default
  * Only warn about deprecation warnings once
  * Fix unsaved exception in backup/drivers
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev162.g9bd7ca7:
  * Enhance docstring for iscsi_helper
  * sync periodic_task fix from incubator
  * Ceph rbd volume manage/unmanage support
  * Replace tearDown with addCleanup - Part 3
  * Restore osapi_volume_workers config option
* Mon Jul  7 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev152.g776c94a:
  * Slow down Storwize driver initialization
  * Imported Translations from Transifex
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev149.ga2f0c11:
  * Updated from global requirements
* Fri Jul  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev148.g459f7aa:
  * Imported Translations from Transifex
  * Correct lvm_mirrors help message
  * Fix host option isn't set when using multiple backend
  * Fix retyping attached volumes requiring migration
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev141.g27536de:
  * Support Volume Num Weighter
  * Fix docstring for snapshots API
  * Remove rootwrap module
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev135.g80897a3:
  * Add optional_args to fix Volume Import failure
  * 3PAR Only remove FC Zone on last volume detach
  * Ensure rbd connect exception is properly caught
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev129.g0c649f2:
  * Add cinder-manage cmd to update host column
  * Don't use ModelBase.save() inside of transaction
  * Use a task subclass instead of a functor + task wrapper
* Mon Jun 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev123.g72e38f7:
  * Sync processutils from oslo with deps
  * Enable hacking rule E111,E112,E113
  * Bump minimum hacking version to 0.9.2
  * Fixes cinder volume from snapshot on Windows
  * Fixes cinder volume create on Windows Server 2012 R2
  * Adding filter options to backup list
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev111.g350334d:
  * Synced jsonutils from oslo-incubator
  * Fix dropped exception for create_export in vol manager
  * 3PAR volume manage/unmanage support
  * Add cgroups related commands to rootwrap filters
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev103.g67e32ac:
  * Misuse of i18n log translation to output error message
  * Fix BrcdFCSANlookupService to iterate multiple switches
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev99.ge9ff57c:
  * Add keyword argument missing at some exc.HTTPError subclass
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev97.gd63f4be:
  * GlusterFS: Handle deletion of snapshot with no backing file
  * Fixed data copy issue of volume/driver.py
  * Minor cleanups in test_volume
  * I/O rate limit for volume copy with qemu-img convert
  * I/O rate limit for volume copy with dd
* Tue Jun 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev87.g9cc1422:
  * Make rbd driver string encoding checks consistent
  * Remove check_volume_az_zone functor and associated passing
  * Update _resize_volume_file() to support appropriate permissions
  * test_storwize_vdisk_copy_ops fails if green thread context switch
  * VMware:Fix params for copy-image-to-volume
  * VMware: Optional create backing parameters
  * Fixes cinder volume from image on Windows
  * Use oslo-incubator module units
  * Attach log listeners to other engines
  * GlusterFS: Various unit test improvements
  * vmware: Force chunked transfer for upload-to-image
  * GlusterFS tests: Mock out compute, don't load novaclient
  * glusterfs: Honor mount options when restarting cinder service
  * vmware:Ignore inaccessible/inMaintenance datastore
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev60.g581d8ad:
  * Remove global conf settings from iscsi helper
  * Add genconfig tox job for sample config file generation
  * Fix nfs_shares config file parsing of spaces
  * Sync the latest common db code from oslo
  * Fix order dependency of admin metadata
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev51.g6896f5f:
  * Handle the case where az is disabled/removed
  * Add task/flow listener support around the volume api flow
  * Fix log capturing fixture
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev45.g6f7d92e:
  * Updated from global requirements
  * debug level logs should not be translated
  * Implement extend volume in NFS driver
  * Fixes an issue with 'dd' bug from Illumos repo
  * Retry lvremove with ignore_suspended_devices
  * vmware: Fixes VMDK volume incompatibility issue
  * Remove unused oslo module and adjust opentstack-common.conf
  * Add strip size support to rbd driver
  * Remove check_{attach,detach} from volumes API
  * Sync periodic_task from oslo-incubator
  * Add XML deserializer for qos_manage delete_keys API
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev23.g2355c79:
  * Made provision for providing optional arguments
  * Removes unecessary call to rbd.Image
  * LIO: Don't add ACL for local initiator name
  * Use oslo network utils function to set tcp_keepalive
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev16.g72f18d9:
  * Allow reset-state on attach and migration fields
  * Implements HDS-Cinder HNAS Drivers
  * Fix Brocade FC driver's use of the fc_fabric_names
  * Limit formatting routes when adding resources
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev8.g7dba6ac:
  * Remove second get call to list/show volumes
  * CinderException args to strings when exceptions
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev4.g863c295:
  2014.2.b1
  * Copy custom properties to image from volume
  * hp_lefthand_rest_proxy no handler for logger during tests
* Wed Jun 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev199.g4759b83:
  * Remove Quota Exception Stack Traces from Cinder Logs
  * 3PAR volume detach with host in a host set
  * Handle volumes no longer existing in resume delete
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev193.g7e57a36:
  * Make begin_detaching fail if volume not "in-use"
  * NetApp NFS: Do not reference dst_img_local before assignment
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev189.g37ef512:
  * Ensure flushing of IO prior to removing FC device
  * Fixed the comment spelling error - voumes to volumes
* Sun Jun  8 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev185.g3156982:
  * Delete image on upload-to-image failure
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev184.g6ff7d03:
  * Use os.urandom in volume transfer
  * Update cinder.conf
  * Fix a message format error in migration cleanup
  * Add support for z/VM driver
  * NetApp fix eseries concurrent vol map failure
  * Add exception handling for copy_volume_to_image()
* Fri May 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev173.gaa9e6dc:
  * Ensure metadata is saved before updating volume status
  * Use error instead of warning to log mount exc
* Thu May 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev169.g463467b:
  * Fix ISER scan retry option
  * Only create volume with an active image
  * Allow host config to be overriden in backend
* Wed May 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev163.g7131c9e:
  * Updated from global requirements
  * vmware: Fix problems with VIM API retry logic
* Sat May 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev159.g6168d36:
  * Updated from global requirements
  * Remove create_from* functor jump table
  * Set volume usage audit period to not NoneType
  * Add mailmap entry
* Fri May 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev151.gbc6cd9a:
  * Remove all mostly untranslated PO files
  * Add rally job
* Wed May 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev147.gfab7150:
  * SSHPool in utils should allow customized host key missing policy
* Tue May 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev145.g0e3b4ce:
  * Check whether O_DIRECT is supported to iflag and oflag separately
  * NetApp fix attach fail for already mapped volume
* Mon May 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev142.gc8446dc:
  * BrcdFCSanLookupService should allow customize host key and policy
  * eliminate the need for hplefthandclient in tests
  * Fix retyping volume that has volume type None
* Sun May 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev137.g7599b81:
  * Imported Translations from Transifex
  * Fix broken version responses
  * Specify lld in tgt config backends
* Sat May 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev131.gd1ef091:
  * Fix solaris_execute in SolarisISCSIDriver
  * Added unit test cases for _is_share_eligible in NFS driver
* Wed May 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev127.gb75d26f:
  * Convert SolidFire Capacity response to GiB
* Sun May 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev126.g432720e:
  * eliminate the need for hp3parclient in tests
* Sat May 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev124.g0e82bde:
  * Remove explicit dependency on amqplib
* Fri May  9 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev122.gf0cf3d2:
  * Fix for solidfire driver to use reserved_percentage
  * Ensure that lun_id is an int
  * Add set-bootable command
* Thu May  8 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev117.g09bc57c:
  * Add missing methods to FakeISCSIDriver
  * Fix wrong exception reference
* Wed May  7 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev113.gb7e126e:
  * Implement validate_connector in FibreChannelDriver
* Tue May  6 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev111.ge524456:
  * Properly initialize rpc in cinder-volume-usage-audit
  * Fixes an issue with 3PAR attach
* Sat May  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev109.gd756766:
  * Replace tearDown with addCleanup - Part 2
* Thu May  1 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev107.g07f231c:
  * Add disabled kwarg to service_get_all_by_topic
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev105.gd630d0b:
  * Fix double "the" in Cinder quota warning
  * Fixed 3PAR driver issue finding correct vlun
  * Improve consistency of help strings
  * Replace tearDown with addCleanup - Part 5
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev97.ga221a30:
  * Storwize/SVC driver detach volume failed
* Sat Apr 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev96.g4a392e6:
  * Remove unused volume instance_uuid methods
  * Cinder list does not filter admin metadata
  * Replace tearDown with addCleanup - Part 4
* Fri Apr 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev90.gee434fb:
  * Fix handling multiple WWPNs on preferred FC node
  * vmware: Remove deprecation warning from VC driver
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev86.g7597d79:
  * Keep volume available if retype fails due to quota
  * Fix bad indentation in tests
  * Fallback to None on missing Glance image attrs
  * Remove old driver mappings from Havana
* Wed Apr 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev78.ge63b8af:
  * Remove unused 3PAR driver method
  * Remove unused reservation methods from db.api
  * Update Cinder dev doc
  * Update tests to use CONF.set_override
* Fri Apr 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev71.gfed5843:
  * Re-raise exceptions in upload-to-image
  * Add exception catch if Storwize/SVC driver failed when retyping
  * Correct metadata ordering issue in tests
  * Fixes HostTestCase failures due to slow test run
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev63.gd943baf:
  * Adjust sample config for keystoneclient 0.8.0 release
  * Create volume fail when image id is ""
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev60.gd7d2599:
  * Use cached db object in volume_mig_status ext
  * Enable flake8 H303,H304 checking
  * Inform about instance_uuid in volume usage notification
  * Fixes HP LeftHand driver with Paramiko 1.13.0
  * Disable oslo.messaging debug logs
* Mon Apr 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev51.g7cd6d18:
  * Storwize/SVC driver crashes when check volume copy status
  * Switch over to FixedIntervalLoopingCall
  * Fixes cinder error state volume delete on Windows
  * Force detach should only be an admin api
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev43.g04c0579:
  * driver.create/remove_export() require elevated context
  * Check for silent failure of tgtadm remove
  * GlusterFS: Delete active snapshot file on volume delete
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev37.gd196d54:
  * Updated from global requirements
  * GET details REST API next link missing 'details'
* Thu Apr 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev33.gfce0fcb:
  * Log initialize_connection error before remove_export
* Wed Apr  9 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev31.g1d1a9b3:
  * ceph backup driver: improve log messages
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev29.gf50c884:
  * Check that all po/pot files are valid
* Mon Apr  7 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev27.gf93a752:
  * Enable flake8 F841 checking
* Sat Apr  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev25.gdffae65:
  * Append nas_opts to IBMNAS_NFSDriver configuration
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev23.ged94a47:
  * Change iogrp property when retyping for Storwize/SVC
  * Allow deprecated volume update keys in v2
  * _translate_from_glance() can cause an unnecessary HTTP request
  * Adds ionice command permutations to rootwrap filters
  * GlusterFS: Delete volume-<uuid>.info file when volume is deleted
  * Fixes cinder volume delete on Windows
* Wed Apr  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev11.gc72cc4b:
  * Fix Jenkins translation jobs
* Sun Mar 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev10.g6b3d177:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Fixes cinder volume attach on Windows
* Sat Mar 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev4.g55272d4:
  2014.1.rc1
  * Import request_id middleware bug fix from oslo
* Fri Mar 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev135.g994bd9e:
  * Open Juno development
  * Imported Translations from Transifex
  * Changes to correct name of missing NetApp license
  * NetApp cmode nfs: Fix QOS extra spec
  * NetApp cmode iscsi: Fix QOS extra spec
  * Fixes a problem in attach volume in EMC driver
  * Update config generator from OSLO
  * Pass the mirrorlog option as two arguments
  * vmware: Use SessionIsActive to find stale session
* Thu Mar 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev119.g532e995:
  * Netapp iscsi: allow snapshots with unspecified block range
  * vmware: Remove pbm_default_policy config option
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev115.gcaff15a:
  * Serialize the notification payload
  * Adds xiv_chap to xiv/ds8k driver configuration
  * Can't force-create snapshot by an non-exist error volume
* Tue Mar 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev110.gb584460:
  * Updated from global requirements
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev109.geb6bae9:
  * init_host should be called before RPC consumer is created
  * Allow NetApp iSCSI driver to sub-clone large volumes
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev105.ge145ef7:
  * Add RequestContextSerializer for rpc notifications
  * Simplify test force delete snapshot unit test
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev102.gb78a10c:
  * resolve KeyError for IBM Storwize/SVC driver
  * Remove unused method from NetApp iscsi driver
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev98.g834f776:
  * VMware: Implement vmdk extend_volume
  * Use the error_out_volume from flow common instead
* Mon Mar 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev94.gd1b95a6:
  * Use six.moves.urllib.parse instead of urlparse
  * Don't send untextified exc to webob
  * GPFS unit tests: increased coverage, uses mock
  * Add snapshot related data to limits api
* Sun Mar 16 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Switch-over-to-oslosphinx.patch dropped (merged upstream)
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev86.ga9218b7:
  * Fix create_export/remove_export in driver.py
  * Imported Translations from Transifex
  * Updated from global requirements
  * Switch over to oslosphinx
  * NetApp api fix structure conversion methods
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev77.gb30a54c:
  * Ensure name is utf-8 when deleting rbd vol or snap
  * Add missing config values for vmwware_vmdk test
  * get volumes with limit and filters does not work
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev71.g9046e6e:
  * Revert "Re-enable lazy translation"
  * Sync latest Oslo code for imageutils
  * Imported Translations from Transifex
  * Use debug level logging during unit tests
  * Sync log.py from oslo-incubator
  * Fixed some FCZM unit tests hacking issues
  * cinder-rtstool imports a not existing module
  * Fixes cinder-volume service startup on Windows
  * Add libffi-dev to list of packages to install in dev env
  * Fix exception message of CoraidESMConfigureError
  * vmware: Mark VMware ESX vmdk driver as deprecated
  * Fixes ssh-injection error while using chap authentication
  * Generate config samples for oslo.messaging
  * Add conversion types in some strings
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev47.g2869d016:
  * Fixed nova VM live migration issue with 3PAR
  * Adding domain to context
  * Fix missing package dependency for requests
  * Fixes ssh-injection error while using chap authentication
  * Generate config samples for oslo.messaging
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev42.ga68d558:
  * Fixes ssh-injection error while using chap authentication
  * Generate config samples for oslo.messaging
  * VMware: Take the volume size from the user input
* Tue Mar 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev37.g7c2d6fe:
  * Port to oslo.messaging
  * Updated from global requirements
  * 3PAR: Support extend volume based on snapshot
  * Convert cinder utils tests to use mock
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev29.g174be82:
  * get volumes API does not handle limit=0
  * EMC SMI-S delete snapshot unit test takes too long
  * Fixed spelling error - accomodate to accommodate
  * Clean Up EMC VNX Direct Driver in Cinder
  * gpfs driver: fix logging problems
  * Include next link when default limit is reached
  * Re-enable lazy translation
  * Sync latest Oslo config code for i18n
  * Fix HP LeftHand Performance issue with AO
  2014.1.b3
  * vmware: PBM wsdl file configuration
  * vmware: default global pbm policy configuration
  * vmware: check datastore availability during create
  * vmware: Storage policy based volume placement
  * Sync log.py from oslo
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev361.gf888e41:
  * NetApp implementation for copy offload in clustered nfs driver
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev360.g586b284:
  * Remove str() from LOG.* and exceptions
  * Storwize volume manage/unmanage support
  * Volume manage/unmanage support
  * Add user defined extra capabilities
  * Fix HP LeftHand migration with snapshots
  * Add EMC VNX Direct Driver in Cinder
  * Check if snapshot is deleted cleanly
  * GlusterFS: Set permissions on qcow2 snapshot files
  * Quota delete operation in cinder
  * NetApp eseries iscsi driver implementation
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev340.gee371df:
  * remove _check_container_exists from Swift backup driver
  * Add initiator_target_map for IBM Storwize/SVC
  * Typo corrections for test files in cinder
  * gpfs volume driver backup file access fixes
  * Add versioning output for the FC Zone Manager
  * Remove unused methods
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev328.g283af11:
  * Updated from global requirements
  * Fix docstring ordering
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev324.g34f4b56:
  * Add initiator target map in EMC SMI-S FC driver
  * Replace httplib.HTTPSConnection in unittests
  * Remove rabbit_notifier (Sync notifier with oslo d6e1ba7)
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev318.g55ca367:
  * Restrict rootwrap find filter for IBM NAS and GPFS
  * change time.sleep to use loopingcall
  * Change RBD delete failure log level to warn
  * Updated from global requirements
  * Update Oslo wiki link in README
  * Segment LUN clones in NetApp iSCSI
  * test_volume unittest fails if ran only this module
  * Deactivate LV before removing
  * VMware: changing volumeops tests from mox to mock
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev301.g6c346e8:
  * Give a way to save why a service has been disabled
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev299.ge43678f:
  * Make EMC SMI-S driver unit tests faster
  * Remove unused variable
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev296.g6b15c40:
  * Fix volume stats with multiple LeftHand clusters
  * Export and import backup service metadata
  * Don't clear host_state_map when scheduling
  * Add volume metadata backup suport to swift driver
  * Add optional ionice to volume clearing process
  * Restrict rootwrap find filter for NetAppNFS driver
  * GlusterFS: Increase snapshot delete job timeout to two hours
  * updating testing readme with more current information
  * Python 3: replace "im_self" by "__self__"
  * Change warning message in NetApp driver for vsadmin creds
  * TSM backup driver changes to support file backup
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev274.g41ddaba:
  * Update FibreChannel Zone Manager config
  * 3PAR: Fix extend volume GiB to MiB
  * Fix silly error in comment
  * 3PAR: Create volume from snapshot with larger size
  * Fix test_delete_should_not_.. to assert something
  * Use len instead of for-loop to get the end index
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev262.gbcbca12:
  * Fix free_capacity reporting in SolidFire driver
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Replace tearDown with addCleanup
  * Use six.StringIO instead of StringIO.StringIO
  * Implement retype in IBM GPFS Driver and refactor
  * 3PAR: Delete missing snapshot stuck in error_del
  * Added 3par initiator target map for FCZM
  * Fix race in test_delete_backup
  * Storwize/SVC: Change volume copy task to async
  * Fix invalid facilities documented in rootwrap.conf
  * Removes use of timeutils.set_time_override
  * Brick support for pNFS
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev239.gf2137b3:
  * Driver for IBM SONAS and Storwize V7000 Unified
  * Fix webob.exc.HTTPForbidden parameter miss
  * Fix FC connection handling in the storwize driver
  * Add support for FC zone lifecycle management
  * 3PAR: Backend assisted volume migrate
  * Add x-openstack-request-id to cinder responses
  * Sync oslo imageutils, strutils to cinder
  * Add encrypted flag to volumes
  * Nexenta iSCSI driver: fixed volume_migration
  * Change default policy for volume_extension:volume_tenant_attribute
* Mon Feb 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev219.gf028c8a:
  * Remove old driver mapping deprecation
* Sun Feb 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev217.gc2807f0:
  * Add HP MSA Fiber Channel driver
  * Use six.moves cStringIO instead of cStringIO
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev213.gf3df7ef:
  * Add support for qos_specs feature to 3PAR drivers
  * Update 3PAR drivers to pass cert test
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev209.g4d4b5f7:
  * Ensure return for db api functions
  * HP LeftHand Backend assisted volume migrate
  * Remove unused function
  * IBM XIV and DS8000 Driver reorganizing (IBM dir)
  * Update gpfs driver volume creation process
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev199.g7f7997d:
  * Ensures NetApp iSCSI driver correctly compares int values for size
  * Sync request_id, request_utils for cinder
  * GPFS: Implement volume backup and restore
  * Implement retype in HP LeftHand driver
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev192.ge96f3b5:
  * Add support for backing up volume metadata
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev190.g37eb101:
  * Imported Translations from Transifex
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Cast the quota set values to integer before checking their validity
  * Remove dependent module py3kcompat
  * Add EMC SMI-S FC Driver in Cinder
  * Fix wrong example of "nova_endpoint_template"
  * Remove unused exception
  * Add searchDepth when getClusterInfo called
  * Fix cinder-backup volume restore with ceph driver
  * lvm: unhandled exception when migrating volume
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev170.gae5ae50:
  * Rename Openstack to OpenStack
  * Changes to cast variable as integer as XML API fails
  * Ceph backup driver tidyup
  * Move create_, remove_ and ensure_export from drivers
  * GlusterFS: Fix create/restore backup
  * Allow operators to customize max header size
  * Add update support to volume type encryption
* Thu Feb 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev156.g23b7700:
  * Check type argument on create from source and snap
  * Removed unused context in _extend_snapshot method
  * Dont set error_extending status on API extend call
  * Fix LVM migrate_volume tests
  * Add notifier events to cinder volume rename, reset-state
* Wed Feb 12 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev146.g6b431eb:
  * Storwize/SVC: Check wwpn not None
  * New HP LeftHand array iSCSI driver
  * Remove tox locale overrides
* Fri Jul 19 2013 dmueller@suse.com
- adjust rm command
* Tue Feb 26 2013 dmueller@suse.com
- add python-oslo-config buildrequires
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-macros
* Tue Jan 15 2013 saschpe@suse.de
- Revert "fix", it's sufficient to require python-cinder
* Tue Jan 15 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1358255308.7905b6b:
  + Factor out LVM code.
* Mon Jan 14 2013 dmueller@suse.com
- Update to version 2013.1+git.1358161260.643f916:
  + Implement filter scheduler
  + Revert "Implement filter scheduler"
  + Provide HP 3PAR array iSCSI driver
  + Fix CinderClient exception name in EMCISCSIDriver.
  + Enable cinder exception format checking in tests.
  + Update exceptions to pass correct kwargs.
  + Add option to make exception format errors fatal.
  + Implement filter scheduler
  + Use tempdir for lock_path in tests.
  + Make WebOb version specification more flexible
  + Fix cmds clearing in TargetAdminTestCase.
  + Add missing library
  + use deleted = False, not 0 for update
  + Implement ability to Clone volumes in Cinder.
  + Add pyflakes
  + Adds synchronization to attach volume.
  + Add EMC Volume Driver in Cinder
  + Adding marker, pagination, sort key and sort direction to v2 api
  + Fix typo in image_utils tempfile handling
  + Make the NetAppISCSIDriver._is_clone_done() method able to handle
  + Make sure we don't double remove tmp on exception
  + Add service mgmt extension.
  + Added the lockutils, fileutils, gettextutils
  + Fixes a Windows volume driver bug on disk export
  + Moving host admin extension with other extensions
  + Allow the lvm backed drivers to use mirrrors
  + CHAP support for IBM Storwize/SVC driver.
  + Remove instance quota re-sync code
  + Add image metadata API extension
  + Raise NotImplemented for drivers that don't support images
  + Add *.swp to gitignore.
  + Support glance servers over https
  + Add commands used by NFS volume driver to rootwrap
  + Changing display_name to name in v2 api
  + Make summary and detail view consistent with other projects
  + creating separate v1 and v2 stubs and general fakes
  + Make copy_to_volume a bit more useful.
  + Delete type call in api needs update to use ID.
  + Convert volume_type id from int to uuid.
  + Rename Config osapi_compute_link_prefix to osapi_volume_base_URL
  + Fix exception when size is None.
  + Ensure request_spec can be serialized.
  + attaching volumes will set instance_uuid instantly
  + Revert changes to monkey_patch.
  + Improve provider_location cleanup code for RBD.
  + Fix import order to make it alphabetical.
  + Fix None being passed into as_int().
  + Use auth_token middleware from keystoneclient.
  + Provide i18n to those messages without _()
  + Revert "use O_DIRECT when copying from /dev/zero too"
  + Make pep8 checks a bit stricter.
  + Unpin lxml requirements
  + use O_DIRECT when copying from /dev/zero too
  + Add CONTRIBUTING file.
  + Add the persistency to the volume created by iscsi IET.
  + adding copy of v1 as v2
  + Moving contrib to cinder.api
  + Moving api v1 implementation into v1 directory
  + Switching api to use base extension manager
  + moving all middleware code in cinder.api.middleware
  + Moving common api code into cinder.api
  + Cleaning up volume driver paths
  + Add volume bootable information to api response
  + Add XenAPINFSDriver
  + Add db table for Glance Metadata
  + Remove redundant db.volume_update() in volume manager create_volume()
  + Pin pep8 1.3.3
  + Removes the xensm driver
  + Pass in correct volume_ref to create_from_snapshot.
  + Add hosts extension to Cinder.
  + Remove unused python-daemon dependency
  + Make tox.ini run pep8/hacking checks on bin.
  + Various pep8/HACKING fixes for Cinder.
  + Volume RPC API Versioning
  + Remove gen_uuid()
  + Remove obsolete use_local_volumes
  + Import order cleanup per HACKING
  + Remove unused volume API method - remove_from_compute()
  + Scheduler API clean up and refactor
  + Remove dm_setup(remove) call in volume_delete.
  + Add ability to disable secure volume delete.
  + Remove the zeroing out of the volume altogether
  + Add 'create_volume' to scheduler RPC API.
  + Fix run_tests.sh ambiguous usage msg and behaviour for -x option
  + Add admin only action for force detach
  + Changes bit mode of zadara.py to 644
  + Port openstack-common/uuidutils to Cinder
  + Fix 401 from auth_token middleware
  + Splitting out volume drivers in driver.py
  + Minor optimization in create_volume in HpSanISCSIDriver
  + Adding a SSH Connection Pool.
  + Return volume type name on volume create
  + pin sqlalchemy to the 0.7 series
  + Add VolumeTenantAttribute API extension
  + Log the body of an /action
  + Detect and fix issues caused by vol ID migration
  + Split out drivers in san.py
  + Add VolumeHostAttribute API extension
  + Add default volume type flag
  + Fix typo so setting volume_tmp_dir works
  + Rollback for resources during volume creation failure
  + Allow the user to update a volume's metadata
  + Add the generation of the username and password for iSCSI target.
  + Update HACKING.rst and related changes from Nova/PEP8.
  + Add trove classifiers for PyPI
  + Ensure device node exists before wiping during volume deletion
  + Update volume and snapshot status on delete
  + Drop unused quota_usage db methods
  + Drop duplicate sqlalchemy db api methods
  + Change output strings to i18ned
  + Adds support for Windows 2012 Storage Server
  + Update common.
  + Fix incorrect class path for legacycinder formatter in logging_sample.conf
  + Error message references incorrect variable
  + Loosen anyjson dependency to avoid clash with ceilometer
  + Configuration Options clean up
  + Fix typo in policy documentation
  + Add snapshot force delete admin action
  + Mock out sleep in some retry tests
  + Use policy based rule to define context.is_admin
  + Sync openstack common and add policy
  + Fix typo in sample configuration file
  + Update distribute version in test requires.
  + Revert explicit usage of tgt-adm --conf option.
  + Fixes remove_export for IetAdm
  + Add missing entries in setup, fix up pip-requires
  + Fix NetAppCmodeISCSIDriver._get_lun_handle() method
  + Remove unused code: check_for_export.
  + Return 400 if create volume snapshot force parameter is invalid
  + Fix cinder-volume-usage-audit
  + Sync with nova change I135ed85a.
  + Remove cinder gating hack
  + Set the default availability zone back to nova
  + Add lun number (0) to model_update in HpSanDriver
  + Fixes to the SolarisISCSI Driver
  + Stop double logging to the console
  + Restore SIGPIPE default action for subprocesses
  + Replace builtin hash with MD5 to solve 32/64-bit issues.
  + Correct IetAdm remove_iscsi_target
  + Add nova migrate_version check to cinder import
  + Bump version to 2013.1
  + Clean up db.volume_create()
  + Fix volume deletion when device mapper is used
  + Update quota when deleting volume that failed to be scheduled
  + Sync a change to rpc from openstack-common.
  + Add a resume delete on volume manager startup
  + Improve entity validation in volumes APIs
  + Add entity body validation helper
  + Should've added super().tearDown() in test_iscsi
  + Fixes bug 1050135.
  + Fix FLAGS.volumes_dir help message
  + Use tmpdir and avoid leaving test files behind
  + Sync log format changes from openstack-common.
  + Update rpc from openstack-common.
  + Add volume quota in volume/api.py and olume/manager.py
  + Fixes bug 1049446.
  + Revert "Don't zero out snapshot volume on snapshot_delete"
  + Add update to volume and snapshot controllers
* Wed Dec 19 2012 saschpe@suse.de
- It's a noarch package
* Wed Dec 19 2012 saschpe@suse.de
- Update to version 2012.2.3+git.1355916217.070c8c9:
  + Bump next version to 2012.2.3
  + Bump next version to 2012.2.2
  + Final versioning for 2012.2.1
  + Remove unused python-daemon dependency
  + Improve provider_location cleanup code for RBD.
  + Detect and fix issues caused by vol ID migration
  + pin sqlalchemy to the 0.7.x series
* Fri Nov 23 2012 saschpe@suse.de
- Add further documentation requirements
* Thu Nov 15 2012 saschpe@suse.de
- Use openstack-macros
- Add additional documentation requirements
* Thu Nov  8 2012 saschpe@suse.de
- Drop from_vcs build flag
* Wed Oct 17 2012 saschpe@suse.de
- Initial version
